/*此文件由anl维护*/



//施工安全
myApp.onPageInit('page-security-project-form', function (page) {

    var pickerDevice = myApp.picker({
        input: '#security-project-form',
        toolbarCloseText: '完成',
        cols: [
            {
                textAlign: 'center',
                values: ['设计师', '建造师', '施工员', '质检员', '资料员', '焊工', '水工', '电工', '漆工']
            }
        ]
    });
});

//施工质量
myApp.onPageInit('page-quality-project-form', function (page) {

    var carVendors = {
    	人员 : ['设计师', '建造师', '施工员', '质检员', '资料员', '焊工', '水工', '电工', '漆工'],
		机械 : ['挖掘机', '铲土机', '吊车'],
		材料 : ['钢材', '铝材', '塑材', '木材', '石材', '玻璃', '铝板', '胶', '其他']
	};
	var pickerDependent = myApp.picker({
	   	input: '#quality-project-form',
	    toolbarCloseText: '完成',
	    rotateEffect: true,
	    formatValue: function (picker, values) {
	        return values[0] +"  "+ values[1];
	    },
	    cols: [
	        {
	            textAlign: 'left',
	            values: ['人员', '机械', '材料'],
	            onChange: function (picker, country) {
	                if(picker.cols[1].replaceValues){
	                    picker.cols[1].replaceValues(carVendors[country]);
	                }
	            }
	        },
	        {
	            values: carVendors.人员,
	            width: 160,
	        },
	    ]
	});


});

//我的申请水平导航栏
myApp.onPageInit('page-formrequest-view', function (page) {

	$(function (){
		$(".find_nav_list").css("left",sessionStorage.left+"px");
	    $(".find_nav_list li").each(function(){
	        if($(this).find("a").text()==sessionStorage.pagecount){
	            $(".sideline").css({left:$(this).position().left});
	            $(".sideline").css({width:$(this).outerWidth()});
	            $(this).addClass("find_nav_cur").siblings().removeClass("find_nav_cur");
	            navName(sessionStorage.pagecount);
	            return false
	        }
	        else{
	            $(".sideline").css({left:0});
	            $(".find_nav_list li").eq(0).addClass("find_nav_cur").siblings().removeClass("find_nav_cur");
	        }
	    });

		var nav_w=$(".find_nav_list li").first().width();
		$(".sideline").width(nav_w);
	    $(".find_nav_list li").on('click', function(){
        nav_w=$(this).width();
        $(".sideline").stop(true);
        $(".sideline").animate({left:$(this).position().left},300);
        $(".sideline").animate({width:nav_w});
//背景颜色
        $(this).addClass("find_nav_cur").siblings().removeClass("find_nav_cur");
        var fn_w = ($(".find_nav").width() - nav_w) / 2;
//      console.log(fn_w);
        var fnl_l;

        var fnl_x = parseInt($(this).position().left);
//      console.log(fnl_x);
        if (fnl_x <= fn_w) {
            fnl_l = 0;
        } else if (fn_w - fnl_x <= flb_w - fl_w) {
            fnl_l = flb_w - fl_w;
        } else {
            fnl_l = fn_w - fnl_x;
        }
//      console.log(fn_w+"fn_w    ",fnl_l+"fnl_l   ",flb_w+"flb_w    ",fl_w+"fl_w   ",fnl_x+"fnl_x   ");
        $(".find_nav_list").animate({
            "left" : fnl_l
        }, 300);
        sessionStorage.left=fnl_l;
    });
	    var fl_w=$(".find_nav_list").width();
	    var flb_w=$(".find_nav_left").width();
	    $(".find_nav_list").on('touchstart', function (e) {
	        var touch1 = e.originalEvent.targetTouches[0];
	        x1 = touch1.pageX;
	        y1 = touch1.pageY;
	        ty_left = parseInt($(this).css("left"));
//	        console.log("1111111111111111");
	    });
	    $(".find_nav_list").on('touchmove', function (e) {
	      var touch2 = e.originalEvent.targetTouches[0];
	      var x2 = touch2.pageX;
	      var y2 = touch2.pageY;
	      if(ty_left + x2 - x1>=0){
	          $(this).css("left", 0);
	      }else if(ty_left + x2 - x1<=flb_w-fl_w){
	          $(this).css("left", flb_w-fl_w);
	      }else{
	          $(this).css("left", ty_left + x2 - x1);
	      }
	      if(Math.abs(y2-y1)>0){
	          e.preventDefault();
	      }
	  	});

	});
	function navName(c_nav) {
		switch (c_nav) {
		      case "项目合同":
		          sessionStorage.pagecount = "项目合同";
		          break;
		      case "投标预算":
		          sessionStorage.pagecount = "投标预算";
		          break;
		      case "中标预算":
		          sessionStorage.pagecount = "中标预算";
		          break;
		      case "合同预算":
		          sessionStorage.pagecount = "合同预算";
		          break;
		      case "采购合同":
		          sessionStorage.pagecount = "采购合同";
		          break;
		      case "采购发票":
		          sessionStorage.pagecount = "采购发票";
		          break;
		      case "物品进场情况":
		          sessionStorage.pagecount = "物品进场情况";
		          break;
		      case "月完工产值":
		          sessionStorage.pagecount = "月完工产值";
		          break;
		}
	}

});
