
//初始化工作视图
myApp.onPageInit('page-index', function (page) {
    $$(page.container).find('.button-submit').on('click', function(e) {
        var self = e;
        var code = $$(page.container).find("input[name='checkcode']").val();
        $$(self).html('正在验证...').addClass('disabled');
        myApp.showIndicator();

        //动态加载上传附件部分,定于模块
        var s = '<ul><li>'+
                '    <div class="item-content">'+
                '        <div class="item-inner row">'+
                '        <input name="documents" type="hidden" data-type="file" data-value="" data-required="true"/>'+
                '        </div>'+
                '        </div>'+
                '        <div class="item-content item-inner">'+
                '        <div class="item-title text-center" style="margin: 0px auto;">'+
                '        <a href="#" class="button button-fill button-big color-gray disabled button-up">保存到云端</a>'+
                '        </div>'+
                '    </div>'+
                '</li></ul>';
        //上传附件模块初始化方法
        var initFU = function () {
            $('input[data-type="file"]').uploader({
                host: apiHost,
                app: myApp,
                reinit: false,
                api: apiHost+'/v1/uploader/up?token='+localStorage.getItem('token'),
                class: 'col-100 readonly-'+page.query._readonly,
                onChange: function(value) {
                    if ($$(page.container).find('input[name="documents"]').attr('data-value') != ''){
                        $$(page.container).find('.button-up').removeClass('color-gray disabled').addClass('color-green');
                    }else{
                        $$(page.container).find('.button-up').removeClass('color-green').addClass('color-gray disabled');
                    }
                }
            });
        }
        //[上传]按钮事件
        var up = function (checkcode) {
            $$(page.container).find('.button-up').on('click', function(){
                $.ajax({
                    url: apiHost+'/v1/uploader/up?token='+localStorage.getItem('token'),
                    data:{
                        checkcode: checkcode,
                        files: $('input[name="documents"]').val()
                    },
                    success: function (data) {
                        myApp.alert('您的附件已上传成功,请返回手机APP点击“已完成附件上传”按钮。',function () {
                            console.log('返回首页');
                            window.location.href=appHost;
                        });
                    }
                });
            });
        }
        $$.ajax({
            url: apiHost+'/v1/auth/verify',
            method: 'POST',
            dataType: 'json', // 指定服务端返回的是JSON对象还是字符串
            data: 'checkcode='+code,
            cache: false, // default
            async: false, // default
            success: function (data) {
                if (data.errcode === undefined) {
                    localStorage.setItem('token', data.token);
                    myApp.hideIndicator();
                    $$(self).html('验证').removeClass('disabled');
                    /*hsj 完善上传附件模块*/
                    var checkcode = $('input[name="checkcode"]').val();
                    //加载上传附件模块
                    $$(page.container).find('form').attr('style','').addClass('list-block').removeClass('margin-botton-80').html(s);
                    initFU();
                    //动态加载后,需要绑定[上传]按钮事件
                    up(checkcode);
                } else {
                    myApp.hideIndicator();
                    myApp.alert(data.errmsg);
                    $$(self).html('验证').removeClass('disabled');
                }
            }
        });
    });
});
