/*此文件由sjj维护*/

/*==== 新同事审核 =====*/
function reviewColleagues(obj){
    var _oli = $$(obj).parents("li"),
        eid = $$(obj).attr('data-id'),
        status = $$(obj).attr('data-status');
    ajaxPost("/v1/employees/verify",{employeeid:eid,applystatus:status},function(data){
        data = JSON.parse(data);
        if(data.errcode != undefined && data.errcode == 40003){
            _oli.remove();
        }else{
            myApp.alert(data.errmsg);
        }
    })
}
/*==== 上传附件 ====*/
myApp.onPageInit('page-attachment-form', function(page){
    if (page.query._inputname===undefined) {
        console.log(page.name+ ' parameter "_inputname" missing');
    } else {
        if ((attachments = page.query[page.query._inputname])!==undefined) {
            attachments = decodeURIComponent(attachments);
        } else attachments = '';
        // 初始化上传控件
        attachmentsUploader.init({class:'choose-attachments',uploadHost:apiHost + '/v1/uploader/up' +'?token='+localStorage.getItem('token')});
        if (attachments) {
            $$.each(attachments.split(','), function (index, value) {
                attachmentsUploader.beforeAttachment(value);
            });
        }
        //确认并返回
        $$(page.navbarInnerContainer).on('click', '.upload-done', function(){
            var _files = attachmentsUploader.getAttachmentsValue();
            $$(page.fromPage.container).find('input[name="listener"]').trigger('change', {
                input:page.query._inputname!==undefined?page.query._inputname:'',
                value:_files,
                text:_files,
                fromurl: page.url
            });
            myApp.getCurrentView().router.back();
        });
    }
});

window.attachmentsUploader = {
    oParams : {
        host : apiHost,
        uploadHost : apiHost + '/v1/uploader/up',
        picture:null,
        oInputFile : null
    },
    // 初始化上传控件
    init : function (options) {
        if (options.uploadHost) attachmentsUploader.oParams.uploadHost = options.uploadHost;
        if (localStorage.getItem('token')===null){
            myApp.alert('登录已过期,请重新登录');
            return false;
        }

        var $obj = $('.' + options.class);
        var $oInputFileId = 'choose-' + attachmentsUploader.getRandom();
        // 添加一个file控件
        $obj.append('<input name="filename[]" type="file" id="' + $oInputFileId + '" class="' + $oInputFileId + '" multiple="multiple" accept="image/*"/>');
        // 获取上传附件file控件
        attachmentsUploader.oParams.oInputFile = jQuery(document.getElementById($oInputFileId));

        // 选择附件并执行上传
        $obj.click(function () {
            // 执行上传附件
            new uploader(attachmentsUploader.oParams.oInputFile.get(0), {
                url: attachmentsUploader.oParams.uploadHost,
                prefix:'filename',
                multiple:true,
                autoUpload:true,
                error:function(ev){
                    //myApp.alert(JSON.stringify(ev)+attachmentsUploader.oParams.uploadHost);
                },
                beforeSend:function () {
                    myApp.showIndicator();
                },
                success:function(data){
                    myApp.hideIndicator();
                    data = JSON.parse(data);
                    for (var i in data){
                        attachmentsUploader.beforeAttachment(data[i].picture)
                    }
                    attachmentsUploader.oParams.picture = attachmentsUploader.getAttachmentsValue();
                },
                completes : function () {
                    myApp.hideIndicator();
                }
            });
        });

        // 移除附件
        $(document).off('click','.attachments-list img').on('click', '.close-files', function () {
            $(this).parents('.close-files-remove').remove();
            attachmentsUploader.oParams.picture = attachmentsUploader.getAttachmentsValue();
        });

        // 预览附件
        $(document).off('click','.attachments-list img').on('click','.attachments-list img',function () {
            console.log(this.src);
            var thisSrc = attachmentsUploader.oParams.host + $(this).attr('data-src')
            var photos = [thisSrc];
            $(".attachments-list").find('img').each(function () {
                var src = attachmentsUploader.oParams.host + $(this).attr('data-src');
                if (src != thisSrc) photos.push(src);
            });
            console.log(photos);
            myApp.photoBrowser({
                photos : photos,
                backLinkText: '关闭',
                theme: 'dark',
                type: 'standalone'
            }).open();
        });

        $(document).off('click', '.remove-attachments').on('click', '.remove-attachments', function(){
            var ul = $(this).parents('.attachments-list');
            ul.hasClass('removing') ? ul.removeClass('removing') : ul.addClass('removing');
        });
    },

    // 获取附件数据路径,多个并用逗号分隔
    getAttachmentsValue : function () {
        var attachments = [];
        $(document).find('.attachments-list img').each(function () {
            attachments.push($(this).attr('data-src'));
        });

        return attachmentsUploader.oParams.picture = attachments ? attachments.join(',') : null;
    },

    // 生成随机数
    getRandom : function () {
        var numRan = parseInt((Math.random())*1000000).toString();
        return new Date().getTime().toString()+'-'+numRan;
    },
    // 在上传按钮dom节点前最加元素(即附件)
    beforeAttachment : function (picture) {
        var attachInfo = attachmentsUploader.getAttachmentsName(picture);
        var html = '<li class="close-files-remove">' +
            '<i class="icon item-media">' +
            '<span class="badge bg-gray close-files external">✕</span>' +
            '<img src="'+ apiHost+attachInfo.thumbName +'" data-src="' + attachInfo.fileName+'" data-thumb-src="'+attachInfo.thumbName+'">' +
            '</i></li>';
        attachmentsUploader.oParams.oInputFile.parents("li.choose").before(html);
    },

    // 将原图转化为缩略图并返回
    getAttachmentsName : function (picture) {
        picture = picture.replace(attachmentsUploader.oParams.host,'');
        var aFiles = picture.split('/'),
            iFilesLength = aFiles.length,
            sFileName = aFiles[iFilesLength-1],
            sThumbName = 'thumb_'+sFileName;
        aFiles.pop();
        aFiles = aFiles.join('/');
        sFileName = aFiles + '/' + sFileName;
        sThumbName = aFiles + '/' + sThumbName;

        return {fileName:sFileName,thumbName:sThumbName};
    }
};

// 自动计算报价明细
function func(obj) {
    obj = $$(obj).parents('form');
    var quantity = parseFloat(obj.find("input[name='quantity']").val()),
        price = parseInt(obj.find("input[name='price']").val());
    if (isNaN(quantity) || isNaN(price)){
        return;
    }
    obj.find("input[name='subtotal']").val(quantity*price);
}

Template7.registerHelper('mreview', function (groupuser){

    if (groupuser[0].groupid == 35) {
        var ret = '<li>' +
            '<a href="invite-verify.html" class="item-content item-link">' +
            '<div class="item-inner">' +
            '<div class="item-title-row">' +
            '<div class="item-title">新同事审核</div>' +
            '</div>' +
            '</div>' +
            '</a>' +
            '</li>';
        return ret;
    }
    return '';
});

/**
 * @todo 暂时解决办法
 * 根据query参数判断是否显示一键受理按钮
 */
Template7.registerHelper('js_accept', function (query){
    if (query._readonly!=undefined && query._readonly=='yes') {
        var ret = '<div class="btnbar no-padding content-block">' +
            '<div class="row">' +
            '<div class="col-100"><a href="javascript:void(0)" class="button action-one-process bg-green button-big button-fill" onclick="oneProcess(this)">一键受理</a></div>' +
            '</div>' +
            '</div>' ;
        return ret;
    }
    return '';
});
/**
 * 权限管理-选择权限列表的input
 * @param query
 * @param groupid
 */
Template7.registerHelper('js_show_checked', function (query,groupid){
    var ret = '<input name="groupid" value="' + groupid + '" type="radio" ';
    if (query.groupid!=undefined && groupid && query.groupid==groupid) {
        ret +=' checked="checked" ';
    }
    return ret + "/>";
});

function calculateRealTimeAmount() {
    var amount = parseFloat(jQuery("input[name='amount']").val()),
        offsetamt = parseFloat(jQuery("input[name='offsetamt']").val()),
        calculate_real_time_amount = parseFloat(jQuery("#calculate_real_time_amount").attr("data-value").replace(/,/g,'')),
        calculate_offset_amount = parseFloat(jQuery("#calculate_offset_amount").attr("data-value").replace(/,/g,''));

    amount = isNaN(amount) ? 0 : amount;
    offsetamt = isNaN(offsetamt) ? 0 : offsetamt;
    calculate_real_time_amount = isNaN(calculate_real_time_amount) ? 0 : calculate_real_time_amount;
    calculate_offset_amount = isNaN(calculate_offset_amount) ? 0 : calculate_offset_amount;
    // alert(amount);
    // alert(amount + '|' + offsetamt + '|' + calculate_real_time_amount + '|' + calculate_offset_amount )
    // 判断输入的
    if( (amount > calculate_real_time_amount) || (offsetamt > amount) || (offsetamt > calculate_offset_amount)){
        myApp.alert("超出范围"); return false;
    }
    //alert(calculate_offset_amount);
    jQuery("input[name='realtimeamount']").val(amount - offsetamt);
}

/*此文件由hsj维护*/
myApp.onPageInit('page-city', function (page) {
    if (!(
            (objContent = $$(page.container).find('#tab1 .content-list')).length!=0 &&
            (content = objContent[0].innerHTML).length!='' &&
            (dataset = $$(page.container).dataset()).length!=0 &&
            (dataset.return!==undefined) &&
            (returns = JSON.parse(dataset.return)).length!=0
        )) return;

    var render = function(data, content) {
        var result = {"list":JSON.parse(data), "query":page.query};
        var template = Template7.compile(content);
        return template(result);
    }

    var loadCity = function(api, prefix, callback) {
        var level = api.indexOf('/province')>0 ? 0 : api.indexOf('/city')>0 ? 1 : api.indexOf('/area')>0 ? 2 : 3;
        var config = [{type:'province'},{type:'city'},{type:'area'},{type:'street'}];
        if (level>=config.length) return;
        myApp.showIndicator();
        ajaxGet(api, function(data) {
            myApp.hideIndicator();
            $$(page.container).find('#tab'+(level+1)+' .content-list').html(render(data, content));
            $$(page.container).find('#tab'+(level+1)+' .label-radio').on('change', function() {
                var data = {
                    code: $$(this).find('input[name="ks-media-radio"]').val(),
                    name: (prefix==''?'':prefix+' ')+$$(this).find('.item-title').text()
                };
                if (page.query._return==config[level].type) {
                    $$(page.fromPage.container).find('input[name="listener"]').trigger('change', {
                        input:returns.inputName,
                        value:data.code,
                        text:data.name,
                        fromurl:page.url
                    });
                    viewWork.router.back();
                } else {
                    $$(page.container).find('#tab'+(level+1)).removeClass('active');
                    $$(page.container).find('#tab'+(level+2)).addClass('active');
                    callback!==undefined ? callback(data) : null;
                }
            });
        },false);
    }
    objContent.html('');
    setTimeout(function () {
        loadCity('/v1/cities/province', '', function(data) {
            loadCity('/v1/cities/city?province=' + data.code.substr(0,2), data.name, function(data){
                loadCity('/v1/cities/area?city=' + data.code, data.name, function(data){
                });
            });
        });
    },500);
});

//动态改变印刷名片盒数量
function changeQuantity(obj,data) {
    $$(obj).parent('div').find("input[name='quantity']").val(data);
    $$(obj).parent('div').find('.button').removeClass('active');
    $$(obj).addClass('active');
}

//绑定【一键受理】按钮事件
var oneProcess = function(page) {
    var _href =window.location.href.substr(1);

    // formid
    var formid = _href.match(new RegExp("(^|&)formid=([^&]*)(&|$)"));
    formid = formid != null ? decodeURI(formid[2]) : null;

    // type
    var type = _href.match(new RegExp("(^|&)type=([^&]*)(&|$)"));
    type = type != null ? decodeURI(type[2]) : null;

    if( !(formid && type) ) return;

    var api = "/v1/formrequests/" + formid + "?type=" + type;
    console.log(api);

    var actionHsj = [
        [
            {
                text: '请选择受理操作的动作',
                label: true
            },
            {
                text: '通过',
                onClick: function () {
                    ajaxPut(api, 'status=1', function (data) {
                        myApp.getCurrentView().router.back();
                        myApp.pullToRefreshTrigger();
                    });

                }
            },
            {
                color: 'red',
                text: '不通过',
                onClick: function () {
                    ajaxPut(api, 'status=2', function (data) {
                        myApp.getCurrentView().router.back();
                        myApp.pullToRefreshTrigger();
                    });
                }
            },
        ],
        // Second group
        [
            {
                text: '取消',
                bold: true
            }
        ]
    ];
    myApp.actions(actionHsj);
}

function changeScroll(obj) {
    $$(obj).parents('div').find('.hsj-percent').text(obj.value);
};

myApp.onPageInit('page-voucher-form',function(page){
	console.log(page.query);
	binder.initPages(page, function(result){
		var voucherid = result.handleForm.page.query.id;
		var template = Template7.compile((hidden = $$(page.container).find('#detail-form .hidden-div'))[0].innerHTML);
		hidden.html(template(result.handleForm.page));
		var template = Template7.compile((title = $$(page.container).find('.detail-title'))[0].outerHTML);
		title[0].outerHTML = template(page);

		$$(page.container).find('.label-switch').on('change', function(){
	        $$(this).find('input[type="checkbox"]').prop('checked') ? $$(page.container).find('.page-content').removeClass('detail-form-hidden') : $$(page.container).find('.page-content').addClass('detail-form-hidden');
	        // $$(page.container).find('.detail-form').css('display',$$(this).find('input[type="checkbox"]').prop('checked') ? 'block' : 'none');
	    });
		$$('input[name="price"]').on('change',function(){
		    var obj = $$('.detail-form');
		    var quantity = parseFloat(obj.find("input[name='quantity']").val()),
		        price = parseInt(obj.find("input[name='price']").val());
		    if (quantity === NaN || price === NaN){
		        return;
		    }
		    obj.find("input[name='subtotal']").val(quantity*price);
		});
		$$('input[name="quantity"]').on('change',function(){
		    var obj = $$('.detail-form');
		    var quantity = parseFloat(obj.find("input[name='quantity']").val()),
		        price = parseInt(obj.find("input[name='price']").val());
		    if (quantity === NaN || price === NaN){
		        return;
		    }
		    obj.find("input[name='subtotal']").val(quantity*price);
		});
		$$('.button-save').on('click',function(e){
			//找到新建明细表单
			var form = $$('.detail-form');
			var oldid=0, chargeid='', price=0, quantity=0, subtotal=0;
			//获取coucherid参数
//			var _href =window.location.href.substr(1);
//			voucherid = _href.match(new RegExp("(^|&)id=([^&]*)(&|$)"));
//		    voucherid = voucherid != null ? decodeURI(voucherid[2]) : null;
			//获取chargeid参数
			chargeid = document.getElementsByName('chargeid')[0].value;
			//获取price参数
			price = document.getElementsByName('price')[0].value;
			//获取quantity参数
			quantity = document.getElementsByName('quantity')[0].value;
			//获取subtotal参数
			subtotal = document.getElementsByName('subtotal')[0].value;
			//获取url
			var formDS = form.dataset();
			var url = fnReplaceFromQuery(formDS.api, page.query, voucherid);
		//	form.html('');
			var data = 	'oldid=' + oldid + '&'+
						'voucherid=' + voucherid + '&'+
						'chargeid=' + chargeid + '&'+
						'price=' + price + '&'+
						'quantity=' + quantity + '&'+
						'subtotal=' + subtotal;
			var success = function(data){
				var data = JSON.parse(data);
				if(data.errcode != undefined && [40006,40004].indexOf(data.errcode) != -1){
		                myApp.alert(data.errmsg);
		                return false;
		    	}
		//		viewWork.router.refreshPage();
				document.getElementsByName('chargeid')[0].value='';
				document.getElementsByName('price')[0].value='';
				document.getElementsByName('quantity')[0].value='';
				document.getElementsByName('subtotal')[0].value='';
				myApp.pullToRefreshTrigger($$('.pull-to-refresh-content'));
			};
			ajaxPost(url, data, success);
		});
	});
});
//hsj 后续加入
myApp.onPageInit('page-projectpay',function(page){
	var calendarDefault = myApp.calendar({
	    input: '#calendar-default',
	    onDayClick: function(){calendarDefault.close();},
	});
});
//hsj 结束

/*此文件由anl维护*/

//退出登录
$(document).off("click",".open-logout").on('click','.open-logout', function () {
	localStorage.clear();
	window.location.reload();
});

//短信邀请
myApp.onPageInit('page-invite-friends', function (page) {
   $$('.prompt-ok').on('click', function () {
       myApp.prompt('请输入手机号：', function (value) {
        	var token = localStorage.getItem('token');
        	if(token != null && (/^1(3|4|5|7|8)\d{9}$/.test(value)) ){
		        $$.ajax({
		            url: apiHost+'/v1/sms/invite?token='+token,
		            cache: false,
		            async: false,
		            method: 'POST',
		            dataType: 'json',
		            data: {id:value},
		            success: function(data) {

		            }
		        });
        	}

       });
   });
});

//切换企业
myApp.onPageInit('page-mswitch', function(page){
	var template = $$(page.container).find('.page-content').html();
	$$(page.container).find('.page-content').html("")
// 	console.log(page)
   	setTimeout(function () {
	   	ajaxGet("/v1/employees?getter=corplist",function(data){
	   		data = JSON.parse(data);
//	   		console.log(data);
//	   		console.log(typeof(data));
//	   		console.log(template)
	   		var compiledTemplate = Template7.compile(template);
	   		$$(page.container).find('.page-content').html(compiledTemplate(data));
	   		$$(page.container).find('.page-content .miss-mata').on("click", function(){

	   			var coid = $$(this).data("id");
				ajaxGet("/v1/employees?setter=corp&coid="+coid,function(data){
	   				data = JSON.parse(data);
	   				localStorage.setItem("token",data.token);
					window.location.reload();
				});
	   		});
		});
	},200);
});

//施工安全
myApp.onPageInit('page-security-project-form', function (page) {

    var pickerDevice = myApp.picker({
        input: '#security-project-form',
        toolbarCloseText: '完成',
        cols: [
            {
                textAlign: 'center',
                values: ['设计师', '建造师', '施工员', '质检员', '资料员', '焊工', '水工', '电工', '漆工']
            }
        ]
    });
});

//施工质量
myApp.onPageInit('page-quality-project-form', function (page) {

    var carVendors = {
    	人员 : ['设计师', '建造师', '施工员', '质检员', '资料员', '焊工', '水工', '电工', '漆工'],
		机械 : ['挖掘机', '铲土机', '吊车'],
		材料 : ['钢材', '铝材', '塑材', '木材', '石材', '玻璃', '铝板', '胶', '其他']
	};
	var pickerDependent = myApp.picker({
	   	input: '#quality-project-form',
	    toolbarCloseText: '完成',
	    rotateEffect: true,
	    formatValue: function (picker, values) {
	        return values[0] +"  "+ values[1];
	    },
	    cols: [
	        {
	            textAlign: 'left',
	            values: ['人员', '机械', '材料'],
	            onChange: function (picker, country) {
	                if(picker.cols[1].replaceValues){
	                    picker.cols[1].replaceValues(carVendors[country]);
	                }
	            }
	        },
	        {
	            values: carVendors.人员,
	            width: 160,
	        },
	    ]
	});


});

//我的申请水平导航栏
myApp.onPageInit('page-formrequest-view', function (page) {

	$(function (){
		$(".find_nav_list").css("left",sessionStorage.left+"px");
	    $(".find_nav_list li").each(function(){
	        if($(this).find("a").text()==sessionStorage.pagecount){
	            $(".sideline").css({left:$(this).position().left});
	            $(".sideline").css({width:$(this).outerWidth()});
	            $(this).addClass("find_nav_cur").siblings().removeClass("find_nav_cur");
	            navName(sessionStorage.pagecount);
	            return false
	        }
	        else{
	            $(".sideline").css({left:0});
	            $(".find_nav_list li").eq(0).addClass("find_nav_cur").siblings().removeClass("find_nav_cur");
	        }
	    });

		var nav_w=$(".find_nav_list li").first().width();
		$(".sideline").width(nav_w);
	    $(".find_nav_list li").on('click', function(){
        nav_w=$(this).width();
        $(".sideline").stop(true);
        $(".sideline").animate({left:$(this).position().left},300);
        $(".sideline").animate({width:nav_w});
//背景颜色
        $(this).addClass("find_nav_cur").siblings().removeClass("find_nav_cur");
        var fn_w = ($(".find_nav").width() - nav_w) / 2;
//      console.log(fn_w);
        var fnl_l;

        var fnl_x = parseInt($(this).position().left);
//      console.log(fnl_x);
        if (fnl_x <= fn_w) {
            fnl_l = 0;
        } else if (fn_w - fnl_x <= flb_w - fl_w) {
            fnl_l = flb_w - fl_w;
        } else {
            fnl_l = fn_w - fnl_x;
        }
//      console.log(fn_w+"fn_w    ",fnl_l+"fnl_l   ",flb_w+"flb_w    ",fl_w+"fl_w   ",fnl_x+"fnl_x   ");
        $(".find_nav_list").animate({
            "left" : fnl_l
        }, 300);
        sessionStorage.left=fnl_l;
    });
	    var fl_w=$(".find_nav_list").width();
	    var flb_w=$(".find_nav_left").width();
	    $(".find_nav_list").on('touchstart', function (e) {
	        var touch1 = e.originalEvent.targetTouches[0];
	        x1 = touch1.pageX;
	        y1 = touch1.pageY;
	        ty_left = parseInt($(this).css("left"));
//	        console.log("1111111111111111");
	    });
	    $(".find_nav_list").on('touchmove', function (e) {
	      var touch2 = e.originalEvent.targetTouches[0];
	      var x2 = touch2.pageX;
	      var y2 = touch2.pageY;
	      if(ty_left + x2 - x1>=0){
	          $(this).css("left", 0);
	      }else if(ty_left + x2 - x1<=flb_w-fl_w){
	          $(this).css("left", flb_w-fl_w);
	      }else{
	          $(this).css("left", ty_left + x2 - x1);
	      }
	      if(Math.abs(y2-y1)>0){
	          e.preventDefault();
	      }
	  	});

	});
	function navName(c_nav) {
		switch (c_nav) {
		      case "项目合同":
		          sessionStorage.pagecount = "项目合同";
		          break;
		      case "投标预算":
		          sessionStorage.pagecount = "投标预算";
		          break;
		      case "中标预算":
		          sessionStorage.pagecount = "中标预算";
		          break;
		      case "合同预算":
		          sessionStorage.pagecount = "合同预算";
		          break;
		      case "采购合同":
		          sessionStorage.pagecount = "采购合同";
		          break;
		      case "采购发票":
		          sessionStorage.pagecount = "采购发票";
		          break;
		      case "物品进场情况":
		          sessionStorage.pagecount = "物品进场情况";
		          break;
		      case "月完工产值":
		          sessionStorage.pagecount = "月完工产值";
		          break;
		}
	}

});

/*

//退出登录
$(document).off("click",".open-logout").on('click','.open-logout', function () {
	localStorage.clear();
	window.location.reload();
});

//短信邀请
myApp.onPageInit('page-invite-friends', function (page) {
   $$('.prompt-ok').on('click', function () {
       myApp.prompt('请输入手机号：', function (value) {
        	var token = localStorage.getItem('token');
        	if(token != null && (/^1(3|4|5|7|8)\d{9}$/.test(value)) ){
		        $$.ajax({
		            url: apiHost+'/v1/sms/invite?token='+token,
		            cache: false,
		            async: false,
		            method: 'POST',
		            dataType: 'json',
		            data: {id:value},
		            success: function(data) {

		            }
		        });
        	}

       });
   });
});

//切换企业
myApp.onPageInit('page-mswitch', function(page){
	var template = $$(page.container).find('.page-content').html();
	$$(page.container).find('.page-content').html("")
// 	console.log(page)
   	setTimeout(function () {
	   	ajaxGet("/v1/employees?getter=corplist",function(data){
	   		data = JSON.parse(data);
//	   		console.log(data);
//	   		console.log(typeof(data));
//	   		console.log(template)
	   		var compiledTemplate = Template7.compile(template);
	   		$$(page.container).find('.page-content').html(compiledTemplate(data));
	   		$$(page.container).find('.page-content .miss-mata').on("click", function(){

	   			var coid = $$(this).data("id");
				ajaxGet("/v1/employees?setter=corp&coid="+coid,function(data){
	   				data = JSON.parse(data);
	   				localStorage.setItem("token",data.token);
					window.location.reload();
				});
	   		});
		});
	},200);
});

//施工安全
myApp.onPageInit('page-security-project-form', function (page) {

    var pickerDevice = myApp.picker({
        input: '#security-project-form',
        toolbarCloseText: '完成',
        cols: [
            {
                textAlign: 'center',
                values: ['设计师', '建造师', '施工员', '质检员', '资料员', '焊工', '水工', '电工', '漆工']
            }
        ]
    });
});

//施工质量
myApp.onPageInit('page-quality-project-form', function (page) {

    var carVendors = {
    	人员 : ['设计师', '建造师', '施工员', '质检员', '资料员', '焊工', '水工', '电工', '漆工'],
		机械 : ['挖掘机', '铲土机', '吊车'],
		材料 : ['钢材', '铝材', '塑材', '木材', '石材', '玻璃', '铝板', '胶', '其他']
	};
	var pickerDependent = myApp.picker({
	   	input: '#quality-project-form',
	    toolbarCloseText: '完成',
	    rotateEffect: true,
	    formatValue: function (picker, values) {
	        return values[0] +"  "+ values[1];
	    },
	    cols: [
	        {
	            textAlign: 'left',
	            values: ['人员', '机械', '材料'],
	            onChange: function (picker, country) {
	                if(picker.cols[1].replaceValues){
	                    picker.cols[1].replaceValues(carVendors[country]);
	                }
	            }
	        },
	        {
	            values: carVendors.人员,
	            width: 160,
	        },
	    ]
	});


});

//我的申请水平导航栏
myApp.onPageInit('page-formrequest-view', function (page) {

	$(function (){
		$(".find_nav_list").css("left",sessionStorage.left+"px");
	    $(".find_nav_list li").each(function(){
	        if($(this).find("a").text()==sessionStorage.pagecount){
	            $(".sideline").css({left:$(this).position().left});
	            $(".sideline").css({width:$(this).outerWidth()});
	            $(this).addClass("find_nav_cur").siblings().removeClass("find_nav_cur");
	            navName(sessionStorage.pagecount);
	            return false
	        }
	        else{
	            $(".sideline").css({left:0});
	            $(".find_nav_list li").eq(0).addClass("find_nav_cur").siblings().removeClass("find_nav_cur");
	        }
	    });

		var nav_w=$(".find_nav_list li").first().width();
		$(".sideline").width(nav_w);
	    $(".find_nav_list li").on('click', function(){
        nav_w=$(this).width();
        $(".sideline").stop(true);
        $(".sideline").animate({left:$(this).position().left},300);
        $(".sideline").animate({width:nav_w});
//背景颜色
        $(this).addClass("find_nav_cur").siblings().removeClass("find_nav_cur");
        var fn_w = ($(".find_nav").width() - nav_w) / 2;
//      console.log(fn_w);
        var fnl_l;

        var fnl_x = parseInt($(this).position().left);
//      console.log(fnl_x);
        if (fnl_x <= fn_w) {
            fnl_l = 0;
        } else if (fn_w - fnl_x <= flb_w - fl_w) {
            fnl_l = flb_w - fl_w;
        } else {
            fnl_l = fn_w - fnl_x;
        }
//      console.log(fn_w+"fn_w    ",fnl_l+"fnl_l   ",flb_w+"flb_w    ",fl_w+"fl_w   ",fnl_x+"fnl_x   ");
        $(".find_nav_list").animate({
            "left" : fnl_l
        }, 300);
        sessionStorage.left=fnl_l;
    });
	    var fl_w=$(".find_nav_list").width();
	    var flb_w=$(".find_nav_left").width();
	    $(".find_nav_list").on('touchstart', function (e) {
	        var touch1 = e.originalEvent.targetTouches[0];
	        x1 = touch1.pageX;
	        y1 = touch1.pageY;
	        ty_left = parseInt($(this).css("left"));
//	        console.log("1111111111111111");
	    });
	    $(".find_nav_list").on('touchmove', function (e) {
	      var touch2 = e.originalEvent.targetTouches[0];
	      var x2 = touch2.pageX;
	      var y2 = touch2.pageY;
	      if(ty_left + x2 - x1>=0){
	          $(this).css("left", 0);
	      }else if(ty_left + x2 - x1<=flb_w-fl_w){
	          $(this).css("left", flb_w-fl_w);
	      }else{
	          $(this).css("left", ty_left + x2 - x1);
	      }
	      if(Math.abs(y2-y1)>0){
	          e.preventDefault();
	      }
	  	});
	});
	function navName(c_nav) {
		switch (c_nav) {
		      case "项目合同":
		          sessionStorage.pagecount = "项目合同";
		          break;
		      case "投标预算":
		          sessionStorage.pagecount = "投标预算";
		          break;
		      case "中标预算":
		          sessionStorage.pagecount = "中标预算";
		          break;
		      case "合同预算":
		          sessionStorage.pagecount = "合同预算";
		          break;
		      case "采购合同":
		          sessionStorage.pagecount = "采购合同";
		          break;
		      case "采购发票":
		          sessionStorage.pagecount = "采购发票";
		          break;
		      case "物品进场情况":
		          sessionStorage.pagecount = "物品进场情况";
		          break;
		      case "月完工产值":
		          sessionStorage.pagecount = "月完工产值";
		          break;
		}
	}

});
*/
