(function() {
var Employee_card = WebUploader.create({
    UPLOAD_HOME_URL:'/assets/d7027d9a/',
    swf:'/assets/d7027d9a/Uploader.swf',
    server:'/bqvoucher/upload.html?token=',
    pick:{
        id:'#Employee_card_picker',
        innerHTML:'+'
    },
    auto:true,
    resize:false,
    style:'',
    panel:'删除',
    accept:{
        title:'Images',
        extensions:'rar,zip,xlsx,docx,pptx,xls,doc,ppt,gif,jpg,jpeg,bmp,png,html,htm,pdf,txt',
        mimeTypes:'*/*'
    }
});
//显示用户选择
// 当有文件被添加进队列的时候
Employee_card.on( 'fileQueued', function( file ) {
    $$('.wu-example .btns').addClass('');
    $$('#Employee_card_thelist').append( '<div id="' + file.id + '" style="" class="item form-control-static"></div>' );
});

//文件上传进度
// 文件上传过程中创建进度条实时显示。
Employee_card.on( 'uploadProgress', function( file, percentage ) {
    var li = $$( '#'+file.id ), percent = li.find('.progress .progress-bar');
    // 避免重复创建
    if ( !percent.length ) {
        percent = $$('<div class="progress progress-striped active">' +
        '<div class="progress-bar" role="progressbar" style="width: 0%">' +
        '</div>' +
        '</div>').appendTo( li ).find('.progress-bar');
    }
    li.find('p.state').text('上传中');
    $$('.btn-upload').addClass('disabled');
    percent.css( 'width', percentage * 100 + '%' );
});

//成功和失败处理
//成功
Employee_card.on( 'uploadSuccess', function( file,response) {
    $$( '#'+file.id ).find('p.state').text('已上传');
    var imgarray = new Array('.jpg','.jpeg','.png','.gif','.bmp');
    var imgpath=response._raw;
    var i = imgpath.lastIndexOf('.');
    var url = '<a href="javascript:;" class="avatar-panel" data-file="'+imgpath+'"><img style="" src="'+imgpath+'"><span class="avatar-edit">删除</span></a>';
    if(imgarray.indexOf('.'+file.ext)==-1) {
        url = '<a href="javascript:;" class="avatar-panel" data-file="'+imgpath+'"><img style="" src="/static/filetypes/'+file.ext+'.png"><span class="avatar-edit">删除</span></a>';
    }
    $$( '#'+file.id ).append(url).find('img').parent().hide();
    var oldimg=$$('#Employee_card').val();
    if(oldimg == '' || '1'==''){
        $$('#Employee_card').val(imgpath);
    }else{
        $$('#Employee_card').val(oldimg+';'+imgpath);
    }
});

//失败
Employee_card.on( 'uploadError', function( file) {
    $$( '#'+file.id ).find('p.state').text('上传出错');
});
//完成
Employee_card.on( 'uploadComplete', function( file ) {
    setTimeout(function(){
        $$( '#'+file.id ).find('img').parent().show().siblings().remove();
        $$('.btn-upload').removeClass('disabled');
    },2000);
    //$( '#'+file.id ).find('.progress').fadeOut();
});
$$('#Employee_card_thelist').append( '' );
$$('.avatar-panel').on('click',function(){
    var imgpath = $$(this).attr('data-file');
    $$(this).parent().remove();
    var oldimg=$('#Employee_card').val().split(';');
    oldimg.splice(oldimg.indexOf(imgpath),1);
    $$('#Employee_card').val(oldimg.join(';'));
});
})();
