// const API_LISTMENU_PARTNER	= apiHost+'/v1/categories?upid=1146&order=catid';
//,1016,1139,1078,1081,1087,1091,1146
// const API_LISTMENU_PARTNER  = apiHost+'/v1/categories?upid=1165&visible=1&order=displayorder';
// const API_VOUCHER_BQ        = apiHost+'/v1/vouchers/BQ?projectid=90';
// const API_VOUCHER_CB        = apiHost+'/v1/vouchers/CB';
// const API_VOUCHER_ID        = apiHost+'/v1/vouchers/{id}';
// const API_VOUCHERDETAIL	  	= apiHost+'/v1/voucherdetails';
// const API_CHARGEEX          = apiHost+'/v1/chargexs';
// const API_STAMP_CATEGORY    = apiHost+'/v1/categories/stamp';
// const API_ATTACHMENT_NAME   = apiHost+'/v1/attachments/{name}';
// const API_PROJECTTRACK_ID   = apiHost+'/v1/projecttracks/{id}';
// const API_NOTIFICATION      = apiHost+'/v1/notifications';

// 对Date的扩展，将 Date 转化为指定格式的String
// 月(M)、日(d)、小时(h)、分(m)、秒(s)、季度(q) 可以用 1-2 个占位符，
// 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字)
// 例子：
// (new Date()).Format("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423
// (new Date()).Format("yyyy-M-d h:m:s.S")      ==> 2006-7-2 8:9:4.18
Date.prototype.format = function(fmt) { //author: meizz
    var o = {
        "M+": this.getMonth() + 1, //月份
        "d+": this.getDate(), //日
        "h+": this.getHours(), //小时
        "m+": this.getMinutes(), //分
        "s+": this.getSeconds(), //秒
        "q+": Math.floor((this.getMonth() + 3) / 3), //季度
        "S": this.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o)
    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    return fmt;
}
/**************************************************************
生成唯一GUID
***************************************************************/
var Guid = Guid || (function () {
    var EMPTY = '00000000-0000-0000-0000-000000000000';
    var _padLeft = function (paddingString, width, replacementChar) {
        return paddingString.length >= width ? paddingString : _padLeft(replacementChar + paddingString, width, replacementChar || ' ');
    };
    var _s4 = function (number) {
        var hexadecimalResult = number.toString(16);
        return _padLeft(hexadecimalResult, 4, '0');
    };
    var _cryptoGuid = function () {
        var buffer = new window.Uint16Array(8);
        window.crypto.getRandomValues(buffer);
        return [_s4(buffer[0]) + _s4(buffer[1]), _s4(buffer[2]), _s4(buffer[3]), _s4(buffer[4]), _s4(buffer[5]) + _s4(buffer[6]) + _s4(buffer[7])].join('-');
    };
    var _guid = function () {
        var currentDateMilliseconds = new Date().getTime();
        return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function (currentChar) {
            var randomChar = (currentDateMilliseconds + Math.random() * 16) % 16 | 0;
            currentDateMilliseconds = Math.floor(currentDateMilliseconds / 16);
            return (currentChar === 'x' ? randomChar : (randomChar & 0x7 | 0x8)).toString(16);
        });
    };
    var create = function () {
        var hasCrypto = typeof (window.crypto) != 'undefined',
            hasRandomValues = typeof (window.crypto.getRandomValues) != 'undefined';
        return (hasCrypto && hasRandomValues) ? _cryptoGuid() : _guid();
    };
    return {
        newGuid: create,
        empty: EMPTY
    };
})();
/**************************************************************
ajax自定义
***************************************************************/
var ajaxRequest = function(api, data, success, method, asyncs, cache) {
    if (cache===true && (result = localStorage.getItem(hex_md5(api)))!==null && success!==undefined) {
        console.log(api+' : '+hex_md5(api));
        success(result);
        return;
    }
    var api = apiHost+api+(api.indexOf('?')==-1 ? '?' : (api[api.length-1]=='?'?'':'&'))+'token='+localStorage.getItem('token');
    var method = method===undefined ? 'GET' : method;
    $$.ajax({
        url: api,
        // dataType: 'json',
        data: data===undefined ? '' : data,
        method: method,
        async: asyncs===undefined ? false : asyncs,
        cache: cache===undefined ? false : cache,
        success: function(result) {
            if (cache===true && method=='GET') {
                localStorage.setItem(hex_md5(api),result);
            }
            if (success!==undefined) success(result);
            // console.log(method + ' ' + api + ' success : data=' + data + ' result=' + result);
        },
        error: function (xhr, ajaxOptions, thrownError) {
            myApp.hideIndicator();
            console.log(method + ' ' + api + ' error : msg=' + xhr.responseText);
           var data = JSON.parse(xhr.responseText);
           if(data.errcode != undefined && [40006,40004].indexOf(data.errcode) != -1){
               myApp.alert(data.errmsg);
               return false;
           }
        }
    });
}
var ajaxGet = function(api, success, asyncs, cache) {
    var asyncs = asyncs!==undefined?asyncs:true;
    ajaxRequest(api,'',success,'GET',asyncs, cache===true);
}
var ajaxPost = function(api, data, success) {
    ajaxRequest(api,data,success,'POST');
}
var ajaxDelete = function(api, success) {
    ajaxRequest(api,'',success,'DELETE');
}
var ajaxPut = function(api, data, success) {
    ajaxRequest(api,data,success,'PUT');
}
//从page.query替换内容中的{{query.xxx}}
var fnReplaceFromQuery = function(str, query, addParams) {
    var newStr = str, params = '';
    for( var key in query ) {
        if (key=='_current') continue;
        // var re = new RegExp("[?&]"+key+"=[0-9a-zA-Z\-]*", "g");
        // newStr = newStr.replace(re, '');
        query[key] = decodeURI(query[key]);
        var re = new RegExp("{{query."+key+"}}","g");
        newStr = newStr.replace(re, query[key]);
        if (addParams===true && key[0]!=='_' && newStr.indexOf('/'+query[key])<0) {
            params += (params==''?'':'&')+key+'='+query[key];
        }
    }
    newStr = newStr.replace('{{query._current}}', query._current===undefined?'':'/current').replace(/\/{{query.*}}/g,'');
    // @todo
    newStr = newStr+( (addParams===true && params != '') ? (newStr.indexOf('?')>=0?'&':'?') + params : '');
    return newStr;
}
var fnJsonFromUrl = function(url) {
	var theRequest = new Object();
	if (url.indexOf("?") != -1) {
		var str = url.split('?')[1];
		strs = str.split("&");
		for(var i = 0; i < strs.length; i ++) {
			theRequest[strs[i].split("=")[0]]=(strs[i].split("=")[1]);
		}
	}
	return theRequest;
}
const KEY_BACKSPACE = 8;
const KEY_TAB = 9;
const KEY_CTRL = 17;
const KEY_ENTER = 13;
const KEY_ESC = 27;
const KEY_LEFT = 37;
const KEY_UP = 38;
const KEY_RIGHT = 39;
const KEY_DOWN = 40;
const KEY_DELETE = 46;
var fnCheckNumber = function(event){
	var event = event ? event : window.event;
	var key = event.keyCode ? event.keyCode : event.which ? event.which : 0;
	var keychar = String.fromCharCode(key);
	reg = /\d/;
	var result = reg.test(keychar);
	if((!result) && key!=KEY_LEFT && key!=KEY_RIGHT && key!=KEY_BACKSPACE && key!=KEY_DELETE && key!=KEY_TAB && key!=KEY_ENTER){
		return false;
	}else{
		return true;
	}
}

var fnCheckFloat = function(event){
	var event = event ? event : window.event;
	var key = event.keyCode ? event.keyCode : event.which ? event.which : 0;
	var keychar = String.fromCharCode(key);
	reg = /[\d\.]/;
	var result = reg.test(keychar);
	if((!result) && key!=KEY_LEFT && key!=KEY_RIGHT && key!=KEY_BACKSPACE && key!=KEY_DELETE && key!=KEY_TAB && key!=KEY_ENTER){
		return false;
	}else{
		return true;
	}
}

var fnCheckDigit = function(input, event) {
	return fnCheckFloat(event);
	/*
	if ((input.name).in_array(aNumbers)) {
		return fnCheckFloat(event);
	}

	if(input.name=='Voucherdetail[quantity][]'){
		return fnCheckNumber(event);
	}else if(input.name=='Voucherdetail[price][]'){
		return fnCheckFloat(event);
	}
	*/
}
var Binder = function() {
    var app, $$, oldFormData = {};
    /**************************************************************
	函数
    ***************************************************************/
    var showIndicator = function(title, timeout, callback) {
        if ($$('.preloader-indicator-overlay').length > 0) {
            $$(document).find('.preloader-indicator-modal.preloader-container .preloader-title').html(title);
        } else {
            app.root.append('<div class="preloader-indicator-overlay"></div><div class="preloader-indicator-modal preloader-container"><span class="preloader-title color-white">' + title + '</span></div>');
        }
        if (timeout!==undefined) {
            setTimeout(function() {
                app.hideIndicator();
                if (callback!==undefined) callback();
            },timeout);
        }
    }
    //提交和保存
    var fnSave = function(page) {
        showIndicator('正在保存...');
        var formDS = $$(page.container).find('form').dataset(),
            formRT = JSON.parse(formDS.return),
            url = fnReplaceFromQuery(formDS.api, page.query),
            formData = app.formToJSON($$(page.container).find('form[data-api]'));
        url = url+(page.query.id!==undefined && parseInt(page.query.id) ? '/'+page.query.id : '');
        for(var key in formData) {
            formData[key] instanceof Array ? formData[key] = formData[key].join(', ') : formData[key];
        }
        // formData = $$.serializeObject(formData); // @todo 用 framework7的serializeObject时，空值会去掉
        // formData = $('div[data-page="'+page.name+'"] form').serialize();
        formData = $($$(page.container).find('form')).serialize();
        //var fromPage = app.getCurrentView().container.children[0].firstElementChild.f7RelatedPage.f7PageData;
        // @todo shijunjun 修改 有时候返回不到上级页面提示
        var fromPage = (fPage = app.getCurrentView().container.children[0].firstElementChild.f7RelatedPage) != undefined ? fPage.f7PageData : app.getCurrentView();
        //page.fromPage.view.activePage;
        var success = function(data) {
            var data = JSON.parse(data), text='';
            if(data.errcode != undefined && [40006,40004].indexOf(data.errcode) != -1){
                showIndicator(data.errmsg,1500);
                return false;
            }
            if ((textfield=page.query._textfield)!==undefined) {
                if ((textfield=decodeURIComponent(textfield)).indexOf(',')>=0) {
                    for(var j=0;j<(v=textfield.split(',')).length;j++) {
                        text+=(text==''?'':' ')+eval('(data.'+v[j]+')');
                    }
                } else {
                    text = eval('(data.'+page.query._textfield+')');
                }
            } else {
                text = eval('(data.'+formRT.textField+')');
            }
            $$(fromPage.container).find('input[name="listener"]').trigger('change', {
                input:page.query._inputname!==undefined?page.query._inputname:formRT.inputName,
                value:eval('(data.'+formRT.valueField+')'),
                text:text,
                data:data,
                fromurl: page.url //decodeURIComponent(page.url)
            });
            loadCheckbox(fromPage);
            app.pullToRefreshTrigger($$(fromPage.container).find('.pull-to-refresh-content'));
            showIndicator('提交成功', 1500, function(){
                app.getCurrentView().router.back();
            });
        };
        if (page.query.id!==undefined && parseInt(page.query.id)) {
            ajaxPut(url, formData, success);
        } else {
            ajaxPost(url, formData, success);
        }
    }
    //绑定侧滑事件
    var fnSwipeout = function(page, pageDS) {
        $$(page.container).find('.action-mark').off('click').on('click', function(){
            var self = this, api = pageDS.api;
            if (api.indexOf('?')>=0) {
                api = api.split('?');
                api = api[0]+'/'+$$(self).parents('li').attr('data-key')+'?'+api[1];
            } else {
                api += '/'+$$(self).parents('li').attr('data-key');
            }
            ajaxPut(api, '', function(data) {
                $$(self).parents('li').find('i span.badge').remove();
                handleToolbar();
                app.swipeoutClose($$(self).parents('li'));
            });
        });
        $$(page.container).find('.action-process').off('click').on('click', function(){
            var self = this, api = pageDS.api;
            if (api.indexOf('?')>=0) {
                api = api.split('?');
                api = api[0]+'/'+$$(self).parents('li').attr('data-key')+'?'+api[1];
            } else {
                api += '/'+$$(self).parents('li').attr('data-key');
            }
            var actionSheetButtons = [
                // First buttons group
                [
                    // Group Label
                    {
                        text: '请选择受理操作的动作',
                        label: true
                    },
                    // First button
                    {
                        text: '通过',
                        onClick: function () {
                            ajaxPut(api, 'status=1', function(data) {
                                app.swipeoutClose($$(self).parents('li'));
                                $$(self).parents('li').find('.timer').attr('data-status',1);
                                handleTimer(page);
                            });
                        }
                    },
                    {
                        color: 'red',
                        text: '不通过',
                        onClick: function () {
                            ajaxPut(api, 'status=2', function(data){
                                app.swipeoutClose($$(self).parents('li'));
                                $$(self).parents('li').find('.timer').attr('data-status',2);
                                handleTimer(page);
                            });
                        }
                    },
                ],
                // Second group
                [
                    {
                        text: '取消',
                        bold: true
                    }
                ]
            ];
            app.actions(actionSheetButtons);
        });
        $$(page.container).find('.action-delete').off('click').on('click', function(){
            var self = this, api = pageDS.api;
            if (api.indexOf('?')>=0) {
                api = api.split('?');
                api = api[0]+'/'+$$(self).parents('li').attr('data-key')+'?'+api[1];
            } else {
                api += '/'+$$(self).parents('li').attr('data-key');
            }
            var _delete = function(self, api) {
                ajaxDelete(api, function(data) {
                    var data = JSON.parse(data);
                    if (data.errcode!=='40003') {
                        app.swipeoutDelete($$(self).parents('li'));
                        fnCount(page, $$(self).parents('ul').find('li').length-1, page.view.initialNavbars[0]);
                        console.log(page.name+' handleRefresh deleted : key=' + $$(self).parents('li').attr('data-key'));
                    } else {
                        app.swipeoutClose($$(self).parents('li'));
                        app.alert(data.errmsg);
                    }
                });
            }
            if ((confirm=$$(self).dataset().confirm)!==undefined) {
                app.confirm(confirm, function() {
                    _delete(self, api);
                }, function() {
                    app.swipeoutClose($$(self).parents('li'));
                });
            } else {
                _delete(self, api);
            }

        });
        // $$(page.container).find('.swipeout').on('delete', function () {
        //     var self = this, api = pageDS.api;
        //     if (api.indexOf('?')>=0) {
        //         api = api.split('?');
        //         api = api[0]+'/'+$$(self).attr('data-key')+'?'+api[1];
        //     }
        //     ajaxDelete(api, function(data) {
        //         var data = JSON.parse(data);
        //         if (data.errcode=='40003') {
        //             app.alert(data.errmsg);
        //         } else {
        //             console.log(page.name+' handleRefresh deleted : key=' + $$(self).attr('data-key'));
        //         }
        //     });
        // });
    }

    var fnValidationForm = function(page) {
        var result = {return:true,errors:{}};
        $$.each($$(page.container).find('form').find('input[data-required], textarea[data-required], select[data-required]'), function(i,e){ //, input[type="number"]这个好像不需要，因为input指定了
            var value = $$(e).val().replace(/[,]/g, ''),
                required = $$(e).attr('data-required')=='true',
                passed = required?value!='':value=='';
            if (!isNaN(min=parseFloat($$(e).attr('min')))) {
            	result.return = result.return && (value >= min);
            }
            if (!isNaN(max=parseFloat($$(e).attr('max')))) {
            	result.return = result.return && (value <= max); //改为<=解决invoicerequest-advance.html问题
            }
            result.return = result.return && passed;
            !passed ? result.errors[$$(e).attr('name')] = $$(e).parents('li').find('.item-title').html()+(value==''?'不能为空':'已经输入') : null;
        });
        return result;
    }
    //将id值拼接到url
    var fnProcessUrl = function(url, value) {
        // START 石军军
        // 过滤掉url中多余 & 不然出现如下情况 {:undefined,id:""}
        url = decodeURIComponent(url).replace(/(&$)/g,"").replace(/(\?&)/g,"?");
        // END 石军军
    	var q = $$.parseUrlQuery(url), s='';
    	// for(var i in q) {q[i]=decodeURI(q[i]);}
        if (q.id!==undefined) {
            s = (q.id = value)=='' ? '&id=' : '';
        }
        if (q._inputname !== undefined) {
            q[q._inputname] = value;
        }
        return url.split('?')[0]+'?'+$$.serializeObject(q)+s;
    }
    var fnRandomColor = function(page) {
        // 安卓20标准色
        // var c = ['red','pink','purple','deeppurple','indigo'
        //         ,'blue','lightblue','cyan','teal','green'
        //         ,'lightgreen','lime','yellow','amber','orange'
        //         ,'deeporange','brown','gray','bluegray','black'];
        // var c = ['black','lightblue','yellow','orange','pink','blue','green', 'red'];
        // var c = ['lightblue','yellow','pink','green', 'red'];
        var c = ['gray'];
        $$.each($$(page.container).find('li .random-color'),function(i,e){
            var spanDS = $$(e).dataset();
            $$(e).addClass('bg-'+c[spanDS.seed%1]); //Math.floor(Math.random()*7)
        });
    }
    var fnCount = function(page, count, navbarInnerContainer) {
        var nic = navbarInnerContainer===undefined ? page.navbarInnerContainer : page.view.initialNavbars[0];
        if ((Title = $$(nic).find('.center')[0])!==undefined) {
            $$(Title).html($$(Title).html().replace(/\(.*?\)/g, '')+'('+count+')');
        }
    }
    var fnToDate = function (msd) {
        var time = msd, result = {};
        if (null != time && "" != time) {
            if (time > 60 && time < 60 * 60) {
                result.minute = parseInt(time / 60.0)<10;
                result.second = parseInt((parseFloat(time / 60.0) -
                                parseInt(time / 60.0)) * 60);
                result.time = result.minute + "分" + result.second + "秒";
            }
            else if (time >= 60 * 60 && time < 60 * 60 * 24) {
                result.hour   = parseInt(time / 3600.0);
                result.minute = parseInt((parseFloat(time / 3600.0) -
                                parseInt(time / 3600.0)) * 60);
                result.second = parseInt((parseFloat((parseFloat(time / 3600.0) -
                                parseInt(time / 3600.0)) * 60) -
                                parseInt((parseFloat(time / 3600.0) -
                                parseInt(time / 3600.0)) * 60)) * 60);
                result.time = result.hour + "时" + result.minute + "分" + result.second + "秒";
            } else if (time >= 60 * 60 * 24) {
                result.day    = parseInt(time / 3600.0/24);
                result.hour   = parseInt((parseFloat(time / 3600.0/24) -
                                parseInt(time / 3600.0/24))*24);
                result.minute = parseInt((parseFloat(time / 3600.0) -
                                parseInt(time / 3600.0)) * 60);
                result.second = parseInt((parseFloat((parseFloat(time / 3600.0) -
                                parseInt(time / 3600.0)) * 60) -
                                parseInt((parseFloat(time / 3600.0) -
                                parseInt(time / 3600.0)) * 60)) * 60);
                result.time = result.day + "天" + result.hour + "时" + result.minute + "分" + result.second + "秒";
            }
            else {
                result.second = parseInt(time);
                result.time = parseInt(time) + "秒";
            }
        }
        return result;
        // time = (time.indexOf('天')>=0 ? '<span class="color-red small-text text-day">' : '') + time;
        // time = time.replace('天','</span><span class="color-red small-text text-hour">');
        // time = time.replace('时','</span><span class="color-red small-text text-minute">');
        // time = time.replace('分','</span><span class="color-red small-text text-second">');
        // time = time.replace('秒','</span>');
        // return time;
    }
    var fnFormatDate = function(d) {
        var result = '';
        if (d.day!==undefined) {
            result = '<span class="color-red weight-bold small-text text-day">'+(d.day<10?'':'')+d.day+'</span>';
        } else if (d.hour!==undefined) {
            result = '<span class="color-red weight-bold small-text text-hour">'+(d.hour<10?'':'')+d.hour+'</span>';
        } else if (d.minute!==undefined) {
            result = '<span class="color-red weight-bold small-text text-minute">'+(d.minute<10?'':'')+d.minute+'</span>';
        } else if (d.second!==undefined) {
            result = '<span class="color-red weight-bold small-text text-second">'+(d.second<10?'':'')+d.second+'</span>' + result;
        }
        if (result=='') {
            result = d.time;
        }
        return result;
    }

    var fnReload = function(page) {
        //
        loadValue(page);
        loadSelect(page);
        loadCheckbox(page);
        loadDate(page);
        loadUploader(page);
        loadNumber(page);

        //
        handleTextarea(page);
        handleValidator(page);
        handleScanner(page);
        handleImport(page);
        //需要在上面先loadValue把值加载进来后，再重置textarea大小，所以移到下面来
        loadTextarea(page);
        loadSubmit(page);
    }
    var fnNavbarInnerContainer = function(page) {
        if (typeof device!=='undefined' && device.platform==='Android' || page.container.baseURI.indexOf('html-android')>=0) {
            return $$(page.container).find('.navbar');
        } else {
            return $$(page.navbarInnerContainer);
        }
    }
    /**************************************************************
	数据加载
    ***************************************************************/
    var loadCurrentProject = function() {
        ajaxGet('/v1/employees/current', function(data){
            var data = JSON.parse(data);
            $$('.list-current-project .item-text').html(data.theproject.name);
            var api = '/v1/projecttracks/current?limit=1';
            ajaxGet(api, function(data){
                localStorage.setItem(hex_md5(api), data);
            },true,false);
        },false);
    }
    var loadChart = function() {
        $$(document).find('.list-chart div[id*="data-picture"]').html('');
        // if ($$(document).find('.list-chart').hasClass('loaded')) return;
        ajaxGet('/v1/counters/projecttrack',function(data){
            // $$(document).find('.list-chart').addClass('loaded');
            var data = JSON.parse(data);
            $.each(data, function(key,value){
            	if(value == null){
            		data[key] = '0';
            	}
			});
            var gg1 = new JustGage({
                id: "data-picture-1",
                value: data.bidedcount,//getRandomInt(0, 100),
                valueFontColor: '#03a9f4',
                min: 0,
                max: data.projectcount,
                title: "在施项目",
                titleMinFontSize: 14,
                titleFontWeight: 'normal',
                label: "个",
                aUrl : "projecttrack.html",
                levelColors: [
                    "#03a9f4",
                    "#3f51b5"
                ]
            });
            var gg2 = new JustGage({
                id: "data-picture-2",
                value: data.returnamount,//getRandomInt(0, 100),
                valueFontColor: '#ffc107',
                min: 0,
                max: data.contractamount,
                title: "总回款额",
                titleMinFontSize: 14,
                titleFontWeight: 'normal',
                label: "万",
                aUrl : "taxation.html",
                levelColors: [
                    "#ffc107",
                    "#ff5722"
                ]
            });
            var gg3 = new JustGage({
                id: "data-picture-3",
                value: data.progressavg,//getRandomInt(0, 100),
                valueFontColor: '#cddc39',
                min: 0,
                max: data.progresstotal,
                title: "总完工产值",
                titleMinFontSize: 14,
                titleFontWeight: 'normal',
                label: "%",
                levelColors: [
                    "#cddc39",
                    "#4caf50"
                ]
            });
        },false);
    }
    //加载主菜单
    var loadMenu = function() {
        ajaxGet('/v1/categories', function(data) {
            var root = JSON.parse(data);
            var html = '<div class="list-block list-menu content-box">';
            for (var j in root) {
                html += '<div class="content-block-title">'+(root[j].name)+'</div><div class="row">';
                var obj = root[j].childs;
                var url = '';
                var n = 0;
                for (var i in obj) {
                    if (obj[i].code=='paymentrequest') continue;
                    if (obj[i].code=='ppcontract') {
                        url = 'contract.html?type=purchase&_title=采购合同';
                    } else if (obj[i].code=='ptcontract') {
                        url = 'contract.html?type=project&_title=项目合同';
                    } else if (obj[i].code=='bqvoucher') {
                        url = 'voucher.html?type=bq&_title=投标报价';
                    } else if (obj[i].code=='cqvoucher') {
                        url = 'voucher.html?type=cq&_title=合同报价';
                    } else if (obj[i].code=='sqvoucher') {
                        url = 'voucher.html?type=sq&_title=中标报价';
                    } else if (obj[i].code=='cbvoucher') {
                        url = 'voucher.html?type=cb&_title=成本预算';
                    } else if (obj[i].code=='ccvoucher') {
                        url = 'voucher.html?type=cc&_title=物品进场';
                    } else if (obj[i].code=='ccvoucher') {
                        url = 'voucher.html?type=cc&_title=物品进场';
                    } else {
                        url = obj[i].code+'.html';
                    }
                    // var picURL = 'img/button/' + Math.round(Math.random() * 19) + '.png';
                    var itemURL = obj[i].redirurl ? obj[i].redirurl.replace('/','-') : url;
                    html += '<div class="col-25"><a href="'+itemURL+'" class="item-link"><i class="icon icon-button  icon-'+obj[i].code+'"></i><span>'+(obj[i].name)+'</span></a></div>' + (n%4==3&&n<obj.length-1 ? '</div><div class="row">' : '');
                    n++;
                }
                if (n%4>0) {
                    for(var i=0;i<4-n%4;i++) {
                        html += '<div class="col-25"><a><i class="icon icon-button icon-blank"></i><span></span></a></div>';
                    }
                }
                html += '</div>';
            }
            html += '</div>';
            $$('.view-work').find('.page[data-page="page-work"]').find('.content-list').html(html);
        },false);
    }
   	var loadNumber = function(page) {
   		//https://github.com/nolimits4web/Framework7-Keypad
		$$.each( $$(page.container).find('input[data-type="number"],input[data-type="calculator"]'), function(i,e) {
            if ($$(e).attr('data-type')==='calculator') {
                app.keypad({
                    input: e,
                    toolbar: true,
                    toolbarCloseText: '完成',
                    type: 'calculator',
                    // formatValue:　function(p,value) {
                    //     value = value.replace(/(\d)(?=(\d\d\d)+\b)/g, function($0, $1) {
                    //         return $1 + ",";
                    //     })
			    	// 	$$(e).val(value).attr('value',value);
    			    // }
                });
            } else {
    			app.keypad({
    			    input: e,
    			    valueMaxLength: $$(e).attr('maxlength'),
    			    toolbarCloseText: '完成',
    			    dotButton: $$(e).attr('data-validator')==='card' ? false : true,
    			    formatValue:　function(p,value) {
    			    	if ($$(e).attr('data-validator')==='card') {
    			    		$$(e).val(value.replace(/([\d]{4})/g, '$1 ').trim());
    			    	} else {
    			    		$$(e).val(value.replace(/(\d)(?=(\d\d\d)+\b)/g, function($0, $1) {
                                return $1 + ",";
                            }));
    			    	}
    			    }
    			});
            }
		});
   	}
    //重置textarea大小
    var loadTextarea = function(page) {
        $$.each( $$(page.container).find('form .resizable'), function(i,e){
            app.resizeTextarea(e);
        });
    }
    //设置验证后的表单状态
    var loadSubmit = function(page) {
        // console.log(page.name+' : ' + JSON.stringify(fnValidationForm(page)));
        if (!fnValidationForm(page).return) {
            fnNavbarInnerContainer(page).find('.action-done').addClass('disabled color-gray');
            (submitButton=$$(page.container).find('.button-submit')).removeClass('color-green').addClass('disabled color-gray');
            (processButton=$$(page.container).find('.button-process')).removeClass('color-green').addClass('disabled color-gray');
            if ($$(page.container).find('input[data-required="false"]').length>0) {
                var s = submitButton.html();
                s!==undefined?submitButton.html(s.replace('一键','已')):null;
                var s = processButton.html();
                s!==undefined?processButton.html(s.replace('一键','已')):null;
            }
        } else {
            fnNavbarInnerContainer(page).find('.action-done').removeClass('disabled color-gray');
            $$(page.container).find('.button-submit').removeClass('disabled color-gray').addClass('color-green');
            $$(page.container).find('.button-process').removeClass('disabled color-gray').addClass('color-green');
        }


        // var result = true;
        // $$.each($$(page.container).find('form').find('input[data-required="true"]'), function(i,e){
        //     result = result && ($$(e).val()!='');
        // });
        // if (!result) {
        //     $$(page.container).find('.button-submit').removeClass('color-green').addClass('color-gray disabled');
        // } else {
        //     $$(page.container).find('.button-submit').removeClass('color-gray disabled').addClass('color-green');
        // }
    }
    var loadValue = function(page) {
        if (localStorage.getItem('f7form-'+$$(form).attr('id'))!=null) {
            app.formFromJSON( $$(form).attr('id') , localStorage.getItem('f7form-'+$$(form).attr('id')) );
        }
        $$.each( $$(page.container).find('select[data-value]:not([data-api])'), function(i,e){
            //不能用dataset获取数据，会把城市代码的 050505 转成 50505
            for (var i in (a = $$(e).attr('data-value').split(','))) {
                $$(e).find('option[value="'+a[i]+'"]').attr('selected',true);
            }
            app.initSmartSelects(page.container);
        });
        $$.each( $$(page.container).find('input[data-value]'), function(i,e){
            var v = $$(e).attr('data-value');
            $$(e).val(v).attr('value', v);
        });
        $$.each( $$(page.container).find('textarea[data-value]'), function(i,e){
        	var v = $$(e).attr('data-value');
            $$(e).val(v).text(v);
        });

    }
    //初始化列表前面的复选框
    var loadCheckbox = function(page, e) {
        if (e===undefined) {
            $$.each($$(page.container).find('li[data-api]'), function(i, e) {
                loadCheckbox(page, e);
            });
            return;
        }
        $$(e).find('.label-checkbox').addClass('preloader-loading');
        var liDS = $$(e).dataset(), liRT = JSON.parse(liDS.return);
        ajaxGet(liDS.api, function(data){
            var data = JSON.parse(data), value='', text='';
            if(data.length!==undefined) {
                for (var i in data) {
                    value+=(value==''?'':',')+eval('(data[i].'+liRT.valueField+')');
                    if (liRT.textField.indexOf(',')>=0) {
                        for(var j=0;j<(v=liRT.textField.split(',')).length;j++) {
                            text+=(text==''?'':',')+eval('(data[i].'+v[j]+')');
                        }
                    } else {
                        text+=(text==''?'':',')+eval('(data[i].'+liRT.textField+')');
                    }
                }
            } else if (data.errcode===undefined) {
                value = eval('(data.'+liRT.valueField+')');
                if (liRT.textField.indexOf(',')>=0) {
                    for(var j=0;j<(v=liRT.textField.split(',')).length;j++) {
                        text+=(text==''?'':' ')+eval('(data.'+v[j]+')');
                    }
                } else {
                    text = eval('(data.'+liRT.textField+')');
                }
            }
            returns = {input:liRT.inputName,value:value,text:text,data:data,fromurl:liDS.api};
            /*
            var _replace = function(element, input, value) {
                if (input[0]=='.'||input[0]=='#') {
                	$$.each($$(element).find(input),function(idx,o) {
                		if (o.tagName=='INPUT') {
                			if ($$(o).attr('max')!==null) {
                				$$(o).attr('max', value);
                			} else {
                				$$(o).val(value).attr('data-value',value);
                			}
	                    } else {
	                    	$$(o).html(value);
	                    }
                	});
                } else {
                    var re = new RegExp("(&amp;|[&?])?"+input+"=[0-9]*","g");
                    var liDS = $$(element).dataset();
                    if (liDS.api!==undefined) {
                        $$(element).attr('data-api', liDS.api.replace(re,'$1'+input+'='+value));
                    }
                    if ((url = $$(element).find('a[href]').attr('href'))!==undefined)
                        $$(element).find('a[href]').attr('href', url.replace(re,'$1'+input+'='+value));
                }
            }
            */
            //如果是更新所有ul下的数据，目前供应商api检查要在li中设置 data-replace-all="true"
            if (liDS.replaceAll!==undefined) {
                $$.each($$(page.container).find('li'), function(index, element) {
                    if (liRT.inputName.indexOf(',')>=0) {
                        for(var i in (a=liRT.inputName.split(','))) {
                            fnReplaceLi(element, a[i], value);
                        }
                    } else {
                        fnReplaceLi(element, liRT.inputName, value);
                    }
                    //更新所有class标记为返回值字段的对应值
                    for(var key in data) {
                        fnReplaceLi(element, '._'+key, data[key]);
                    }
                });
            } else {
                fnReplaceLi(e, liRT.inputName, value);
                //更新所有class标记为返回值字段的对应值
                for(var key in data) {
                    fnReplaceLi(e, '._'+key, data[key]);
                }
            }
            var form = $$(page.container).find('form[id]');
            if (localStorage.getItem('f7form-'+$$(form).attr('id'))!=null) {
                app.formFromJSON( $$(form).attr('id') , localStorage.getItem('f7form-'+$$(form).attr('id')) );
            }
            console.log(page.name+' loadCheckbox : liApi='+liDS.api+' liReturn=');
            console.log(returns);
            $$(page.container).find('input[name="listener"]').trigger('change', returns);
            $$(e).find('.label-checkbox').removeClass('preloader-loading');
        },liDS.async!==false,liDS.cache===true);

    }
    //初始化选择框数据
    var loadSelect = function(page, e) {
        if (e===undefined) {
            $$.each($$(page.container).find('select[data-api]'), function(i, e) {
                loadSelect(page, e);
            });
            return;
        }
        //加载select数据
        if (
            (selectDS = $$(e).dataset()).length!=0 &&
            (selectDS.return!==undefined) &&
            (selectRT = JSON.parse(selectDS.return)).length!=0 &&
            (typeof e !== 'function')
        ) {
            //绑定select的onchange事件
            $$(e).off('change').on('change', function() {
                var data=[], unit='';
                $$.each( $$(this).find('option'), function(i, option) {
                    if ($$(option).prop('selected')) {
                        // data.push({value:$$(e).val(),text:$$(e).text()});
                        data.push($$(option).val());
                        if ((u=$$(option).attr('data-unit'))!==null && (o=u.split(',')).length>0) {
                            for(var i in o) {
                                unit+='<option value="'+o[i]+'">'+o[i]+'</option>';
                            }
                        }
                    }
                });
                if (selectRT.unitField!==undefined) {
                    unit = '<option value="">计量单位</option>' + unit + '<option value="混合">混合</option>';
                    $$(this).parents('ul').find('select[name="unit"]').html(unit).off('change').on('change', function(){
                        $$(this).val()=='' ? $$(this).css('color','gray') : $$(this).css('color','black');
                        var v = $$(this).val()=='混合' ? 1 : '';
                        $$(this).parents('ul').find('input[name="quantity"]').val(v).attr('value',v);
                    });
                }
                $$(this).parents('li').find('input[name="'+selectRT.inputName+'"]').val(data.join(', '));
                loadSubmit(page);
            });
            if ((o=(inner=$$(e).parents('li').find('.item-inner')).find('.item-after')).length>0) {
                o.html('<div class="item-after"><span class="preloader"></span></div>');
            } else {
                inner.append('<div class="item-after"><span class="preloader"></span></div>');
            }
            ajaxGet(selectDS.api, function(data){
                var data = JSON.parse(data);
                console.log(page.name+' loadSelect : selectApi='+selectDS.api+' selectReturn[0]='+JSON.stringify(data[0]));
                // var options = '';

                var dataValue = $$(e).attr('data-value').replace(/[, ]/g,',').split(',');
                for(var i in data) {
                    var value = eval('(data[i].'+selectRT.valueField+')');
                    var s = dataValue.indexOf(value)>=0 ? ' selected="true"' : '';
                    var unit = selectRT.unitField!==undefined ? ' data-unit="'+eval('(data[i].'+selectRT.unitField+')')+'"':'';
                    $$(e).append('<option'+s+' value="'+value+'"'+unit+'>'+eval('(data[i].'+selectRT.textField+')')+'</option>');
                    // options += '<option value="'+eval('(data[i].'+rt.valueField+')')+'">'+eval('(data[i].'+rt.textField+')')+'</option>';
                }
                app.initSmartSelects(page.container);
            },selectDS.async!==false,selectDS.cache===true);
        } else {
            app.initSmartSelects(page.container);
        }
    }
    var loadUploader = function(page) {
        $('input[data-type="file"]').uploader({
            host: apiHost,
            app: myApp,
            api: apiHost+'/v1/uploader/up?token='+localStorage.getItem('token'),
            class: 'col-100 readonly-'+page.query._readonly,
            onChange: function(value) {
                loadSubmit(page);
            }
        });
    }
    var loadDate = function(page) {
        $$.each( $$(page.container).find('form .date'), function(i, e) {
            var inputDS = $$(e).dataset();
            if (inputDS.dateFormat=='yyyymm') {
                var d = new Date();
                // var v = d.format('yyyy MM').toString();
                //
                // var _dateValue = false;
                // if($$(e).val()){
                //     _dateValue = $$(e).val().split(' ');
                // }
                //【hsj】将返回日期字符串以空格分割为数组
                app.picker({
                    input: e,
                    rotateEffect: true,
                    toolbarCloseText: '完成',
                    value: $$(e).val() ? $$(e).val().split(' ') : [d.getFullYear(), d.getMonth()<9?'0'+d.getMonth()+1:d.getMonth()+1],
                    cols: [
                        {
                            textAlign: 'left',
                            values: (function () {
                                var arr = [];
                                for (var i = 2014; i <= 2024; i++) { arr.push(i); }
                                return arr;
                            })()
                        },
                        {
                            textAlign: 'left',
                            values: (function () {
                                var arr = [];
                                for (var i = 1; i <= 12; i++) { arr.push(i<10?'0'+i:i); }
                                return arr;
                            })(),
                            // displayValues: ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月' , '九月' , '十月', '十一月', '十二月'],
                        },
                    ]
                });
            } else {
                inputDS.input = e;
                inputDS.value = $$(e).val()==''?[]:(inputDS.rangePicker?$$(e).val().split(' - '):[$$(e).val()]);
                inputDS.dayNamesShort = ['周日','周一','周二','周三','周四','周五','周六'];
                inputDS.monthNames = ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月' , '九月' , '十月', '十一月', '十二月'];
                app.calendar(inputDS);
            }
        });
    }
    //初始化表单数据
    var loadForm = function(page, form, formDS, callback) {
        if ((form = form===undefined ? $$(page.container).find('form') : form).length===0) return;
        var content = form[0].innerHTML,
            formDS = formDS===undefined ? form.dataset() : formDS;
        if (formDS.api===undefined || formDS.return===undefined) return;
        form.html('<div class="content-block row ks-preloaders text-center"><div class="col-100"><span class="preloader ks-preloader-big"></span></div></div>');
        var formApi = fnReplaceFromQuery(formDS.api, page.query); //, params = '';
        form.attr('data-api', formApi);
        var formRT = JSON.parse(formDS.return);
        //参数有ID，或者指定了create-on-init要先生成id，那么通过t7渲染方式

        if (page.query._current=='yes' && page.query.id===undefined) {
            ajaxGet(formApi, function(data){
                data = JSON.parse(data);
                page.query.id = eval('data.'+formRT.valueField);
            },false);
        }

        oldid = page.query.id===undefined ? 0 : page.query.id;
        if (((id = page.query.id)===undefined||id==='') && formDS.createOnInit!==undefined && formDS.createOnInit==true) {
            // var formData = $$.serializeObject(app.formToJSON(form));
            // console.log(decodeURI(formData));
            ajaxPost(formApi,'',function(data) {
                var data = JSON.parse(data);
                id = eval('(data.'+formRT.valueField+')');
            });
        }
        var result = {};
        // $$.each($$(page.container).find('select[data-api]'), function(i, e) {
        //     var selectDS = $$(e).dataset();
        //     var selectName = $$(e).attr('name');
        //     // var selectRT = JSON.parse(selectDS.return);
        //     ajaxGet(selectDS.api, function(data) {
        //         var data = JSON.parse(data);
        //         result[selectName] = data;
        //         // console.log(page.name+' loadSelect : selectApi='+selectDS.api+' selectReturn='+JSON.stringify(data));
        //     },false);
        // });
        // $$.each($$(page.container).find('li[data-api]'), function(i, e) {
        //     var liDS = $$(e).dataset();
        //     var liRT = JSON.parse(liDS.return);
        //     ajaxGet(liDS.api, function(data) {
        //         var data = JSON.parse(data);
        //         result[liRT.inputName] = data;
        //     },false);
        // });
        // form.html('');
        // app.showIndicator();
        page.query.id = id===undefined ? 0 : id; //0是为了输出空数据，便于渲染新建表单
        formApi += '/' + page.query.id;
        ajaxGet(formApi, function(data) {
            // app.formFromJSON($$(page.container).find('form'), data);
            // result = JSON.parse('{'+result+'}')
            result.data = JSON.parse(data);
            result.query = page.query;
            var template = Template7.compile(content);
            form.html(template(result)).prepend('<input type="hidden" name="oldid" value="'+oldid+'"/>');//.css('visibility','hidden');
            // app.hideIndicator();

			fnReload(page); //移到此处解决.resizable不自动调大小问题
            // form.css('visibility','');
            //  data-range-picker="true" data-multiple="true"

            // oldFormData = {};
            // for ( var key in app.formToJSON(form) ) {
            //     oldFormData[key] = result.data[key];
            // }
            // oldFormData['oldid'] = ''+oldid;
            oldFormData = app.formToJSON(form);//$(form).serializeObject();
            console.log(page.name+' loadForm : formApi='+formApi+' formReturn=');
            console.log(result);
            console.log(page.name+' loadForm : oldFormData=');
            console.log(oldFormData);
            if (callback!==undefined) callback(page);
        });
    }



    /**************************************************************
     事件句柄
    ***************************************************************/
    //处理popover事件
    var handlePopover = function() {
        $$('.popover a').on('click', function () {
            app.closeModal('.popover');
        });
    }
    var handleImport = function(page) {
        $$(page.container).find('.button-import').on('click', function(){
            var self = this;
            $$(self).addClass('disabled').html('<span class="preloader-container"><span class="preloader"></span>正在导入...</span>');
            var api = $$(self).attr('data-api');
            ajaxGet(api, function(data){
                $$(self).html('<span class="icon"><i class="f7-icons">check_round_fill</i>导入成功！</span>');
                setTimeout(function(){
                    app.getCurrentView().router.reloadPage(page.url+'&id='+page.query.id);
                },2000);
            });
            // var type = $$(this).attr('data-type'),
            //     body =
            //     '{{#each list}}'+
            //     '<li class="align-top" data-key="{{voucherid}}">'+
            //     '    <label class="label-radio item-content">'+
            //     '        <input name="ks-media-radio" value="{{projectid}}" type="radio" data-index="{{@index}}">'+
            //     '        <div class="item-inner">'+
            //     '            <div class="item-title-row">'+
            //     '                <div class="item-title">{{project.name}}</div>'+
            //     '                <div class="item-after">'+
            //     '                    <span class="badge color-red unit-yuan">{{_total}}</span>'+
            //     '                </div>'+
            //     '            </div>'+
            //     '            <div class="item-subtitle color-blackgray">项目地：通知路12号</div>'+
            //     '            <div class="item-text">{{engineer.coname}}</div>'+
            //     '        </div>'+
            //     '        </a>'+
            //     '    </label>'+
            //     '</li>'+
            //     '{{/each}}';
            // ajaxGet('/v1/vouchers/SQ/current?sortby=voucherid&order=desc', function(data){
            //     var data = {list:JSON.parse(data),query:page.query},
            //         template = Template7.compile(body);
            //     var popupHTML =
            //     '<div class="popup">'+
            //       '<div class="list-block media-list">'+
            //         '<ul>'+template(data)+'</ul>'+
            //         '<p><a href="#" class="close-popup">Close me</a></p>'+
            //       '</div>'+
            //     '</div>';
            //     app.popup(popupHTML);
            // });
        });
    }
    var handleTakePhoto = function(page) {
        $$(page.container).find('.button-photo').on('click', function(){
            var url = $$(this).attr('data-url');
            native.takePhoto(function(imageData){
                app.getCurrentView().router.loadPage(url+'&amp;_image='+result);
            });
        });
    }
    var handleScanner = function(page) {
        $$(page.container).find('.button-scan').on('click', function(){
            var format = {
                    'invoice': ['tag1','tag2','code','no','amount','date','checkcode','tag3','Unknown']
                },
                data = {},
                type = $$(this).attr('data-type'),
                fill = JSON.parse($$(this).attr('data-fill'));
            native.barcodeScanner(function(result){
                data['text'] = result.text;
                if (type!==undefined) {
                    for(var i in (a = result.text.split(','))) {
                        data[format[type][i]]=a[i];
                    };
                    for(var k in fill) {
                        $$(page.container).find('input[name="'+fill[k]+'"],select[name="'+fill[k]+'"],textarea[name="'+fill[k]+'"]').val(data[k]).attr('value',data[k]);
                    }
                    app.alert(JSON.stringify(data));
                } else {
                    app.alert(result.text);
                }
                loadTextarea(page);
                loadSubmit(page);
            });
        });
    }
     //绑定重置事件
    var handleTextarea = function(page) {
        $$.each( $$(page.container).find('form .resizable'), function(i,e){
            app.resizableTextarea(e);
        });
    }
    var handleValidator = function(page) {
        $('div[data-page="'+page.name+'"] form').find('input[data-required="true"]:not(:hidden,[readonly]), textarea[data-required="true"]:not([readonly])').off('keyup').on('keyup', function(){
            loadSubmit(page);
        });
        $('div[data-page="'+page.name+'"] form').find('select[data-required="true"], input[data-required="true"]:hidden, input[data-required="true"][readonly], textarea[data-required="true"][readonly]').off('change').on('change', function(){
            loadSubmit(page);
        });
    }

    //处理当前页面接收到的数据
    var handleListener = function(page) {
        $$(page.container).find('input[name="listener"]').on('change', function(e){
            console.log(page.name+' handleListener : e.detail='+JSON.stringify(e.detail));
            var _fillvalue = function(e, input, page) {
                //获取li的容器
                if (e.detail.fromurl!==undefined) {
                    if ((container = $$(page.container).find('li[data-api="'+e.detail.fromurl+'"]')).length==0)
                        container = $$(page.container).find('a[href="'+e.detail.fromurl+'"]').parents('li');
                    if (container.length==0)
                        container = $$(page.container).find('input[name="'+input+'"]').parents('li');
                } else {
                    container = $$(page.container).find('input[name="'+input+'"]').parents('li');
                }
                value = e.detail.value!==undefined && e.detail.value!=='' ? e.detail.value : '';
                if ((url = container.find('a').attr('href'))!==undefined) {
                    container.find('a').attr('href', fnProcessUrl(url, value));
                }
                //设置input的值
                container.find('input[name="'+input+'"]').val(value).attr('data-value',value);
                // if (e.detail.input) {
                //     container.find('input[name="'+e.detail.input+'"]').val(value);
                // } else if (e.detail.fromurl!==undefined) {
                //     container.find('a[href="'+e.detail.fromurl+'"] input:hidden').val(value);
                // }
                //设置显示的内容
                container.find('.item-text').html(e.detail.text);
                value = e.detail.text;
                container.find('div.item-after').html(value?'<span class="badge bg-gray">'+value.toString().split(',').length+'</span>':'');
                if ((oText = container.find('.'+input)).length>0) {
                    $$.each( oText, function(i,element){
                        element.tagName=='INPUT' ? $$(element).val(e.detail.text).attr('data-value',e.detail.text) : $$(element).text(e.detail.text).val(e.detail.text).attr('data-value',e.detail.text);
                    });
                    // oText[0].tagName=='INPUT' ? oText.val(e.detail.text).attr('data-value',e.detail.text) : oText.text(e.detail.text).val(e.detail.text).attr('data-value',e.detail.text);

                // } else {
                //     container.find('div.item-after').html(value?'<span class="badge bg-gray">'+value.split(',').length+'</span>':'');
                }
                //设置checkbox的状态
                if ((o=container.find('input[name="'+input+'"]')).length>0 && o.val()!='') {
                	container.find('.checkbox').attr('checked', 'true');
                } else {
                    container.find('.checkbox').removeAttr('checked');
                }
            }
            if (e.detail.input.indexOf(',')>=0) {
                for(var i in (a=e.detail.input.split(','))) {
                    _fillvalue(e, a[i], page);
                }

            } else {
                _fillvalue(e, e.detail.input, page);
            }
            //重置textarea大小
            loadTextarea(page);
            //判断必填字段是否有值，有才可以提交
            loadSubmit(page);
        });
    }
    //导航事件
    var handleNavbar = function(page) {
        if ((o=fnNavbarInnerContainer(page)).length==0) return;
        //@TODO Navbar改为编译模板看看，会不会出什么问题，编译时不能有半角百分号'%'
        var html = o.html(),
            template = Template7.compile(html);
        // @DONE 加 decodeURI 后，paymentrequest-80.html等页面出错，改为判断
        o.html( html.indexOf('_title')>=0 ? decodeURI(template(page)) : template(page));
        /*.find('.create-popover').on('click', function(){
            var url = $$(this).attr('data-url');
            app.confirm('是否从最后一次中标预算导入？',
              function () {
                  ajaxGet('/v1/vouchers/SQ/current?sortby=voucherid&order=desc&limit=1', function(data){
                      console.log(data);
                  });
              },
              function () {
                app.getCurrentView().router.loadPage(url);
              }
            );

        });
        */

        // var navbarInnerHTML = fnReplaceFromQuery($$(page.navbarInnerContainer)[0].innerHTML, page.query);
        // if (page.query._backtext===undefined) {
        //     navbarInnerHTML = navbarInnerHTML.replace('{{query._backtext}}', '返回');
        // }
        // if (page.query._title===undefined) {
        //     navbarInnerHTML = navbarInnerHTML.replace('{{query._title}}', '');
        // }
        // $$(page.navbarInnerContainer).html(navbarInnerHTML);
        // $$(page.container).find('input[type="search"]').on('focus', function(){
        //     app.getCurrentView().hideNavbar();
        // }).on('blur', function(){
        //     app.getCurrentView().showNavbar();
        // });

    }
    var _handlerTimer = function (o) {
        // var wait=((new Date()).getTime()-parseInt($$(o).dataset().timestamp))/1000;
        var ds = $$(o).dataset();
        var timestamp = parseInt(ds.timestamp) + 24*60*60 * 3;
        // console.log(timestamp);
        var timestamp_now = parseInt((new Date()).getTime()/1000);
        // console.log(timestamp_now);
        var wait=(timestamp-timestamp_now)||'无效时间';
        // console.log(wait);
        var style = ['bg-orange','bg-green','bg-red'];
        var text = ['已过期',ds.passed,ds.denied];
        if (ds.status=='0') {
            if (wait <= 0) {
                $$(o).find('span').removeClass('color-red weight-bold small-text text-day bg-green bg-orange bg-red').addClass('badge '+style[ds.status]).html(text[ds.status]);
            } else {
                var s = fnFormatDate(fnToDate(wait));
                // $$(o).find('span.badge').removeClass('bg-green').addClass('bg-orange').html('还剩'+s);
                $$(o).html(s);
                // wait--;
                // $$(o).attr('data-wait', wait);
                // setTimeout(function() {
                //     _handlerTimer(o, '')
                // },1000);
            }
        } else {
            $$(o).find('span').removeClass('color-red weight-bold small-text text-day bg-green bg-orange bg-red').addClass('badge '+style[ds.status]).html(text[ds.status]);
        }
    }
    var handleTimer = function(page) {
        $$.each( $$(page.container).find('.timer'), function(i,e) {
            _handlerTimer($$(e));
        });
    }
    //拉取刷新
    var _handleRefresh = function(page, ptrContent, content, itemcallback) {
        if (!(
            // (ptrContent = ptrContent===undefined ? $$(page.container).find('.pull-to-refresh-content'):ptrContent).length!=0 &&
            // (objContent = ptrContent.find('.content-list')).length!=0 &&
            // (content = content===undefined ? objContent[0].innerHTML : content).length!='' &&
            (pageDS = ptrContent.dataset()).length!=0 &&
            (pageDS.return!==undefined) &&
            (pageRT = JSON.parse(pageDS.return)).length!=0
        )) return;
        var pageApi = fnReplaceFromQuery(pageDS.api, page.query, pageDS.joinParams===undefined ? true : false);
        ptrContent.attr('data-api', (pageDS.api = pageApi));
        var _triggerListener = function(page, pageRT, value, text) {
            //var fromPage = app.getCurrentView().container.children[0].firstElementChild.f7RelatedPage.f7PageData;
            // @todo shijunjun 修改 有时候返回不到上级页面提示
            var fromPage = (fPage = app.getCurrentView().container.children[0].firstElementChild.f7RelatedPage) != undefined ? fPage.f7PageData : app.getCurrentView(); //page.fromPage
            // console.log(fromPage);
            $$(fromPage.container).find('input[name="listener"]').trigger('change', {
                input:page.query._inputname!==undefined?page.query._inputname:pageRT.inputName,
                value:value,
                text: text,
                fromurl:page.url
            });
        }

        // var content = $$(page.container).find('.pull-to-refresh-content').find('.content-list')[0].innerHTML;
        // objContent.html('');
        // ptrContent.on('refresh', function (e) {
            // setTimeout(function () {
                ajaxGet(pageApi, function(data){
                    var template = Template7.compile(content),
                    data = {list:JSON.parse(data),query:page.query},
                    resultContent = template(data);
                    ptrContent.find('.content-list').html(resultContent);
                    if (pageDS.noCounter===undefined) {
                        fnCount(page, data.list.length?data.list.length:0, page.view.initialNavbars[0]);
                    }
                    fnRandomColor(page);
                    if (itemcallback!==undefined) {
                        itemcallback(data.list);
                    	// for(var i in data.list) {
                    	// 	itemcallback(i, data.list[i]);
                    	// }
                    }
                    app.pullToRefreshDone();
                    console.log(page.name+' handleRefresh refresh : pageApi='+pageApi+' count='+data.list.length+' return.list[0]=');//+JSON.stringify(data.list[0]));
                    console.log(data.list[0]);
                    handleTimer(page);

                    //绑定行点击事件
                    $$(page.container).find('.label-radio').on('change', function(){
                        var value = $$(this).find('input[name="ks-media-radio"]').val();
                        var index = $$(this).find('input[name="ks-media-radio"]').attr('data-index');
                        // var fromPage = app.getCurrentView().container.children[0].firstElementChild.f7RelatedPage.f7PageData;
                        // @todo shijunjun 修改 有时候返回不到上级页面提示
                        var fromPage = (fPage = app.getCurrentView().container.children[0].firstElementChild.f7RelatedPage) != undefined ? fPage.f7PageData : app.getCurrentView();
                        // 改为可返回自定义文本，定义class为textfield的文本
                        if ((o=$$(this).find('.'+pageRT.textField)).length>0) {
                            text = o.text();
                        } else if ((o=$$(this).find('.item-text')).length>0) {
                            text = o.text();
                        } else {
                            text = value;
                        }

                        // if ($$(this).find('.item-text').length>0) {
                        //     text = $$(this).find('.item-text').text();
                        // } else {
                        //     text = $$(this).find('.'+pageRT.textField).text();
                        // }
                        _triggerListener(page, pageRT, value, text);
                        if (page.name=='page-projecttrack') {
                            ajaxPut('/v1/employees/current','currentprojectid='+value, function(delta) {
                                localStorage.setItem(hex_md5('/v1/projecttracks/current?limit=1'), JSON.stringify(data.list[index]));
                            });

                            // var customerid = $$(this).find('input[name="ks-media-radioex"]').val();
                            // $$.each($$(page.fromPage.container).find('li'), function(i, e) {
                            //     var re = new RegExp("(&amp;|[&?])?customerid=[0-9]*","g");
                            //     var liDS = $$(e).dataset();
                            //     if (liDS.api!==undefined) {
                            //         $$(e).attr('data-api', liDS.api.replace(re,'$1customerid='+customerid));
                            //     }
                            //     if ((url = $$(e).find('a[href]').attr('href'))!==undefined)
                            //         $$(e).find('a[href]').attr('href', url.replace(re,'$1customerid='+customerid));
                            // });
                            loadCheckbox(fromPage);
                        } else if (page.name=='page-mswitch') {
                        	ajaxGet("/v1/employees?setter=corp&coid="+value,function(data){
				   				data = JSON.parse(data);
				   				localStorage.setItem("token",data.token);
								window.location.reload();
								return;
							});
                        } else if (page.name=='page-corporation') {
                            if (page.query.type==='supplier') {
                                ajaxPut('/v1/employees/current','currentsupplierid='+value, function(delta) {
                                    localStorage.setItem(hex_md5('/v1/corporations/supplier/current?limit=1'), JSON.stringify(data.list[index]));
                                });
                            }
                            var inputName = page.query._inputname!==undefined?page.query._inputname:pageRT.inputName;

                            var _replace = function(e, input, value) {
                                var re = new RegExp("(&amp;|[&?])?"+input+"=[0-9]*","g");
                                var liDS = $$(e).dataset();
                                if (liDS.api!==undefined) {
                                    $$(e).attr('data-api', liDS.api.replace(re,'$1'+input+'='+value));
                                }
                                if ((url = $$(e).find('a[href]').attr('href'))!==undefined)
                                    $$(e).find('a[href]').attr('href', url.replace(re,'$1'+input+'='+value));
                            }
                            $$.each($$(fromPage.container).find('li'), function(i, e) {
                                if (inputName.indexOf(',')>=0) {
                                    for(var i in (a=inputName.split(','))) {
                                        _replace(e, a[i], value);
                                    }
                                } else {
                                    _replace(e, inputName, value);
                                }
                                // var re = new RegExp("(&amp;|[&?])?"+inputName+"=[0-9]*","g");
                                // var liDS = $$(e).dataset();
                                // if (liDS.api!==undefined) {
                                //     $$(e).attr('data-api', liDS.api.replace(re,'$1'+inputName+'='+value));
                                // }
                                // if ((url = $$(e).find('a[href]').attr('href'))!==undefined)
                                //     $$(e).find('a[href]').attr('href', url.replace(re,'$1'+inputName+'='+value));
                            });
                            loadCheckbox(fromPage);

                            // var fromPage = $$(page.fromPage.container);
                            // var re = new RegExp("(&amp;|[&?])?supplierid=[0-9]*","g");
                            // // fromPage.html(fromPage[0].innerHTML.replace(re,'$1supplierid='+value));
                            // binder.reinitPages(page.fromPage);
                            // loadCheckbox(page.fromPage);
                            // $$.each($$(page.fromPage.container).find('li[data-api]'), function(i, e) {
                            //     loadCheckbox(page.fromPage, e);
                            // });
                        // } else {
                        //     _triggerListener(page, pageRT, value, text);
                        }
                        if (page.query._click==='return')
                            app.getCurrentView().router.back();
                    });
                    //绑定侧滑删除事件
                    fnSwipeout(page, pageDS);
                },true,pageDS.cache===true);
            // }, 1000);
        // });
        // app.pullToRefreshTrigger(ptrContent);
    }
    //多个拉取刷新
    var handleRefresh = function(page, callback, itemcallback) {
        $$.each( $$(page.container).find('.pull-to-refresh-content:not(.infinite-scroll)'), function(i,e){
            if ((objContent=$$(e).find('.content-list')).length<=0) return;
            var content = objContent[0].innerHTML;
            objContent.html('');
            // @todo
            $(e).off('refresh').on('refresh', function () {
                setTimeout(function () {
                    _handleRefresh(page, $$(e), content, itemcallback);
                }, 1000);
            });
            // app.pullToRefreshTrigger($$(e));
            if (callback===undefined) {
                app.pullToRefreshTrigger($$(e));
            } else {
                callback(i,e);
            }
        });
    }
    //无限滚动
    var handleScroll = function(page, callback, itemcallback) {
        $$.each( $$(page.container).find('.infinite-scroll.pull-to-refresh-content'), function(i,e){
            if ((objContent=$$(e).find('.content-list')).length<=0) return;
            var content = objContent[0].innerHTML;
            var objUL = objContent.find('ul');
            console.log(objUL);
            // Loading trigger
            var loading = false;
            // Last loaded index, we need to pass it to script
            var thepage = 1;
            // Attach 'infinite' event handler
            objContent.html('');

            $(e).off('refresh').on('refresh', function () {
                setTimeout(function () {
                    thepage = 1;
                    _handleRefresh(page, $$(e), content, itemcallback);
                    if ($$('.infinite-scroll .list-block li').length<20) {
                    	app.detachInfiniteScroll($$(page.container).find('.infinite-scroll'));
                    } else {
                    	objContent.append('<div class="infinite-scroll-preloader"><div class="preloader"></div><span class="preloader-text">正在加载中...</span></div>');
                    	app.attachInfiniteScroll($$(e));
                        thepage++;
                    }
                }, 1000);
            }).off('infinite').on('infinite', function () {
                // setTimeout(function () {
                    // Exit, if loading in progress
                    if (loading) return;
                    // Set loading trigger
                    loading = true;
                    // Request some file with data
                    ajaxGet(pageDS.api+'&page='+thepage, function(data){
                        loading = false;
                        var data = {list:JSON.parse(data),query:page.query};
                        var template = Template7.compile(objUL[0].innerHTML);
                        $$(page.container).find('.infinite-scroll-preloader').remove();
                        if (data.list.errcode) {
                            // Nothing more to load, detach infinite scroll events to prevent unnecessary loadings
                            app.detachInfiniteScroll($$(page.container).find('.infinite-scroll'));
                            $$(page.container).find('.infinite-scroll-preloader').remove();
                            return;
                        } else {
                            // Append loaded elements to list block
                            $$(page.container).find('.infinite-scroll .content-list ul').append(template(data));
                            objContent.append('<div class="infinite-scroll-preloader"><div class="preloader"></div><span class="preloader-text">正在加载中...</span></div>');
                            // Update last loaded index
                            thepage++;
                        }
                    });
                // }, 1000);
            });
            // app.pullToRefreshTrigger($$(e));
            if (callback===undefined) {
                app.pullToRefreshTrigger($$(e));
            } else {
                callback(i,e);
            }
        });
    }
    //虚拟列表
    var handleVirtual = function(page, callback) {
        if (!(
            (object = $$(page.container).find('.virtual-list')).length!=0 &&
            (content = object[0].innerHTML).length!='' &&
            (pageDS = object.dataset()).length!=0 &&
            (pageDS.return!==undefined) &&
            (pageRT = JSON.parse(pageDS.return)).length!=0
        )) return;

        // Generate array with 10000 demo items:
        var items = [];
        object.html('');
        app.showIndicator();
        setTimeout(function(){
            var result = 0;
            ajaxGet(pageDS.api, function(data){
                var data = JSON.parse(data);
                if (pageDS.noCounter===undefined) {
                    fnCount(page, data.length?data.length:0, page.view.initialNavbars[0]);
                }
                if (data.length>0)
                for (var i in data) {
                    // var searchName = pageRT.searchName.split('.');
                    // if (data[i][searchName[0]]===undefined || data[i][searchName[0]][searchName[1]]) continue;
                    var item = data[i];
                    if (item.unread!==undefined) {
                        result += parseInt(item.unread);//(item.unread==0 ? 1 : 0);
                    }
                    item.title = eval('item.'+pageRT.searchName);
                    items.push(item);
                }
                // Create virtual list
                var virtualList = app.virtualList($$(page.container).find('.virtual-list'), {
                    // Pass array with items
                    items: items,
                    // Custom search function for searchbar
                    searchAll: function (query, items) {
                        var found = [];
                        for (var i = 0; i < items.length; i++) {
                            if (items[i].title.indexOf(query) >= 0 || query.trim() === '') found.push(i);
                        }
                        return found; //return array with mathced indexes
                    },
                    onItemsAfterInsert: function(index, fragment) {
                        fnRandomColor(page);
                    },
                    // List item Template7 template
                    template: content,
                    // template: '<li class="swipeout" data-key="{{cpid}}">' +
                    //               '<div class="swipeout-content">' +
                    //                   '<a href="projecttrack-view.html?cpid={{cpid}}" class="item-link item-content">' +
                    //                       '<div class="item-inner">' +
                    //                           '<div class="item-title-row">' +
                    //                               '<div class="item-title">#{{cpid}}-{{projectid}}</div>' +
                    //                               '<div class="item-after"><span class="badge bg-green">{{expecttotal}}万</span></div>' +
                    //                           '</div>' +
                    //                           '<div class="item-subtitle color-blackgray">{{project.name}}</div>' +
                    //                           '<div class="item-text">{{project.address}}</div>' +
                    //                       '</div>' +
                    //                   '</a>' +
                    //               '</div>' +
                    //               '<div class="swipeout-actions-right">' +
                    //                   '<a href="#" class="action-process">受理</a>' +
                    //                   '<a href="#" class="demo-mark bg-orange">Mark</a>' +
                    //                   '<a href="#" data-confirm="真的删除？" class="action-delete bg-red">删除</a>' +
                    //               '</div>' +
                    //           '</li>',
                    // Item height
                    height: pageRT.height,
                });
                fnSwipeout(page, pageDS);
                app.hideIndicator();
                if (callback!==undefined) callback(result);
            },true);
        }, 1000);
    }
    //绑定提交事件
    var handleSave = function (page) {
        fnNavbarInnerContainer(page).find('.action-done').off('click').on('click', function(){
            fnSave(page);
        });
        if ((bar = $$(page.container).find('.button-bar')).length>0) {
            var template = Template7.compile(bar.html());
            bar.html(template(page));
            loadSubmit(page);
        }
        $$(page.container).find('.button-submit').off('click').on('click', function(){
            fnSave(page);
        });
        $$(page.container).find('.button-process').off('click').on('click', function(){
            var formDS = $$(page.container).find('form[data-api]').dataset(),
                formRT = JSON.parse(formDS.return),
                api = fnReplaceFromQuery(formDS.api, page.query),
                value = '';
            api = api+(page.query.id!==undefined && parseInt(page.query.id) ? '/'+page.query.id : '');
            if ((name=$$(this).prop('data-input'))!==undefined) {
            	value = '&'+name+'='+$$(page.container).find('input[name="'+name+'"]').val();
            }
            console.log(api);
            var actionSheetButtons = [
                // First buttons group
                [
                    // Group Label
                    {
                        text: '请选择受理操作的动作',
                        label: true
                    },
                    // First button
                    {
                        text: '通过',
                        onClick: function () {
                            showIndicator('正在操作...');
                            ajaxPut(api, 'status=1'+value, function(data) {
                                app.pullToRefreshTrigger($$(page.fromPage).find('.pull-to-refresh-content'));
                                showIndicator('受理成功', 1500, function(){
                                    app.getCurrentView().router.back();
                                });
                            });
                        }
                    },
                    {
                        color: 'red',
                        text: '不通过',
                        onClick: function () {
                            showIndicator('正在操作...');
                            ajaxPut(api, 'status=2', function(data){
                                app.pullToRefreshTrigger($$(page.fromPage).find('.pull-to-refresh-content'));
                                showIndicator('操作完成', 1500, function(){
                                    app.getCurrentView().router.back();
                                });
                            });
                        }
                    },
                ],
                // Second group
                [
                    {
                        text: '取消',
                        bold: true
                    }
                ]
            ];
            app.actions(actionSheetButtons);
        });
    }
    //返回
    var handleBack = function (page) {
        var _formEmpty = function(formData) {
            var result = true;
            for (var key in formData) {
                result = result && (parseInt(formData[key])==0 || formData[key]=='');
            }
            return result;
        }
        var _delete = function(api, page, formRT) {
            ajaxDelete(api, function(data) {
                var data = JSON.parse(data);
                console.log(page.name+' handleBack temp deleted : result=' + JSON.stringify(data));
            });
            $$(page.fromPage.container).find('input[name="listener"]').trigger('change', {
                input:page.query._inputname!==undefined?page.query._inputname:formRT.inputName,
                value:'',
                text:'',
                fromurl: page.url
            });
            // $$.each( $$(page.fromPage.container).find('.pull-to-refresh-content'), function(i,e){
            //     _handleRefresh(page, $$(e), $$(e).find('.content-list'));
            // });
            app.pullToRefreshTrigger($$(page.fromPage).find('.pull-to-refresh-content'));
        }
        fnNavbarInnerContainer(page).find('.action-back').on('click', function(e){
            if ((form = $$(page.container).find('form')).length==0) return;
            var formDS = form.dataset(),
                formRT = JSON.parse(formDS.return),
                formApi = fnReplaceFromQuery(formDS.api, page.query),
                newFormData = app.formToJSON(form),
                formChanged = JSON.stringify(newFormData)!==JSON.stringify(oldFormData);
            console.log(page.name + ' newFormData=' + JSON.stringify(newFormData) + ' oldFormData='+JSON.stringify(oldFormData)+'  page.query.id='+page.query.id);
            newFormData.type=newFormData.type!==undefined?'':newFormData.type;
            //注意！！！返回时，如果表单设置了createOnInit=true，那么page.query.id的值已经被改变
            if (formChanged) {// && page.query.id===undefined
                app.confirm('数据已更改，是否保存？', function() {
                    fnSave(page);
                }, function() {
                    if (formDS.createOnInit===true && form.find('input[name="oldid"]').val()==0) {
                        _delete(formApi + '/' + page.query.id, page, formRT);
                    }
                    app.getCurrentView().router.back();
                });
                return;
            } else if (_formEmpty(newFormData) && formDS.createOnInit===true) {
                _delete(formApi + '/' + page.query.id, page, formRT);
            }
            app.getCurrentView().router.back();
        });
    }
    //表单处理方式判断
    var handleForm = function(page, callback) {
        // $$.each( $$(page.container).find('form'), function(i,e){
        //     _handleForm(page, $$(e), $$(e).dataset());
        // });
        if (
            (form = $$(page.container).find('form')).length!==0 &&
            (formDS = form.dataset()).length!==0 &&
            // (page.query._createoninit!==undefined)
            (formDS.createOnInit!==undefined)
        ) {
            var formid = $$(page.container).find('form[id]').attr('id');
        	if (localStorage.getItem('f7form-'+formid)!=null) {
                fnReload(page);
                return;
            }
            loadForm(page, form, formDS, callback);
        } else {
            loadSelect(page);
            loadCheckbox(page);
        }
    }
    var handleToolbar = function() {
        ajaxGet('/v1/senders/current', function(data){
            var data = JSON.parse(data), unread=0;
            for(var i in data) {
                unread += parseInt(data[i].unreadcount);
            }
            $$('.toolbar-main').find('a[href="#chats"] i').html(unread>0?'<span class="badge bg-red">'+unread+'</span>':'');
        });
    }
    var handleHome = function() {
        //把需要token的请求放在这里
        loadCurrentProject();
        // loadChart();
        loadMenu();
        $$(document).find('.welcomescreen-container').hide();//find('.welcomescreen-closebtn').trigger('click');
        $$('.welcomecover-container').hide();
        // StatusBar.backgroundColorByHexString('#f7f7f8');
        // StatusBar.styleDefault();
    }
    var handleWork = function(page) {
        //点击后关闭popover
        handleListener(page);
        handlePopover();
        // 自定义菜单
        var ptrContent = $$(page.container).find('.content-list');
        ptrContent.on('refresh', function (e) {
            setTimeout(function () {
                //如果已登录，直接加载菜单，并关闭欢迎引导页(登录)
                if (localStorage.getItem('token')!==null) {
                    // $$('.welcomescreen-container').remove();
                    // document.getEventListeners(document).DOMContentLoaded[0].remove();
                    // var eventlistener = getEventListeners(window)["DOMContentLoaded"][index];
                    // window.removeEventListener("DOMContentLoaded",eventlistener.listener,eventlistener.useCapture);
                    handleHome();
                } else {
                    $$('.welcomecover-container').hide();
                    // StatusBar.backgroundColorByHexString('#f7f7f8');
                    // StatusBar.styleDefault();
                }
                app.pullToRefreshDone();
            }, 1000);
        });
        app.pullToRefreshTrigger(ptrContent);
        handleToolbar();

        // 工作页幻灯片，移到html中定义
        // var swiperBanner = app.swiper('page[data-page="page-work"] .swiper-container', {
        //     pagination:'page[data-page="page-work"] .swiper-container .swiper-pagination',
        //     spaceBetween: 0,
        //     direction: 'horizontal',
        //     loop: true,
        // });

        // // 加载左侧项目列表
        // var plContent = $$('.panel-left');
        // var content = plContent[0].innerHTML;
        // plContent.html('');
        // plContent.on('refresh', function (e) {
        //     console.log('panel-left refresh');
        //     setTimeout(function () {
        //         $$.get(apiHost+'/v1/protracks?limit=20&offset=10', function(data) {
        //             var template = Template7.compile(content);
        //             var resultContent = template(JSON.parse(data));
        //             plContent.html(resultContent);
        //             app.pullToRefreshDone();
        //         });
        //     }, 1000);
        // });
        // app.pullToRefreshTrigger(plContent);
    }
    //外部调用返回
    return {
        init: function(aApp, aDom7) {
            app = aApp;
            $$ = aDom7;
            return this;
        },

        initPages: function(page, callback) {
        	// @todo 异步可能有问题
        	var result = {};
            handleNavbar(page);
            handleListener(page);

            handleRefresh(page);
            handleVirtual(page);
            handleScroll(page);
            handleSave(page);
            handleBack(page);
            handleTakePhoto(page);
            handleForm(page, function($page) {
            	result.handleForm = $page;
            	loadNumber($page);
	            if (callback!==undefined) callback(result);
            });
        },

        reinitPages: function(page) {
            handleListener(page);
            handleForm(page);
            handleRefresh(page);
            handleSave(page);
        },

        initNavbar: function(page) {
            handleNavbar(page);
        },

        initWork: handleWork,

        initRefresh: handleRefresh,

        initVirtual: handleVirtual,

        initScroll: handleScroll,

        initHome: handleHome,

        initCounter: fnCount,

        initChart: loadChart,
    }
}();
var binder = Binder.init(myApp, $$);
