// const API_LISTMENU_PARTNER	= apiHost+'/v1/categories?upid=1146&order=catid';
//,1016,1139,1078,1081,1087,1091,1146
// const API_LISTMENU_PARTNER  = apiHost+'/v1/categories?upid=1165&visible=1&order=displayorder';
// const API_VOUCHER_BQ        = apiHost+'/v1/vouchers/BQ?projectid=90';
// const API_VOUCHER_CB        = apiHost+'/v1/vouchers/CB';
// const API_VOUCHER_ID        = apiHost+'/v1/vouchers/{id}';
// const API_VOUCHERDETAIL	  	= apiHost+'/v1/voucherdetails';
// const API_CHARGEEX          = apiHost+'/v1/chargexs';
// const API_STAMP_CATEGORY    = apiHost+'/v1/categories/stamp';
// const API_ATTACHMENT_NAME   = apiHost+'/v1/attachments/{name}';
// const API_PROJECTTRACK_ID   = apiHost+'/v1/projecttracks/{id}';
// const API_NOTIFICATION      = apiHost+'/v1/notifications';

// 对Date的扩展，将 Date 转化为指定格式的String
// 月(M)、日(d)、小时(h)、分(m)、秒(s)、季度(q) 可以用 1-2 个占位符，
// 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字)
// 例子：
// (new Date()).Format("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423
// (new Date()).Format("yyyy-M-d h:m:s.S")      ==> 2006-7-2 8:9:4.18
Date.prototype.format = function(fmt) { //author: meizz
    var o = {
        "M+": this.getMonth() + 1, //月份
        "d+": this.getDate(), //日
        "h+": this.getHours(), //小时
        "m+": this.getMinutes(), //分
        "s+": this.getSeconds(), //秒
        "q+": Math.floor((this.getMonth() + 3) / 3), //季度
        "S": this.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o)
    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    return fmt;
}
Function.prototype.getName = function(){
    return this.name || this.toString().match(/function\s*([^(]*)\(/)[1];
}
/**************************************************************
生成唯一GUID
***************************************************************/
var Guid = Guid || (function () {
    var EMPTY = '00000000-0000-0000-0000-000000000000';
    var _padLeft = function (paddingString, width, replacementChar) {
        return paddingString.length >= width ? paddingString : _padLeft(replacementChar + paddingString, width, replacementChar || ' ');
    };
    var _s4 = function (number) {
        var hexadecimalResult = number.toString(16);
        return _padLeft(hexadecimalResult, 4, '0');
    };
    var _cryptoGuid = function () {
        var buffer = new window.Uint16Array(8);
        window.crypto.getRandomValues(buffer);
        return [_s4(buffer[0]) + _s4(buffer[1]), _s4(buffer[2]), _s4(buffer[3]), _s4(buffer[4]), _s4(buffer[5]) + _s4(buffer[6]) + _s4(buffer[7])].join('-');
    };
    var _guid = function () {
        var currentDateMilliseconds = new Date().getTime();
        return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function (currentChar) {
            var randomChar = (currentDateMilliseconds + Math.random() * 16) % 16 | 0;
            currentDateMilliseconds = Math.floor(currentDateMilliseconds / 16);
            return (currentChar === 'x' ? randomChar : (randomChar & 0x7 | 0x8)).toString(16);
        });
    };
    var create = function () {
        var hasCrypto = typeof (window.crypto) != 'undefined',
            hasRandomValues = typeof (window.crypto.getRandomValues) != 'undefined';
        return (hasCrypto && hasRandomValues) ? _cryptoGuid() : _guid();
    };
    return {
        newGuid: create,
        empty: EMPTY
    };
})();

var browser={
    versions:function(){
        var u = navigator.userAgent, app = navigator.appVersion;
        return {//移动终端浏览器版本信息
            trident: u.indexOf('Trident') > -1, //IE内核
            presto: u.indexOf('Presto') > -1, //opera内核
            webKit: u.indexOf('AppleWebKit') > -1, //苹果、谷歌内核
            gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1, //火狐内核
            mobile: !!u.match(/AppleWebKit.*Mobile.*/), //是否为移动终端
            ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
            android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1, //android终端或者uc浏览器
            iPhone: u.indexOf('iPhone') > -1 , //是否为iPhone或者QQHD浏览器
            iPad: u.indexOf('iPad') > -1, //是否iPad
            webApp: u.indexOf('Safari') == -1 //是否web应该程序，没有头部与底部
        };
    }(),
    language:(navigator.browserLanguage || navigator.language).toLowerCase()
}
if(!(browser.versions.mobile || browser.versions.ios || browser.versions.android ||
    browser.versions.iPhone || browser.versions.iPad)){
    $$('body').addClass('is-pc');
}
/**************************************************************
ajax自定义
***************************************************************/
var ajaxRequest = function(api, data, success, method, asyncs, cache) {
    if (cache===true && (result = localStorage.getItem(hex_md5(api)))!==null && success!==undefined) {
        success(result);
        return;
    }
    var api = apiHost+api+(api.indexOf('?')==-1 ? '?' : (api[api.length-1]=='?'?'':'&'))+'token='+localStorage.getItem('token');
    var method = method===undefined ? 'GET' : method;
    $$.ajax({
        url: api,
        // dataType: 'json',
        data: data===undefined ? '' : data,
        method: method,
        async: asyncs===undefined ? false : asyncs,
        cache: cache===undefined ? false : cache,
        success: function(result) {
            if (cache===true && method=='GET') {
                localStorage.setItem(hex_md5(api),result);
            }
            if (success!==undefined) success(result);
            // console.log(method + ' ' + api + ' success : data=' + data + ' result=' + result);
        },
        error: function (xhr, ajaxOptions, thrownError) {
            myApp.hideIndicator();
            console.log(method + ' ' + api + ' error : msg=' + xhr.responseText);
            //myApp.alert('服务器出错');
            var data = JSON.parse(xhr.responseText);
            if(data.errcode != undefined && [40006,40004].indexOf(data.errcode) != -1){
               myApp.alert(data.errmsg);
               return false;
            }
        }
    });
}
var ajaxGet = function(api, success, asyncs, cache) {
    var asyncs = asyncs!==undefined?asyncs:true;
    ajaxRequest(api,'',success,'GET',asyncs, cache===true);
}
var ajaxPost = function(api, data, success) {
    ajaxRequest(api,data,success,'POST');
}
var ajaxDelete = function(api, success) {
    ajaxRequest(api,'',success,'DELETE');
}
var ajaxPut = function(api, data, success) {
    ajaxRequest(api,data,success,'PUT');
}
//从page.query替换内容中的{{query.xxx}}
var fnReplaceFromQuery = function(str, query, addParams) {
    var newStr = str, params = arg = '';
    for( var key in query ) {
        if (key=='_current') continue;
        // var re = new RegExp("[?&]"+key+"=[0-9a-zA-Z\-]*", "g");
        // newStr = newStr.replace(re, '');
        query[key] = decodeURI(query[key]);
        var re = new RegExp("{{query."+key+"}}","g");
        newStr = newStr.replace(re, query[key]);
        if (addParams===true && key[0]!=='_' && newStr.indexOf('/'+query[key])<0
            && newStr.indexOf('&'+key+'=')<0 && newStr.indexOf('?'+key+'=')<0) {
            params += (params==''?'':'&')+key+'='+query[key];
        }
        arg += (arg==''?'':'&')+key+'='+query[key];
    }
    newStr = newStr.replace('{{query._current}}', query._current===undefined?'':'/current').replace(/\/{{query.*}}/g,'');
    // @todo

    // newStr = newStr + ( (addParams===true && params != '') ? (newStr.indexOf('?')>=0?'&':'?') + params : '');
    if (addParams===true) {
        newStr = newStr + ( params != '' ? (newStr.indexOf('?')>=0?'&':'?') + params : '');
    } else {
        if (newStr.indexOf('?')>=0) {
            var a=newStr.split('?');
            newStr=a[0];
            newStr = newStr + '?' + a[1];
        // } else { newStr = newStr + '?' + arg;
        }
    }
    return newStr;
}
var fnJsonFromUrl = function(url) {
	var theRequest = new Object();
	if (url.indexOf("?") != -1) {
		var str = url.split('?')[1];
		strs = str.split("&");
		for(var i = 0; i < strs.length; i ++) {
			theRequest[strs[i].split("=")[0]]=(strs[i].split("=")[1]);
		}
	}
	return theRequest;
}
const KEY_BACKSPACE = 8;
const KEY_TAB = 9;
const KEY_CTRL = 17;
const KEY_ENTER = 13;
const KEY_ESC = 27;
const KEY_LEFT = 37;
const KEY_UP = 38;
const KEY_RIGHT = 39;
const KEY_DOWN = 40;
const KEY_DELETE = 46;
var fnCheckNumber = function(event){
	var event = event ? event : window.event;
	var key = event.keyCode ? event.keyCode : event.which ? event.which : 0;
	var keychar = String.fromCharCode(key);
	reg = /\d/;
	var result = reg.test(keychar);
	if((!result) && key!=KEY_LEFT && key!=KEY_RIGHT && key!=KEY_BACKSPACE && key!=KEY_DELETE && key!=KEY_TAB && key!=KEY_ENTER){
		return false;
	}else{
		return true;
	}
}

var fnCheckFloat = function(event){
	var event = event ? event : window.event;
	var key = event.keyCode ? event.keyCode : event.which ? event.which : 0;
	var keychar = String.fromCharCode(key);
	reg = /[\d\.]/;
	var result = reg.test(keychar);
	if((!result) && key!=KEY_LEFT && key!=KEY_RIGHT && key!=KEY_BACKSPACE && key!=KEY_DELETE && key!=KEY_TAB && key!=KEY_ENTER){
		return false;
	}else{
		return true;
	}
}

//格式化数字为千分位
var fnFormatNumber = function(d) {
    return d.toString().replace(/(\d)(?=(\d\d\d)+\b)/g, function($0, $1) {
        return $1 + ",";
    });
}
var fnFormatCard = function(d) {
    return d.toString().replace(/([\d]{4})/g, '$1 ').trim();
}
var fnCheckDigit = function(input, event) {
	return fnCheckFloat(event);
	/*
	if ((input.name).in_array(aNumbers)) {
		return fnCheckFloat(event);
	}

	if(input.name=='Voucherdetail[quantity][]'){
		return fnCheckNumber(event);
	}else if(input.name=='Voucherdetail[price][]'){
		return fnCheckFloat(event);
	}
	*/
}
var autoScroll = function(obj){
    $(obj).find('ul').animate({
        marginTop : "-23px"
    },200,function(){
        $(this).find('li:first').appendTo(this).parent().css({marginTop : "0px"});
    });
}
var scrollhandler=null;
var keypads = [];
var Binder = function() {
    var app, $$, oldFormData = {};
    /**************************************************************
	函数
    ***************************************************************/
    var showIndicator = function(title, timeout, callback) {

        if ($$('.preloader-indicator-overlay').length > 0) {
            $$(document).find('.preloader-indicator-modal.preloader-container .preloader-title').html(title);
        } else {
            app.root.append('<div class="preloader-indicator-overlay"></div><div class="preloader-indicator-modal preloader-container"><span class="preloader-title color-white" style="padding:35px 30px 20px 30px;">' + title + '</span></div>');
        }
        if (timeout!==undefined) {
            setTimeout(function() {
                app.hideIndicator();
                if (callback!==undefined) callback();
            },timeout);
        }
    }
    var fnBatchCreate = function(page, api, data, callback) {
        showIndicator('正在保存...');
        var fromPage = (fPage = app.getCurrentView().container.children[0].firstElementChild.f7RelatedPage) != undefined ? fPage.f7PageData : app.getCurrentView();
        if (callback!==undefined) fromPage = page;
        //解决projecttrack-form保存后找不到frompage
        //var fromPage = page.fromPage;
        //page.fromPage.view.activePage;
        var success = function(data) {
            var data = JSON.parse(data);
            if(data.errcode != undefined && [40006,40004].indexOf(data.errcode) != -1){
                showIndicator(data.errmsg,1500);
                return false;
            }
            app.pullToRefreshTrigger($$(fromPage.container).find('.pull-to-refresh-content'));
            showIndicator('<i class="f7-icons">check</i>', 1500, function(){
                if (callback===undefined) {
                    app.getCurrentView().router.back();
                } else {
                    callback(data);
                }
            });
        };
        ajaxPost(api, data, success);
    }
    //提交和保存
    var fnSave = function(page, obj) {
        showIndicator('正在保存...');
        var formDS = $$(page.container).find('form').dataset(),
            formRT = JSON.parse(formDS.return),
            url = fnReplaceFromQuery(formDS.api, page.query),
            params = fnJsonFromUrl(url),
            formData = app.formToJSON($$(page.container).find('form[data-api]')),
            param='';
        if (url.indexOf('?')>=0 && (a=url.split('?'))) {
            url = a[0];
            param = a[1];
        }
        url = url+(page.query.id!==undefined && parseInt(page.query.id) ? '/'+page.query.id : '')+(param?'?'+param:'');
        for(var key in formData) {
            formData[key] instanceof Array ? formData[key] = formData[key].join(', ') : formData[key];
        }
        // formData = $$.serializeObject(formData); // @todo 用 framework7的serializeObject时，空值会去掉
        // formData = $('div[data-page="'+page.name+'"] form').serialize();
        formData = $($$(page.container).find('form')).serialize();
        //var fromPage = app.getCurrentView().container.children[0].firstElementChild.f7RelatedPage.f7PageData;
        // @todo shijunjun 修改 有时候返回不到上级页面提示
        var fromPage = (fPage = app.getCurrentView().container.children[0].firstElementChild.f7RelatedPage) != undefined ? fPage.f7PageData : app.getCurrentView();
        //解决projecttrack-form保存后找不到frompage
        //var fromPage = page.fromPage;
        //page.fromPage.view.activePage;
        var success = function(data) {
            var data = JSON.parse(data), text='';
            if(data.errcode != undefined){ //  && [40006,40004].indexOf(data.errcode) != -1
                showIndicator(data.errmsg,1500);
                return false;
            }
            //如果是新建项目立项的保存，则设置当前默认项目为该项目的ID
            if (page.name=='page-projecttrack-form' && page.query.id=='0') {
                ajaxPut('/v1/employees/current', 'currentprojectid=' + data.projectid, function (delta) {
                    localStorage.setItem(hex_md5('/v1/projecttracks/current?limit=1'), JSON.stringify(data));
                });
            }
            if ((textfield=page.query._textfield)!==undefined) {
                var text='';
                if ((textfield=decodeURIComponent(textfield)).indexOf(',')>=0) {
                    for(var j=0;j<(v=textfield.split(',')).length;j++) {
                        text+=(text==''?'':' ')+eval('(data.'+v[j]+')');
                    }
                } else {
                    text = eval('(data.'+page.query._textfield+')');
                }
            } else {
                text = eval('(data.'+formRT.textField+')');
            }
            $$(fromPage.container).find('input[name="listener"]').trigger('change', {
                input:page.query._inputname!==undefined?page.query._inputname:formRT.inputName,
                value:eval('(data.'+formRT.valueField+')'),
                text:text,
                data:data,
                fromurl: page.url //decodeURIComponent(page.url)
            });
            //loadCheckbox(fromPage);
            app.pullToRefreshTrigger($$(fromPage.container).find('.pull-to-refresh-content'));
            //获取用户此次操作所获得的的积分
            ajaxGet('/v1/employees/current', function (data) {
                data = JSON.parse(data);
                var msg = (data.score != 0 && data.score!=null) ? '<img src="../img/coin.png" style="height: 30px;"><span class="color-yellow" style="font-weight:bold"> + ' + data.score + '</span> 积分' : '<i class="f7-icons">check</i>';
                showIndicator(msg, 1500, function(){
                    if (obj!==undefined && $$(obj).attr('data-redirect')!=null) {
                        app.getCurrentView().router.reloadPage($$(obj).attr('data-redirect'));
                    } else {
                        app.getCurrentView().router.back();
                    }
                });
            },false);

        };
        if (page.query.id!==undefined && parseInt(page.query.id) || params._op!==undefined && params._op=='updateall') {
            //修改时把状态改变为0
            ajaxPut(url, formData, success);
        } else {
            ajaxPost(url, formData, success);
        }
    }
    //绑定侧滑事件
    var fnSwipeout = function(page, pageDS) {
        /*
        //提交询价单
        $$(page.container).find('.order-ask').on('click', function(){
            var self = this, api = pageDS.api;
            if (api.indexOf('?')>=0) {
                api = api.split('?');
                api = api[0]+'/'+$$(self).parents('li').attr('data-key')+'?'+api[1];
            } else {
                api += '/'+$$(self).parents('li').attr('data-key');
            }

            var _update = function(obj, api) {
                showIndicator('执行中...');
                ajaxPut(api,  {verify:1},function(data) {
                    var data = JSON.parse(data);
                    if (data.errcode!=='40003') {
                      //  app.swipeoutDelete($$(obj).parents('li'));
                      //  fnCount(page, $$(obj).parents('ul').find('li').length-1, page.view.initialNavbars[0]);
                        app.alert('提交成功，请等待处理');

                        app.swipeoutClose($$(self).parents('li'));
                        app.hideIndicator();
                    } else {
                        app.swipeoutClose($$(obj).parents('li'));
                        app.alert(data.errmsg);
                    }
                    app.hideIndicator();
                });
            };
            app.confirm('确认提交吗？', function() {
                _update(self, api);
            }, function() {
                app.swipeoutClose($$(self).parents('li'));
            });
        });
        //报价完成
        $$(page.container).find('.order-priceok').on('click', function () {
            var self = this, api = pageDS.api;
            if (api.indexOf('?') >= 0) {
                api = api.split('?');
                api = api[0] + '/' + $$(self).parents('li').attr('data-key') + '?' + api[1];
            } else {
                api += '/' + $$(self).parents('li').attr('data-key');
            }

            var _update = function (obj, api) {
                showIndicator('执行中...');
                ajaxPut(api, { verify: 3 }, function (data) {
                    var data = JSON.parse(data);
                    app.hideIndicator();

                    if (data.errcode !== '40003') {
                        //  app.swipeoutDelete($$(obj).parents('li'));
                        //  fnCount(page, $$(obj).parents('ul').find('li').length-1, page.view.initialNavbars[0]);
                        app.alert('提交成功，请等待处理');

                        app.swipeoutClose($$(self).parents('li'));
                        app.hideIndicator();
                    } else {
                        app.swipeoutClose($$(obj).parents('li'));
                        app.alert(data.errmsg);
                    }
                    app.hideIndicator();
                });
            };
            app.confirm('确认提交吗？', function () {
                _update(self, api);
            }, function () {
                app.swipeoutClose($$(self).parents('li'));
            });
        });
        
        //报价双方确认
        $$(page.container).find('.order-finsh').on('click', function () {
            var self = this, api = pageDS.api;
            if (api.indexOf('?') >= 0) {
                api = api.split('?');
                api = api[0] + '/' + $$(self).parents('li').attr('data-key') + '?' + api[1];
            } else {
                api += '/' + $$(self).parents('li').attr('data-key');
            }

            var _update = function (obj, api) {
                showIndicator('执行中...');
                ajaxPut(api, { verify: 4 }, function (data) {
                    var data = JSON.parse(data);
                    if (data.errcode !== '40003') {
                        //  app.swipeoutDelete($$(obj).parents('li'));
                        //  fnCount(page, $$(obj).parents('ul').find('li').length-1, page.view.initialNavbars[0]);
                        app.alert('提交成功，请等待处理');

                        app.swipeoutClose($$(self).parents('li'));
                        app.hideIndicator();
                    } else {
                        app.swipeoutClose($$(obj).parents('li'));
                        app.alert(data.errmsg);
                    }
                    app.hideIndicator();
                });
            };
            app.confirm('确认提交吗？', function () {
                _update(self, api);
            }, function () {
                app.swipeoutClose($$(self).parents('li'));
            });
        });
        */

        $(document).off('click', '.action-mark').on('click', '.action-mark', function(){
            var self = this, api = pageDS.api;
            if (api.indexOf('?')>=0) {
                api = api.split('?');
                api = api[0]+'/'+$$(self).parents('li').attr('data-key')+'?'+api[1];
            } else {
                api += '/'+$$(self).parents('li').attr('data-key');
            }
            showIndicator('执行中...');
            ajaxPut(api, '', function(data) {
                $$(self).parents('li').find('i span.badge').remove();
                handleToolbar();
                app.swipeoutClose($$(self).parents('li'));
                app.hideIndicator();
            });
        });
        $(document).off('click', '.action-send').on('click', '.action-send', function(){
            var self = this, api = pageDS.api;
            if (api.indexOf('?')>=0) {
                api = api.split('?');
                api = api[0]+'/'+$$(self).parents('li').attr('data-key')+'?'+api[1];
            } else {
                api += '/'+$$(self).parents('li').attr('data-key');
            }
            api += (api.indexOf('?')>=0 ? '&' : '?');// + 'op=send';
            var _update = function(obj, api) {
                if ((value = $$(obj).attr('data-value'))==null) {
                    value={"folder":1};
                } else {
                    value = JSON.parse(value);
                }
                showIndicator('执行中...');
                ajaxPut(api, value, function(data) {
                    $$(self).parents('li').find('i span.badge').remove();
                    handleToolbar();
                    app.swipeoutClose($$(self).parents('li'));
                    if ($$(self).attr('data-redirect')!=null) {
                        app.getCurrentView().router.reloadPage($$(self).attr('data-redirect'));
                    }
                    app.hideIndicator();
                });
            }
            if ((confirm=$$(self).dataset().confirm)!==undefined) {
                app.confirm(confirm, function() {
                    _update(self, api);
                }, function() {
                    app.swipeoutClose($$(self).parents('li'));
                });
            } else {
                _update(self, api);
            }
        });
        $(document).off('click', '.action-verify').on('click', '.action-verify', function(e){
            e.preventDefault();
            var self = this, api = pageDS.api;
            if (api.indexOf('?')>=0) {
                api = api.split('?');
                api = api[0]+'/'+$$(self).parents('li').attr('data-key')+'?'+api[1];
            } else {
                api += '/'+$$(self).parents('li').attr('data-key');
            }
            api += (api.indexOf('?')>=0 ? '&' : '?') + 'op=verify';
            var _update = function(obj, api) {
                if ((value = $$(obj).attr('data-value'))==null) value=1;
                showIndicator('执行中...');
                ajaxPut(api, 'verify='+value, function(data) {
                    $$(self).parents('li').find('i span.badge').remove();
                    handleToolbar();
                    app.swipeoutClose($$(self).parents('li'));
                    if ($$(self).attr('data-redirect')!=null) {
                        app.getCurrentView().router.reloadPage($$(self).attr('data-redirect'));
                    }
                    app.hideIndicator();
                });
            }
            if ((confirm=$$(self).dataset().confirm)!==undefined) {
                app.confirm(confirm, function() {
                    _update(self, api);
                }, function() {
                    app.swipeoutClose($$(self).parents('li'));
                });
            } else {
                _update(self, api);
            }
        });

        $(document).off('click', '.action-process').on('click', '.action-process', function(){
            var self = this, api = pageDS.api;
            if (api.indexOf('?')>=0) {
                api = api.split('?');
                api = api[0]+'/'+$$(self).parents('li').attr('data-key')+'?'+api[1];
            } else {
                api += '/'+$$(self).parents('li').attr('data-key');
            }
            var actionSheetButtons = [
                // First buttons group
                [
                    // Group Label
                    {
                        text: '请选择受理操作的动作',
                        label: true
                    },
                    // First button
                    {
                        text: '通过',
                        onClick: function () {
                            showIndicator('执行中...');
                            ajaxPut(api, 'status=1', function(data) {
                                app.swipeoutClose($$(self).parents('li'));
                                $$(self).parents('li').find('.timer').attr('data-status',1);
                                handleTimer(page);
                                app.hideIndicator();
                            });
                        }
                    },
                    {
                        color: 'red',
                        text: '不通过',
                        onClick: function () {
                            showIndicator('执行中...');
                            ajaxPut(api, 'status=2', function(data){
                                app.swipeoutClose($$(self).parents('li'));
                                $$(self).parents('li').find('.timer').attr('data-status',2);
                                handleTimer(page);
                                app.hideIndicator();
                            });
                        }
                    },
                ],
                // Second group
                [
                    {
                        text: '取消',
                        bold: true
                    }
                ]
            ];
            app.actions(actionSheetButtons);
        });
        $(document).off('click', '.action-delete').on('click', '.action-delete', function(){
            var self = this, api = pageDS.api;
            if (api.indexOf('?')>=0) {
                api = api.split('?');
                api = api[0]+'/'+$$(self).parents('li').attr('data-key')+'?'+api[1];
            } else {
                api += '/'+$$(self).parents('li').attr('data-key');
            }

            var _delete = function(obj, api) {
                showIndicator('执行中...');
                ajaxDelete(api, function(data) {
                    var data = JSON.parse(data);
                    if (data.errcode!=='40003') {
                        app.swipeoutDelete($$(obj).parents('li'));
                        fnCount(page, $$(obj).parents('ul').find('li').length-1, page.view.initialNavbars[0]);
                        //console.log(page.name+' handleRefresh deleted : key=' + $$(obj).parents('li').attr('data-key'));
                    } else {
                        app.swipeoutClose($$(obj).parents('li'));
                        app.alert(data.errmsg);
                    }
                    app.hideIndicator();
                });
            }
            if ((confirm=$$(self).dataset().confirm)!==undefined) {
                app.confirm(confirm, function() {
                    _delete(self, api);
                    if (page.name==='page-voucher-form') {
                        var res = parseFloat($$(page.container).find('input[name="total"]').val().replace(/[,]/g,''))
                        var v = parseFloat($(self).parents('li').find('.item-after').text());
                        var val = fnFormatNumber(res-v);
                        $$(page.container).find('input[name="total"]').val(val).attr('data-value',val);
                    }
                }, function() {
                    app.swipeoutClose($$(self).parents('li'));
                });
            } else {
                _delete(self, api);
            }

        });
        $(document).off('click', '.action-setup').on('click', '.action-setup', function(){
            var self = this, api = pageDS.api;
            if (api.indexOf('?')>=0) {
                api = api.split('?');
                api = api[0]+'/'+$$(self).parents('li').attr('data-key')+'?'+api[1];
            } else {
                api += '/'+$$(self).parents('li').attr('data-key');
            }
            api = api+(api.indexOf('?')<0?'?':'&')+'op=setup';
            var _execute = function(obj, api) {
                showIndicator('执行中...');
                ajaxPut(api, $$(self).attr('data-value'), function(data) {
                    app.swipeoutClose($$(obj).parents('li'));
                    app.hideIndicator();
                });
            }
            _execute(self, api);
        });
        // $$(page.container).find('.swipeout').on('delete', function () {
        //     var self = this, api = pageDS.api;
        //     if (api.indexOf('?')>=0) {
        //         api = api.split('?');
        //         api = api[0]+'/'+$$(self).attr('data-key')+'?'+api[1];
        //     }
        //     ajaxDelete(api, function(data) {
        //         var data = JSON.parse(data);
        //         if (data.errcode=='40003') {
        //             app.alert(data.errmsg);
        //         } else {
        //             console.log(page.name+' handleRefresh deleted : key=' + $$(self).attr('data-key'));
        //         }
        //     });
        // });
    }

    var fnValidationForm = function(page) {
        var result = {return:true,errors:{}};
        $$.each($$(page.container).find('form').find('input[data-required], textarea[data-required], select[data-required]'), function(i,e){ //, input[type="number"]这个好像不需要，因为input指定了
            var value = $$(e).val().replace(/[,]/g, '');
            var required = ($$(e).attr('data-required')=='true');
            var passed = required ?(value!=''):true;
            if (!isNaN(min=parseFloat($$(e).attr('min')))) {
            	result.return = result.return && (value >= min);
            }
            if (!isNaN(max=parseFloat($$(e).attr('max')))) {
            	result.return = result.return && ((value <= max) || (
            	    page.name=='page-invoicerequest-project' ||
                    page.name=='page-invoicerequest-advance'||
                    page.name=='page-paymentrequest-form')); //改为<=解决invoicerequest-advance.html问题
            }
            result.return = result.return && passed;
            // console.log( $$(e).attr('name') + '=' + value + ',required=' + required + ',passwd='+passed);
            !passed ? result.errors[$$(e).attr('name')] = $$(e).parents('li').find('.item-title').html()+(value==''?'不能为空':'已经输入') : null;
        });
        // 2017.4.29 by david
        // 如果没有错误输出，则返回true
        if ($.isEmptyObject(result.errors)) {
            result.return = true;
        }
        return result;
    }
    var fnAppendUrl = function(url, input, value) {
        // START 石军军
        // 过滤掉url中多余 & 不然出现如下情况 {:undefined,id:""}
        url = decodeURIComponent(url).replace(/(&$)/g,"").replace(/(\?&)/g,"?");
        // END 石军军
        var q = $$.parseUrlQuery(url), s='';
        // for(var i in q) {q[i]=decodeURI(q[i]);}
        if (q.id!==undefined) {
            s = (q.id = value)=='' ? '&id=' : '';
        }
        if (q._inputname !== undefined) {
            q[q._inputname] = value;
        }
        //系列化后要再解码，不然会出现file_1%2Cfile_2无法判断
        //http://m.gongchengjia.cn/html-ios/#!/stamp-completion.html?id=474&projectid=430&othercoid=264982&_readonly=yes
        return url.split('?')[0]+'?'+decodeURIComponent($$.serializeObject(q))+s;
    }
    //将id值更新到url
    var fnUpdateUrl = function(url, input, value) {
        url = decodeURIComponent(url);
        //console.log(url+' === '+input+' === '+value);
        var re = new RegExp("(&amp;|[&?])?"+input+"=[0-9]*","g");
        return url.replace(re,'$1'+input+'='+value);
    }
    var fnRandomColor = function(page) {
        // 安卓20标准色
        var c = ['red','pink','purple','deeppurple','indigo'
                ,'blue','lightblue','cyan','teal','green'
                ,'lightgreen','lime','yellow','amber','orange'
                ,'deeporange','brown','gray','bluegray','black'];
        // var c = ['black','lightblue','yellow','orange','pink','blue','green', 'red'];
        // var c = ['lightblue','yellow','pink','green', 'red'];
        // var c = ['gray'];
        $$.each($$(page.container).find('li .random-color'),function(i,e){
            var spanDS = $$(e).dataset();
            $$(e).addClass('bg-'+c[spanDS.seed%20]); //Math.floor(Math.random()*7)
        });
    }
    var fnCount = function(page, count, navbarInnerContainer) {
        var nic = navbarInnerContainer===undefined ? page.navbarInnerContainer : page.view.initialNavbars[0];
        if ((Title = $$(nic).find('.center')[0])!==undefined) {
            $$(Title).html($$(Title).html().replace(/\(.*?\)/g, '')+'('+count+')');
        }
    }
    var fnUpdateImg = function(page) {
        if (page===undefined || $$(page.container)===undefined) return;
        $$.each($$(page.container).find('img'),function(i,e){
            if ($$(e).attr('data-src')!==null) {
                var ss=$$(e).attr('data-src');
                if (ss.indexOf('http')!==0)
                    ss=apiHost+ss;
                $$(e).attr('src', ss);
            }
        });
        $(document).off('click','.timeline-item-text img[data-in-browser]:not([data-no-image])').on('click','.timeline-item-text img[data-in-browser]:not([data-no-image])',function () {
            var photos = [];
            $(".timeline-item-text img[data-in-browser]:not([data-no-image])").each(function () {
                var src = apiHost + $(this).attr('data-src');
                ft = src.substr(src.lastIndexOf('.')+1);
                if (['png','jpg','jpeg','gif','bmp','svg'].indexOf(ft)>=0)
                    photos.push(src);
            });
            app.photoBrowser({
                photos: photos,
                backLinkText: '关闭',
                theme: 'dark',
                type: 'standalone'
            }).open();
        });
    }
    var fnToDate = function (msd) {
        var time = msd, result = {};
        if (null != time && "" != time) {
            if (time > 60 && time < 60 * 60) {
                result.minute = parseInt(time / 60.0)<10;
                result.second = parseInt((parseFloat(time / 60.0) -
                                parseInt(time / 60.0)) * 60);
                result.time = result.minute + "分" + result.second + "秒";
            }
            else if (time >= 60 * 60 && time < 60 * 60 * 24) {
                result.hour   = parseInt(time / 3600.0);
                result.minute = parseInt((parseFloat(time / 3600.0) -
                                parseInt(time / 3600.0)) * 60);
                result.second = parseInt((parseFloat((parseFloat(time / 3600.0) -
                                parseInt(time / 3600.0)) * 60) -
                                parseInt((parseFloat(time / 3600.0) -
                                parseInt(time / 3600.0)) * 60)) * 60);
                result.time = result.hour + "时" + result.minute + "分" + result.second + "秒";
            } else if (time >= 60 * 60 * 24) {
                result.day    = parseInt(time / 3600.0/24);
                result.hour   = parseInt((parseFloat(time / 3600.0/24) -
                                parseInt(time / 3600.0/24))*24);
                result.minute = parseInt((parseFloat(time / 3600.0) -
                                parseInt(time / 3600.0)) * 60);
                result.second = parseInt((parseFloat((parseFloat(time / 3600.0) -
                                parseInt(time / 3600.0)) * 60) -
                                parseInt((parseFloat(time / 3600.0) -
                                parseInt(time / 3600.0)) * 60)) * 60);
                result.time = result.day + "天" + result.hour + "时" + result.minute + "分" + result.second + "秒";
            }
            else {
                result.second = parseInt(time);
                result.time = parseInt(time) + "秒";
            }
        }
        return result;
        // time = (time.indexOf('天')>=0 ? '<span class="color-red small-text text-day">' : '') + time;
        // time = time.replace('天','</span><span class="color-red small-text text-hour">');
        // time = time.replace('时','</span><span class="color-red small-text text-minute">');
        // time = time.replace('分','</span><span class="color-red small-text text-second">');
        // time = time.replace('秒','</span>');
        // return time;
    }
    var fnFormatDate = function(d) {
        var result = '';
        if (d.day!==undefined) {
            result = '<span class="color-red weight-bold small-text text-day">'+(d.day<10?'':'')+d.day+'</span>';
        } else if (d.hour!==undefined) {
            result = '<span class="color-red weight-bold small-text text-hour">'+(d.hour<10?'':'')+d.hour+'</span>';
        } else if (d.minute!==undefined) {
            result = '<span class="color-red weight-bold small-text text-minute">'+(d.minute<10?'':'')+d.minute+'</span>';
        } else if (d.second!==undefined) {
            result = '<span class="color-red weight-bold small-text text-second">'+(d.second<10?'':'')+d.second+'</span>' + result;
        }
        if (result=='') {
            result = d.time;
        }
        return result;
    }
    var fnReload = function(page) {
        loadValue(page);
        loadSelect(page);
        loadCheckbox(page); //有loadSubmit
        loadDate(page);
        loadUploader(page);
        loadNumber(page);
        loadPicker(page);
        //
        handleTextarea(page);
        handleValidator(page);
        handleScanner(page);
        handleImport(page);
        //需要在上面先loadValue把值加载进来后，再重置textarea大小，所以移到下面来
        loadTextarea(page);
        loadSubmit(page, 'fnReload');
    }
    var fnNavbarInnerContainer = function(page) {
        if (typeof device!=='undefined' && device.platform==='Android' ||  Framework7.prototype.device.android) {
            return $$(page.container).find('.navbar');
        } else {
            return $$(page.navbarInnerContainer);
        }
    }

    var fnReplaceLi = function(page, li, input, detail) {
        // var page = $$(li).parents('div[data-page]'),
        input = decodeURIComponent(input);
        //更新选择器的
        var _replaceSelector = function(li, input, value) {
            $$.each($$(li).find('.'+input),function(idx,o) {
                if (o.tagName=='INPUT') {
                    if ((dm=$$(o).attr('data-max')) !== null && dm==input) {
                        $$(o).attr('max', value.toString().replace(/[,]/g, ''));
                    } else {
                        var val=value;
                        if ($$(o).attr('data-type')=='number' && $$(o).attr('data-validator')===null) {
                            val = fnFormatNumber(val);
                        }
                        $$(o).val(val).attr('data-value', value);
                    }
                } else if (o.tagName=='SELECT') {
                    $$(o).val(value).attr('data-value', value);
                    //for (var i in (a = $$(o).attr('data-value').split(','))) {
                    //    $$(o).find('option[value="'+a[i]+'"]').attr('selected',true);
                    //}
                } else {
                    // $$(o).html(value);
                    $$(o).html(value).text(value).val(value).attr('data-value',value);
                }
            });
        }
        //替换单个input输入值
        var _replace = function(li, input, value, text) {
            var liDS = $$(li).dataset();
            //1.把值添加到当前li里的a的url，包含li的链接
            if (liDS!==undefined && (url=liDS.api)!==undefined) {
                $$(li).attr('data-api', fnAppendUrl(url, input, value));
            }
            if ((url = $$(li).find('a[href]').attr('href'))!==undefined) {
                $$(li).find('a[href]').attr('href', fnAppendUrl(url, input, value));
            }
            //2.更新input的值
            $$(li).find('input[name="'+input+'"]').val(value).attr('data-value',value);
            //3.更新显示的内容
            if (text==null) text='';
            number = text.toString().split(',').length;//+'/'+value.toString().split(',').length;
            $$(li).find('.item-text').html(text);
            $$(li).find('div.item-after').html(text!==''?'<span class="badge bg-gray">'+number+'</span>':'');
            //4.更新input同名的选择器的文本值，注意，这里是text，而且有可能会替换.item-after的文本内容，如果指定了下面的class的话。
            _replaceSelector(li, input.replace(/[\[\]]/g,'-'), text);

        }
        //把data值更新到当前li里的所有_开头的class
        var _replaceOther = function(li, detail) {
            if(detail.data!==undefined && detail.data.length!==undefined) {//detail.data为数据集时，应该遍历每行数据
                for(var index in detail.data) {
                    _replaceOther(li, {data:detail.data[index]});//把具体的数据传进去
                }
                return;
            }
            for(var key in detail.data) {
                if (typeof detail.data[key] === 'object') {
                    for(var k in detail.data[key]) {
                        _replaceSelector(li, '_'+key+'_'+k, detail.data[key][k]);
                    }
                } else {
                    _replaceSelector(li, '_'+key, detail.data[key]);
                }
            }
        }
        //替换当前LI的inputName含逗号隔开的多个输入值
        var _replacex = function(li, input, detail) {
            //更新具体值之前，先清空当前li下的所有input值，解决返回值为空时，无法通过replaceOther更新的问题
            $$.each($$(li).find('input'),function(idx,o) {
                if (o.tagName=='INPUT') {
                    if ((dm=$$(o).attr('data-max')) !== null && dm==input) {
                        $$(o).attr('max', '');
                    } else {
                        $$(o).val('').attr('data-value', '');
                    }
                }
            });
            var value = detail.value!==undefined && detail.value!=='' ? detail.value : '',
                text = detail.text!==undefined && detail.text!=='' ? detail.text : '',
                liDS = $$(li).dataset();
            //1.替换当前li里的所有inputName指定的内容
            if (input.indexOf(',')>=0) {
                for(var i in (a=input.split(','))) {
                    _replace(li, a[i], value, text);
                }
            } else {
                _replace(li, input, value, text);
            }
            //console.log($$(li).html()+'----'+input+'----'+value+'----'+text);
            //2.更新当前li里的所有class标记为返回值字段的对应值
            _replaceOther(li, detail);
            //for(var key in detail.data) {
            //    if (typeof detail.data[key] === 'object') {
            //        for(var k in detail.data[key]) {
            //            _replaceSelector(li, '_'+key+'_'+k, detail.data[key][k]);
            //        }
            //    } else {
            //        _replaceSelector(li, '_'+key, detail.data[key]);
            //    }
            //}
            //3.设置checkbox的状态，根据前面设置的input值判断，因为input值可能会被匹配的class替换，在返回值是id,但检查documents的情况
            // if ((o=$$(li).find('input[name="'+input+'"]')).length>0 && o.val()!='') {
            if ((o=$$(li).find('.checkbox').prev('input')).length>0 && o.val()!='') {
                $$(li).find('.checkbox').attr('checked', 'true');
            } else {
                $$(li).find('.checkbox').removeAttr('checked');
            }
            //4.替换除当前li外的所有li里的url，为loadCheckboxOther准备，注意，这里是fnUpdateUrl了。不是fnAppendUrl;
            if (liDS!==undefined && liDS.replaceAll!==undefined) {
                $$.each($$(page.container).find('li:not([data-api="'+liDS.api+'"])'), function(index, otherLi) {
                    //同样，也要替换当前li指定的所有当前inputName的内容
                    for(var i in (a=input.split(','))) {
                        if ((otherLiDS=$$(otherLi).dataset())!==undefined && (url=otherLiDS.api)!==undefined) {
                            $$(otherLi).attr('data-api', fnUpdateUrl(url, a[i], value));
                        }
                        if ((url = $$(otherLi).find('a[href]').attr('href'))!==undefined) {
                            $$(otherLi).find('a[href]').attr('href', fnUpdateUrl(url, a[i], value));
                        }
                        if ((url = $$(otherLi).find('select[data-api]').attr('data-api'))!==undefined) {
                            $$(otherLi).find('select[data-api]').attr('data-api', fnUpdateUrl(url, a[i], value));
                        }
                    }
                    _replaceOther(otherLi, detail);
                });
            }
        }
        _replacex(li, input, detail);

    }
    /**************************************************************
	数据加载
    ***************************************************************/

    var loadNotification = function(page) {
        if (scrollhandler!==null) {
            clearInterval(scrollhandler);
            scrollhandler=0;
        }
        ajaxGet('/v1/scorerecords/rank', function(data){
            var data = JSON.parse(data);
            $('.list-notification .scroll ul').html('');
            if (data.errcode===undefined) {
	            for(var i in data) {
	                $('.list-notification .scroll ul').append('<li>'+data[i].title+'</li>');
	            }
            }
            fnUpdateImg(page);
            scrollhandler = setInterval('autoScroll(".list-notification .item-inner")',3000);
        });

    }
    var loadAd = function(page) {
        ajaxGet('/v1/ads?isapp='+(native.getDevice()!==undefined?1:0), function(data){
            var data = JSON.parse(data);
            var html='';
            for(var i in data){
                var img = data[i].image.indexOf('http')!==0 ? data[i].image : apiHost+data[i].image;
                html +='<div class="swiper-slide">'+
                        '<span><a href="'+data[i].url+'" class="external" target="'+data[i].target+'"><img src="'+img+'"></a></span>'+
                        '</div>';
            }
            $$('.swiper-banner .swiper-wrapper').append(html);
            var mySwiper = app.swiper('.swiper-banner', {
                speed: 400,
                spaceBetween: 0,
                pagination:'.swiper-pagination'
            });
        });
    }
    var loadCurrentProject = function() {
        ajaxGet('/v1/employees/current', function(data){
            data = JSON.parse(data);
            if (data.theproject!==undefined) {
                $$('.list-current-project .item-text').html(data.theproject!==undefined?data.theproject.name:'');
                var api = '/v1/projecttracks/current?limit=1';
                ajaxGet(api, function (data) {
                    data.errcode===undefined && localStorage.setItem(hex_md5(api), data);
                }, false, false);
            }
        },false);
    }
    var loadChart = function(citycode) {
        $$(document).find('.list-chart div[id*="data-picture"]').html('');
        // if ($$(document).find('.list-chart').hasClass('loaded')) return;
        ajaxGet('/v1/counters/projecttrack'+(citycode!=''?'?citycode='+citycode:''),function(data){
            // $$(document).find('.list-chart').addClass('loaded');
            var data = JSON.parse(data);
            $.each(data, function(key,value){
            	if(value == null){
            		data[key] = '0';
            	}
			});
            var gg1 = new JustGage({
                id: "data-picture-1",
                value: data.bidedcount,//getRandomInt(0, 100),
                valueFontColor: '#03a9f4',
                min: 0,
                max: data.projectcount,
                title: "在施项目",
                titleMinFontSize: 14,
                titleFontWeight: 'normal',
                label: "个",
                // aUrl : "projecttrack.html",
                levelColors: [
                    "#03a9f4",
                    "#3f51b5"
                ]
            });
            var gg2 = new JustGage({
                id: "data-picture-2",
                value: Math.round(data._returnamount/10000),//getRandomInt(0, 100),
                valueFontColor: '#ffc107',
                min: 0,
                max: Math.round(data._contractamount/10000),
                title: "总回款额",
                titleMinFontSize: 14,
                titleFontWeight: 'normal',
                label: "万",
                // aUrl : "taxation.html",
                levelColors: [
                    "#ffc107",
                    "#ff5722"
                ]
            });
            var gg3 = new JustGage({
                id: "data-picture-3",
                value: data.progressavg,//getRandomInt(0, 100),
                valueFontColor: '#cddc39',
                min: 0,
                max: data.progresstotal,
                title: "总完工比例",
                titleMinFontSize: 14,
                titleFontWeight: 'normal',
                label: "%",
                // aUrl : "schedule.html",
                levelColors: [
                    "#cddc39",
                    "#4caf50"
                ]
            });
        },false);
    }
    var loadCount = function() {
        ajaxGet('/v1/counters/projecttrack/current', function(data) {
            var data = JSON.parse(data);
            $$('.view-work').find('.page[data-page="page-work"]').find('.completesum').html(data.completesum);
            $$('.view-work').find('.page[data-page="page-work"]').find('.returnamount').html(data.returnamount);
            $$('.view-work').find('.page[data-page="page-work"]').find('.paytotal').html(data.paytotal);
            $$('.view-work').find('.page[data-page="page-work"]').find('.maoli').html(data.maoli);
        });
    }
    //加载主菜单
    var loadUserchannel = function(url,callback,num,more) {
        num = num!==3 ? 4 : num;
        var sclass = 'col-box';//(num==3 ? 'col-33' : 'col-25')+' col-box';
        ajaxGet(url, function(data) {
            var obj = JSON.parse(data);
            var html = '<div class="list-block list-menu content-box content-myapp" style="margin-bottom:0px;">'+
                '<div class="row" style="overflow-y:hidden"><div class="list-block margin-tb-0 no-spliter sortable"><ul>';//row
            var n = 0;
            var keys = [];
            if (obj.errcode===undefined) {
                // no-gutter
                var url = '';
                for (var i in obj) {
                    keys.push(obj[i].channel.catid);
                    if (obj[i].channel.code == 'ppcontract') {
                        url = 'contract.html?type=purchase&_title=采购合同';
                    } else if (obj[i].channel.code == 'ptcontract') {
                        url = 'contract.html?type=project&_title=项目合同';
                    } else if (obj[i].channel.code == 'bqvoucher') {
                        url = 'voucher.html?type=bq&_title=投标报价';
                    } else if (obj[i].channel.code == 'cqvoucher') {
                        url = 'voucher.html?type=cq&_title=合同报价';
                    } else if (obj[i].channel.code == 'sqvoucher') {
                        url = 'voucher.html?type=sq&_title=中标报价';
                    } else if (obj[i].channel.code == 'cbvoucher') {
                        url = 'voucher.html?type=cb&_title=成本预算';
                    } else if (obj[i].channel.code == 'ccvoucher') {
                        url = 'voucher.html?type=cc&_title=物品进场';
                    } else if (obj[i].channel.code == 'ccvoucher') {
                        url = 'voucher.html?type=cc&_title=物品进场';
                    } else {
                        url = obj[i].channel.code + '.html';
                    }
                    var itemURL = obj[i].channel.redirurl ? obj[i].channel.redirurl.replace('/', '-') : url;
                    // itemURL = itemURL.indexOf('http')!==0 ? itemURL : appHost+'/html-ios/'+itemURL;
                    html += '<li class="hsj-sort">' +
                        '<i class="f7-icons app-del" data-key="' + obj[i].channel.catid + '">delete_round_fill</i>' +
                        '<a href="' + itemURL + '" class="item-link">' +
                        '<i class="icon icon-button  icon-' + obj[i].channel.code + '"></i>' +
                        '<span>' + (obj[i].channel.name) + '</span>' +
                        '</a>' +
                        '<div class="sortable-handler"></div>' +
                        '</li>';
                    //(n%num==(num-1)&&n<obj.length ? '</div><div class="row no-gutter">' : '');
                    n++;
                }
            }
            if (more!==undefined && more) {
                n++;
                html += '<li class="hsj-sort">'+
                    '<i class="f7-icons app-del">delete_round_fill</i>'+
                    '<a href="allapp.html" class="item-link">'+
                    '<i class="icon icon-button  icon-allapp"></i>'+
                    '<span>更多应用</span>'+
                    '</a>' +
                    '<div class="sortable-handler"></div>' +
                    '</li>';
                    //(n%num==(num-1)&&n<obj.length-1 ? '</div><div class="row no-gutter">' : '');
            }
            /*
            if (n%num>0) {
                for(var i=0;i<num-n%num;i++) {
                    html += '<div class="'+sclass+'"><a><i class="icon icon-button icon-blank"></i><span></span></a></div>';
                }
            }
            */
            html += '</ul></div></div></div>';
            if (callback!==undefined) callback(html,keys);
        },false);
    }
    //加载主菜单
    var loadMenu = function(url,callback,num,exclude) {
        num = num!==3 ? 4 : num;
        var sclass = 'col-box';//(num==3 ? 'col-33' : 'col-25')+' col-box';
        ajaxGet(url, function(data) {
            var root = JSON.parse(data);
            var html = '<div class="list-block list-menu content-box content-apps margin-bottom-80">';
            for (var j in root) {
                html += '<div class="content-block-title">'+(root[j].name)+'</div>'+
                    '<div class="row" style="overflow-y:hidden"><div class="no-spliter">';//row
                var obj = root[j].childs;
                var url = btn = txt = '';
                var n = 0;
                for (var i in obj) {
                    if (obj[i].code=='ppcontract') {
                        url = 'contract.html?type=purchase&_title=采购合同';
                    } else if (obj[i].code=='ptcontract') {
                        url = 'contract.html?type=project&_title=项目合同';
                    } else if (obj[i].code=='bqvoucher') {
                        url = 'voucher.html?type=bq&_title=投标报价';
                    } else if (obj[i].code=='cqvoucher') {
                        url = 'voucher.html?type=cq&_title=合同报价';
                    } else if (obj[i].code=='sqvoucher') {
                        url = 'voucher.html?type=sq&_title=中标报价';
                    } else if (obj[i].code=='cbvoucher') {
                        url = 'voucher.html?type=cb&_title=成本预算';
                    } else if (obj[i].code=='ccvoucher') {
                        url = 'voucher.html?type=cc&_title=物品进场';
                    } else if (obj[i].code=='ccvoucher') {
                        url = 'voucher.html?type=cc&_title=物品进场';
                    } else {
                        url = obj[i].code+'.html';
                    }
                    // var picURL = 'img/button/' + Math.round(Math.random() * 19) + '.png';
                    var itemURL = obj[i].redirurl ? (obj[i].redirurl.indexOf('http')<0?obj[i].redirurl.replace('/','-'):obj[i].redirurl) : url;
                    // itemURL = itemURL.indexOf('http')!==0 ? itemURL : appHost+itemURL;
                    if (exclude!==undefined && exclude.indexOf(obj[i].catid)>=0) {
                        btn = 'app-added';
                        txt = 'check_round_fill';
                    } else {
                        btn = 'app-add';
                        txt = 'add_round_fill';
                    }
                    //var meta = JSON.stringify({catid:obj[i].catid,name:obj[i].name,code:obj[i].code,url:url});
                    html += '<div class="'+sclass+'">'+
                            '<i class="f7-icons '+btn+'" data-key="'+obj[i].catid+'">'+txt+'</i>'+
                            '<a href="'+itemURL+'" class="item-link">'+
                            '<i class="icon icon-button  icon-'+obj[i].code+'"></i>'+
                            '<span>'+(obj[i].name)+'</span></a></div>';
                            //(n%num==(num-1)&&n<obj.length-1 ? '</div><div class="row no-gutter">' : '');
                    n++;
                }
                /*
                if (n%num>0) {
                    for(var i=0;i<num-n%num;i++) {
                        html += '<div class="'+sclass+'"><a><i class="icon icon-button icon-blank"></i><span></span></a></div>';
                    }
                }
                */
                html += '</div></div>';
            }
            html += '</div>';
            if (callback!==undefined) callback(html);
        },false);
    }
   	var loadNumber = function(page, callback) {
   		//https://github.com/nolimits4web/Framework7-Keypad
		$$.each( $$(page.container).find('input[data-type="number"],input[data-type="calculator"]'), function(i,e) {
            var _callback = function(p, value) {
                if ((m=$$(e).attr('max'))!==undefined && value>parseFloat(m)) {
                    if (page.name=='page-invoicerequest-project' || page.name=='page-invoicerequest-advance'||page.name=='page-paymentrequest-form') {
                        var title = page.name=='page-paymentrequest-form'?'提示：已超出当前可用金额':'提示：已超出当前可开票金额';
                        var tip = title+' <span class="unit-rmb">'+fnFormatNumber(value-parseFloat(m))+'</span>';
                        $$(page.container).find('.warning').css('display','').addClass('color-red').html(tip);
                    }else{
                        app.alert('提示：您输入的值已超出最大值：' + m);
                        p.close();
                        p.setValue('');
                    }
                    return;
                } else {
                    $$(page.container).find('.warning').hide();
                }
                if (page.name=='page-invoicerequest-project') {
                    var amount = $$(e).attr('name')=='amount' ? value : ((v=$$(page.container).find('input[name="amount"]').val())==''?'0':parseFloat(v.replace(/[,]/g,'')));
                    var offsetamt = $$(e).attr('name')=='offsetamt' ? value : ((v=$$(page.container).find('input[name="offsetamt"]').val())==''?'0':parseFloat(v.replace(/[,]/g,'')));
                    $$('input[name="realtimeamount"]').val(fnFormatNumber(amount-offsetamt));
                }
                if (callback!==undefined) callback(p, value);
            }
            if ($$(e).attr('data-type')==='calculator') {
                keypads[page.name+'-'+i]=app.keypad({
                    input: e,
                    toolbar: true,
                    toolbarCloseText: '完成',
                    type: 'calculator',
                    // formatValue:　function(p,value) {
                    //     value = value.replace(/(\d)(?=(\d\d\d)+\b)/g, function($0, $1) {
                    //         return $1 + ",";
                    //     })
			    	// 	$$(e).val(value).attr('value',value);
    			    // }
                    onChange: _callback
                });
            } else {
                keypads[page.name+'-'+i]=app.keypad({
    			    input: e,
    			    valueMaxLength: $$(e).attr('maxlength'),
    			    toolbarCloseText: '完成',
    			    dotButton: $$(e).attr('data-validator')==='card' ? false : true,
    			    formatValue:　function(p,value) {
    			    	if ($$(e).attr('data-validator')==='card') {
    			    		$$(e).val(fnFormatCard(value));
    			    	} else {
    			    		$$(e).val(fnFormatNumber(value));
    			    	}
    			    },
                    onChange: _callback
    			});
            }
		});
   	}
    //重置textarea大小
    var loadTextarea = function(page) {
        $$.each( $$(page.container).find('form .resizable'), function(i,e){
            app.resizeTextarea(e);
        });
    }
    //设置验证后的表单状态
    var loadSubmit = function(page, targetHandler) {
        if (!fnValidationForm(page).return
            || $$(page.container).find('.btnbar').hasClass('readonly-yes')
            && !$$(page.container).find('.btnbar').hasClass('admin-yes')) {
            fnNavbarInnerContainer(page).find('.action-done').addClass('disabled color-gray');
            (submitButton=$$(page.container).find('.button-submit')).removeClass('color-blue').addClass('disabled color-gray');
            (processButton=$$(page.container).find('.button-process')).removeClass('color-blue').addClass('disabled color-gray');
            if ($$(page.container).find('input[data-required="false"]').length>0) {
                var s = submitButton.html();
                s!==undefined?submitButton.html(s.replace('一键','已')):null;
                var s = processButton.html();
                s!==undefined?processButton.html(s.replace('一键','已')):null;
            }
        } else {
            fnNavbarInnerContainer(page).find('.action-done').removeClass('disabled color-gray');
            $$(page.container).find('.button-submit').removeClass('disabled color-gray').addClass('color-blue');
            $$(page.container).find('.button-process').removeClass('disabled color-gray').addClass('color-blue');
        }
        // var result = true;
        // $$.each($$(page.container).find('form').find('input[data-required="true"]'), function(i,e){
        //     result = result && ($$(e).val()!='');
        // });
        // if (!result) {
        //     $$(page.container).find('.button-submit').removeClass('color-green').addClass('color-gray disabled');
        // } else {
        //     $$(page.container).find('.button-submit').removeClass('color-gray disabled').addClass('color-green');
        // }
    }
    var loadValue = function(page) {
        if (localStorage.getItem('f7form-'+$$(form).attr('id'))!=null) {
            app.formFromJSON( $$(form).attr('id') , localStorage.getItem('f7form-'+$$(form).attr('id')) );
        }
        $$.each( $$(page.container).find('select[data-value]:not([data-api])'), function(i,e){
            //不能用dataset获取数据，会把城市代码的 050505 转成 50505
            for (var i in (a = $$(e).attr('data-value').split(','))) {
                $$(e).find('option[value="'+a[i]+'"]').attr('selected',true);
            }
            app.initSmartSelects(page.container);
        });
        $$.each( $$(page.container).find('img[data-src]'), function(i,e){
            var v = $$(e).attr('data-src');
            $$(e).attr('src',v.indexOf('http')<0?apiHost+v:v);
        });
        $$.each( $$(page.container).find('input[data-value]'), function(i,e){
            var v = $$(e).attr('data-value');
            if ($$(e).attr('data-type')=='number' && $$(e).attr('data-validator')===null) {
                v = fnFormatNumber(v);
            }
            $$(e).val(v).attr('value', v);
        });
        $$.each( $$(page.container).find('textarea[data-value]'), function(i,e){
        	var v = $$(e).attr('data-value');
            $$(e).val(v).text(v);
        });

    }
    //加载除指定li之外的其它li的api数据
    var loadCheckboxOther = function(page, li) {
        if ((liDS=$$(li).dataset())!==undefined && liDS.replaceAll!==undefined) {
            $$.each($$(page.container).find('li:not([data-api="'+liDS.api+'"])'), function(index, otherli) {
                loadCheckbox(page, otherli);
            });
        }
    }
    //初始化列表前面的复选框
    var loadCheckbox = function(page, e) {
        if (e===undefined) {
            $$.each($$(page.container).find('li[data-api]'), function(i, e) {
                loadCheckbox(page, e);
                //loadCheckboxOther(page, e);
            });
            return;
        }
        var liDS = $$(e).dataset();
        if (liDS.return===undefined) return;
        var liRT = JSON.parse(liDS.return);
        $$(e).find('.label-checkbox').addClass('preloader-loading');
        ajaxGet(liDS.api, function(data){
            var data = JSON.parse(data), value='', text='';
            if(data.length!==undefined && liRT.valueField!=='' && liRT.textField!=='') {
                for (var i in data) {
                    value+=(value==''?'':',')+eval('(data[i].'+liRT.valueField+')');
                    if (liRT.textField.indexOf(',')>=0) {
                        for(var j=0;j<(v=liRT.textField.split(',')).length;j++) {
                            text+=(text==''?'':',')+eval('(data[i].'+v[j]+')');
                        }
                    } else {
                        text+=(text==''?'':',')+eval('(data[i].'+liRT.textField+')');
                    }
                }
            } else if (data.errcode===undefined && liRT.valueField!=='' && liRT.textField!=='') {
                value = eval('(data.'+liRT.valueField+')');
                if (liRT.textField.indexOf(',')>=0) {
                    for(var j=0;j<(v=liRT.textField.split(',')).length;j++) {
                        text+=(text==''?'':' ')+eval('(data.'+v[j]+')');
                    }
                } else {
                    text = eval('(data.'+liRT.textField+')');
                }
            }
            returns = {input:liRT.inputName,value:value,text:text,data:data,fromurl:liDS.api};
            //console.log(page.name+' loadCheckbox : liApi='+liDS.api+' liReturn=');
            //console.log(returns);
            //更新li里的数据
            fnReplaceLi(page, e, liRT.inputName, returns);
            var form = $$(page.container).find('form[id]');
            if (localStorage.getItem('f7form-'+$$(form).attr('id'))!=null) {
                app.formFromJSON( $$(form).attr('id') , localStorage.getItem('f7form-'+$$(form).attr('id')) );
            }
            //loadSelect(page);
            //重置textarea大小
            loadTextarea(page);
            //判断必填字段是否有值，有才可以提交
            loadSubmit(page, 'loadCheckbox');

            //$$(page.container).find('input[name="listener"]').trigger('change', returns);
            $$(e).find('.label-checkbox').removeClass('preloader-loading');
        },liDS.async!==false,liDS.cache===true);

    }
    var loadPicker = function(page) {
        var inputCount=-1;
    	var _click = function(event) {
    		var chars = ['a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s','t','u','v','w','x','y','z'];
    		var self = $$(this).hasClass('picker') ? this : $$(this).parents('li').find('.picker');
    		var value = $$(this).hasClass('picker') ? event.target.value : $$(self).val();
    	    var _close = function(){
	    	    $$(self).parents('li').find('input[type="hidden"]').val('').attr('data-value','');
	    		app.closeModal();
	    		loadSubmit(page);
    	    }
    		inputCount++;
    		if (inputCount<2 && $$(this).hasClass('picker')) {
    			_close();
    			return;
    		}
    		if ((value=='' || chars.indexOf(value[0])!=-1) && $$(this).hasClass('picker')) {
    			_close();
    			return;
    		}
    		inputCount=-1;
    		
    	    var _search = function() {
    	    	$$('body').addClass('with-picker-modal');
        		$$(self).parents('li').addClass('preloader-loading');
        		_close();
        		ajaxGet($(self).attr('data-api')+'?display=html&searchkey='+value, function(data){
        			$$(self).parents('li').removeClass('preloader-loading');
        			data = JSON.parse(data);
        			var popover = app.popover(data.html, self);
        			$$(popover).on('opened', function(){
        				$('.popover-picker a').on('click', function(){
        					$$('body').removeClass('with-picker-modal');
        					if ((url=$(this).attr('data-url'))!==undefined) {
        						app.getCurrentView().router.loadPage(url+'&_'+$(self).attr('name').replace('.','_')+'='+value);
        					} else {
            					var selectedText = $(this).attr('data-text');
                                var selectedValue = $(this).attr('data-value');
                                var unit = $(this).attr('data-unit');
                                $$(self).parents('li').parents().find('input[name="unit"]').val(unit);
    	    					$$(self).val(selectedText).parents('li').find('input[type="hidden"]').val(selectedValue).attr('data-value', selectedValue);
    	    					loadTextarea(page);
    	    					loadSubmit(page);
        					}
        				});
        			});
        		});
    	    }
    		/*
    	    console.log(key+'"'+value+'"');
    	    // 一定要是退格，空格，数字（联想输入的数字）才搜索
    	    if ([1,8,32,48,49,50,51,52,53,54,55,56,57].indexOf(key)<0) {
    	    	return;
    	    }
    	    */
    		setTimeout(_search, 500);
    	}
//    	$(document).off('keyup', '.picker').on('keyup', '.picker', _click).off('click', '.button-picker').on('click', '.button-picker', _click);
    	$(document).off('input', '.picker').on('input', '.picker', _click).off('click', '.button-picker').on('click', '.button-picker', _click);
    }
    //初始化选择框数据
    var loadSelect = function(page, e) {
        if (e===undefined) {
            $$.each($$(page.container).find('select[data-api]'), function(i, e) {
                loadSelect(page, e);
            });
            return;
        }
        //加载select数据
        if (
            (selectDS = $$(e).dataset()).length!=0 &&
            (selectDS.return!==undefined) &&
            (selectRT = JSON.parse(selectDS.return)).length!=0 &&
            (typeof e !== 'function')
        ) {
            //绑定select的onchange事件
            $$(e).off('change').on('change', function() {
            // $(document).off('change', e).on('change', e, function() {
                var data=[], unit='', price=totalmax=totalused=totallimit=0.0;
                $$.each( $$(this).find('option'), function(i, option) {
                    if ($$(option).prop('selected')) {
                        // data.push({value:$$(e).val(),text:$$(e).text()});
                        data.push($$(option).val());
                        if ((u=$$(option).attr('data-unit'))!==null && (o=u.split(',')).length>0) {
                            for(var i in o) {
                                unit+='<option value="'+o[i]+'">'+o[i]+'</option>';
                            }
                        }
                        if ((u=$$(option).attr('data-price'))!==null && (o=u.split(',')).length>0) {
                            for(var i in o) {
                                price+=parseFloat(o[i]);
                            }
                        }
                        if ((u=$$(option).attr('data-totalmax'))!==null && (o=u.split(',')).length>0) {
                            for(var i in o) {
                                totalmax+=parseFloat(o[i]);
                            }
                        }
                        if ((u=$$(option).attr('data-totalused'))!==null && (o=u.split(',')).length>0) {
                            for(var i in o) {
                                totalused+=parseFloat(o[i]);
                            }
                        }
                        if ((u=$$(option).attr('data-totallimit'))!==null && (o=u.split(',')).length>0) {
                            for(var i in o) {
                                totallimit+=parseFloat(o[i]);
                            }
                        }
                    }
                });
                if ($$(e).attr('data-change')==='true' && (o=$$(page.container).find('.pull-to-refresh-content')).length>0) {
                    var name = $$(e).attr('name');
                    var re = new RegExp("&"+name+"=\d*","g");
                    var newapi = o.attr('data-api').replace(re.$1,'')+'&'+name+'='+data.join(',');
                    o.attr('data-api', newapi);
                    app.pullToRefreshTrigger(o);
                }
                if (selectRT.unitField!==undefined) {
                    if ($$(this).parents('ul').find('select[name="unit"]').length>0) {
                        // 如果单位是选择框
                        unit = '<option value="">计量单位</option>' + unit + '<option value="混合">混合</option>';
                        $$(this).parents('ul').find('select[name="unit"]').html(unit).off('change').on('change', function(){
                            $$(this).val()=='' ? $$(this).css('color','gray') : $$(this).css('color','black');
                            var v = $$(this).val()=='混合' ? 1 : '';
                            $$(this).parents('ul').find('input[name="quantity"]').val(v).attr('data-value',v);
                        });
                    } else {
                        // 如果单位是输入框
                        unit = $$(unit).text();
                        $$(this).parents('ul').find('input[name="unit"]').val(unit);
                    }

                }
                if (selectRT.priceField!==undefined) {
                    if ((o=$$(this).parents('ul').find('input[name="price"]')).length>0) {
                        o.val(fnFormatNumber(price)).attr('data-value',price);
                    }
                    /*if ((o=$$(this).parents('ul').find('input[name="pricecost"]')).length>0) {
                        o.val(fnFormatNumber(price)).attr('data-value',price);
                    }*/
                }
                if (selectRT.totalmaxField!==undefined) {
                    $$(this).parents('ul').find('input[name="totalmax"]').val(fnFormatNumber(totalmax)).attr('data-value',totalmax);
                }
                if (selectRT.totalusedField!==undefined) {
                    $$(this).parents('ul').find('input[name="totalused"]').val(fnFormatNumber(totalused)).attr('data-value',totalused);
                }
                if (selectRT.totallimitField!==undefined) {
                    $$(this).parents('ul').find('input[name="totallimit"]').val(fnFormatNumber(totallimit)).attr('data-value',totallimit);
                }
                $$(this).parents('li').find('input[name="'+selectRT.inputName+'"]').val(data.join(', '));
                loadSubmit(page);
            });
            if ((o=(inner=$$(e).parents('li').find('.item-inner')).find('.item-after')).length>0) {
                o.html('<div class="item-after"><span class="preloader"></span></div>');
            } else {
                inner.append('<div class="item-after"><span class="preloader"></span></div>');
            }
            ajaxGet(selectDS.api, function(data){
                var data = JSON.parse(data);
                var dataValue = (dataValue=$$(e).attr('data-value'))!==null?dataValue.replace(/[, ]/g,',').split(','):[];
                $$(e).empty();
                if ((t=$$(e).attr('data-empty'))!==null) {
                    $$(e).append('<option value="0">'+t+'</option>');
                }
                if (data.errcode===undefined) {
	                for(var i in data) {
	                    var value = eval('(data[i].'+selectRT.valueField+')'),disabled='';
	                    if (!((h=selectDS.hidden)!==undefined && (h=h.split(',')) && h.indexOf(value)>=0)) {
	                        if ((exclude=selectDS.exclude)!==undefined && (exclude=exclude.split(',')) && exclude.indexOf(value)>=0)
	                            disabled=' disabled';
	                        var unit = selectRT.unitField!==undefined?eval('(data[i].'+selectRT.unitField+')'):'',
                                price = selectRT.priceField!==undefined?eval('(data[i].'+selectRT.priceField+')'):'',
	                            totalmax = selectRT.totalmaxField!==undefined?eval('(data[i].'+selectRT.totalmaxField+')'):'',
	                            totalused = selectRT.totalusedField!==undefined?eval('(data[i].'+selectRT.totalusedField+')'):'',
	                            totallimit = selectRT.totallimitField!==undefined?eval('(data[i].'+selectRT.totallimitField+')'):'',
	                            text = eval('(data[i].'+selectRT.textField+')'),
	                            selected = dataValue.indexOf(value)>=0 ? ' selected="true"' : '';

	                            unit = selectRT.unitField!==undefined ? ' data-unit="'+unit+'"':'';
                                price = selectRT.priceField!==undefined ? ' data-price="'+price+'"':'';
	                            totalmax = selectRT.totalmaxField!==undefined ? ' data-totalmax="'+totalmax+'"':'';
	                            totalused = selectRT.totalusedField!==undefined ? ' data-totalused="'+totalused+'"':'';
	                            totallimit = selectRT.totallimitField!==undefined ? ' data-totallimit="'+totallimit+'"':'';
	                        $$(e).append('<option'+selected+disabled+' value="'+value+'"'+unit+price+totalmax+totalused+totallimit+'>'+text+'</option>');
	                    }
	                }
                }
                app.initSmartSelects(page.container);
                $(document).off('click', '.smart-select').on('click', '.smart-select', function(){
                	if ((url = $(this).find('select[data-url]').attr('data-url'))==null) url = '#'; 
                	$(document).find('.smart-select-popup .navbar-inner .center')
                	.attr('style','').parent()
                	.append('<div class="right"><a href="'+url+'" class="link icon-only action-create"><span>新建</span></a></div>');
                });
            },selectDS.async!==false,selectDS.cache===true);
        } else {
            app.initSmartSelects(page.container);
        }
    }
    var loadUploader = function(page, reinit, targetSelector) {
        $(document).find('input[data-type="file"]', targetSelector).uploader({
            host: apiHost,
            app: myApp,
            reinit: reinit,
            api: apiHost+'/v1/uploader/up?token='+localStorage.getItem('token'),
            class: 'col-100 readonly-'+page.query._readonly,
            onChange: function(value) {
                loadSubmit(page);
            }
        });
    }
    var loadDate = function(page) {
        $$.each( $$(page.container).find('form .date'), function(i, e) {
            var inputDS = $$(e).dataset();
            var d = new Date();
            var today = [d.getFullYear()+'-'+(d.getMonth()<9?'0':'')+(d.getMonth()+1)+'-'+(d.getDay()<9?'0':'')+d.getDay()];
            if (inputDS.dateFormat=='yyyymm') {
                // var v = d.format('yyyy MM').toString();
                //
                // var _dateValue = false;
                // if($$(e).val()){
                //     _dateValue = $$(e).val().split(' ');
                // }
                //【hsj】将返回日期字符串以空格分割为数组
                app.picker({
                    input: e,
                    rotateEffect: true,
                    toolbarCloseText: '完成',
                    value: $$(e).val() ? $$(e).val().split(' ') : [d.getFullYear(), (d.getMonth()<9?'0':'')+(d.getMonth()+1)],
                    cols: [
                        {
                            textAlign: 'left',
                            values: (function () {
                                var arr = [];
                                for (var i = 2014; i <= 2024; i++) { arr.push(i); }
                                return arr;
                            })()
                        },
                        {
                            textAlign: 'left',
                            values: (function () {
                                var arr = [];
                                for (var i = 1; i <= 12; i++) { arr.push(i<10?'0'+i:i); }
                                return arr;
                            })(),
                            // displayValues: ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月' , '九月' , '十月', '十一月', '十二月'],
                        },
                    ]
                });
            } else {
                inputDS.input = e;
                inputDS.value = $$(e).val()==''?today:(inputDS.rangePicker?$$(e).val().split(' - '):[$$(e).val()]);
                inputDS.dayNamesShort = ['周日','周一','周二','周三','周四','周五','周六'];
                inputDS.monthNames = ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月' , '九月' , '十月', '十一月', '十二月'];
                app.calendar(inputDS);
            }
        });
    }
    //初始化表单数据
    var loadForm = function(page, form, formDS, callback) {
        if ((form = form===undefined ? $$(page.container).find('form') : form).length===0) return;
        var content = form.html(),
            formDS = formDS===undefined ? form.dataset() : formDS;
        if (formDS.api===undefined || formDS.return===undefined) return;
        form.html('<div class="content-block row ks-preloaders text-center"><div class="col-100"><span class="preloader"></span></div></div>');

        var formApi = fnReplaceFromQuery(formDS.api, page.query); //, params = '';
        form.attr('data-api', formApi);

        var formRT = JSON.parse(formDS.return);
        //注意观察，这条语句在哪个页面中调用，为什么要先生成ID?
        if (page.query._current=='yes' && page.query.id===undefined && formApi.indexOf('current')>0) {
            ajaxGet(formApi, function(data){
                data = JSON.parse(data);
                page.query.id = eval('data.'+formRT.valueField);
            },false);
        }
        oldid = page.query.id===undefined ? 0 : page.query.id;
        if (oldid!=0) page.query.oldid = oldid; //只有添加时，才要设置oldid
        //console.log(oldid);
        //指定了create-on-init要先生成id
        if (((id = page.query.id)===undefined||id==='') && formDS.createOnInit!==undefined && formDS.createOnInit==true) {
            // var formData = $$.serializeObject(app.formToJSON(form));
            // console.log(decodeURI(formData));
            var param = '';
            (o=$$(page.container).find('input[name="othercoid"]')).length>0 && (param='othercoid='+o.val());
            ajaxPost(formApi,param,function(data) {
                var data = JSON.parse(data);
                id = eval('(data.'+formRT.valueField+')');
            });
        }
        var result = {};
        // $$.each($$(page.container).find('select[data-api]'), function(i, e) {
        //     var selectDS = $$(e).dataset();
        //     var selectName = $$(e).attr('name');
        //     // var selectRT = JSON.parse(selectDS.return);
        //     ajaxGet(selectDS.api, function(data) {
        //         var data = JSON.parse(data);
        //         result[selectName] = data;
        //         // console.log(page.name+' loadSelect : selectApi='+selectDS.api+' selectReturn='+JSON.stringify(data));
        //     },false);
        // });
        // $$.each($$(page.container).find('li[data-api]'), function(i, e) {
        //     var liDS = $$(e).dataset();
        //     var liRT = JSON.parse(liDS.return);
        //     ajaxGet(liDS.api, function(data) {
        //         var data = JSON.parse(data);
        //         result[liRT.inputName] = data;
        //     },false);
        // });
        // form.html('');
        // app.showIndicator();
        //hsj：voucherdetail-form页面的GET请求api不需要在"?"之前补零,否则读取不到数据
        if (page.name != 'page-voucherdetail-form'){
            page.query.id = (id===undefined) ? 0 : id; //0是为了输出空数据，便于渲染新建表单
        }
        var formArg = '';
        if (formApi.indexOf('?')>=0 && (a=formApi.split('?'))) {
            formApi = a[0];
            formArg = a[1];
        }

        formApi += (formDS.joinParams===undefined && page.query.id ? '/' + page.query.id : '') + (formArg?'?'+formArg:'');
        ajaxGet(formApi, function (data) {
            // app.formFromJSON($$(page.container).find('form'), data);
            // result = JSON.parse('{'+result+'}')
            result.data = JSON.parse(data);
            result.query = page.query;
            var template = Template7.compile(content);
            form.html(template(result)).prepend('<input type="hidden" name="oldid" value="'+oldid+'"/>');//.css('visibility','hidden');

            $$(page.container).find('.button-process').attr('data-opvalues', result.data._opvalues===undefined?'':result.data._opvalues);
            // app.hideIndicator();
			fnReload(page); //移到此处解决.resizable不自动调大小问题
            // form.css('visibility','');
            //  data-range-picker="true" data-multiple="true"

            // oldFormData = {};
            // for ( var key in app.formToJSON(form) ) {
            //     oldFormData[key] = result.data[key];
            // }
            // oldFormData['oldid'] = ''+oldid;
            oldFormData = app.formToJSON(form);//$(form).serializeObject();
            //console.log(page.name+' loadForm : formApi='+formApi+' formReturn=');
            //console.log(result);
            //console.log(page.name+' loadForm : oldFormData=');
            //console.log(oldFormData);
            //var cbparams = {};cbparams[form.attr('id')] = page;

            $$(page.container).find('.timeline-more a').on('click', function(){
                $$(this).parents('.content-block-inner').addClass('more');
                $$(this).parent().remove();
            }).parent().css('display',$$(page.container).find('.timeline-item').length<4?'none':'');
            if (callback!==undefined) callback(page);
        },formDS.async!==false);//
    }



    /**************************************************************
     事件句柄
    ***************************************************************/
    //处理popover事件
    var handlePopover = function() {
        $$('.popover a').on('click', function () {
            app.closeModal('.popover');
        });
    }
    var handleImport = function(page) {
        $$(page.container).find('.button-import').on('click', function(){
            var self = this;
            $$(self).addClass('disabled').html('<span class="preloader-container"><span class="preloader"></span>正在导入...</span>');
            var api = $$(self).attr('data-api');
            ajaxGet(api, function(data){
                $$(self).html('<span class="icon"><i class="f7-icons">check_round_fill</i>导入成功！</span>');
                // console.log(data);
                return;
                setTimeout(function(){
                    // console.log('xx:'+page.url+'&id='+page.query.id);
                    //app.getCurrentView().router.reloadPage(page.url+'&id='+page.query.id);
                    app.getCurrentView().router.load({
                        url:page.url+'&id='+page.query.id,
                        query: page.query,
                    });
                },500);
            },false);
            // var type = $$(this).attr('data-type'),
            //     body =
            //     '{{#each list}}'+
            //     '<li class="align-top" data-key="{{voucherid}}">'+
            //     '    <label class="label-radio item-content">'+
            //     '        <input name="ks-media-radio" value="{{projectid}}" type="radio" data-index="{{@index}}">'+
            //     '        <div class="item-inner">'+
            //     '            <div class="item-title-row">'+
            //     '                <div class="item-title">{{project.name}}</div>'+
            //     '                <div class="item-after">'+
            //     '                    <span class="badge color-red unit-yuan">{{_total}}</span>'+
            //     '                </div>'+
            //     '            </div>'+
            //     '            <div class="item-subtitle color-blackgray">项目地：通知路12号</div>'+
            //     '            <div class="item-text">{{engineer.coname}}</div>'+
            //     '        </div>'+
            //     '        </a>'+
            //     '    </label>'+
            //     '</li>'+
            //     '{{/each}}';
            // ajaxGet('/v1/vouchers/SQ/current?sortby=voucherid&order=desc', function(data){
            //     var data = {list:JSON.parse(data),query:page.query},
            //         template = Template7.compile(body);
            //     var popupHTML =
            //     '<div class="popup">'+
            //       '<div class="list-block media-list">'+
            //         '<ul>'+template(data)+'</ul>'+
            //         '<p><a href="#" class="close-popup">Close me</a></p>'+
            //       '</div>'+
            //     '</div>';
            //     app.popup(popupHTML);
            // });
        });
    }
    var handleTakePhoto = function(page) {
        $$(page.container).find('.button-photo').on('click', function(){
            var url = $$(this).attr('data-url');
            native.takePhoto(function(imageData){
                app.getCurrentView().router.loadPage(url+'&amp;_image='+result);
            });
        });
    }
    var handleScanner = function(page) {
        $$(page.container).find('.button-scan').on('click', function(){
            var format = {
                    'invoice': ['tag1','tag2','code','no','amount','date','checkcode','tag3','Unknown']
                },
                data = {},
                type = $$(this).attr('data-type'),
                fill = JSON.parse($$(this).attr('data-fill'));
            native.barcodeScanner(function(result){
                // console.log(result);
                data['text'] = result.text;
                if (type!==undefined) {
                    var a = result.text.split(',');
                    for(var i in a) {
                        data[format[type][i]]=a[i];
                    };
                    for(var k in fill) {
                        $$(page.container).find('input[name="'+fill[k]+'"],select[name="'+fill[k]+'"],textarea[name="'+fill[k]+'"]').val(data[k]).attr('value',data[k]);
                    }
                    // console.log(JSON.stringify(data));
                } else {
                    app.alert(result.text);
                }
                loadTextarea(page);
                loadSubmit(page);
            });
        });
    }
     //绑定重置事件
    var handleTextarea = function(page) {
        $$.each( $$(page.container).find('form .resizable'), function(i,e){
            app.resizableTextarea(e);
        });
    }
    var handleValidator = function(page) {
        $('div[data-page="'+page.name+'"] form').find('input[data-required="true"]:not(:hidden,[readonly]), textarea[data-required="true"]:not([readonly])').off('keyup').on('keyup', function(){
            loadSubmit(page);
        });
        $('div[data-page="'+page.name+'"] form').find('select[data-required="true"], input[data-required="true"]:hidden, input[data-required="true"][readonly], textarea[data-required="true"][readonly]').off('change').on('change', function(){
            loadSubmit(page);
        });
    }

    //处理当前页面接收到的数据
    var handleListener = function(page, callback) {
        $$(page.container).find('input[name="listener"]').on('change', function(e){
            //首页
            if (page.name==='page-work') {
                loadCount();
                //return;
            }
            // 选择员工转移负责人
            if (e.detail.fromurl.indexOf('employee.html')>=0 && e.detail.text!==undefined) {
                app.confirm('确定将此项目转移给'+e.detail.text+'吗？', function(){
                    var params = fnJsonFromUrl(e.detail.fromurl);
                    ajaxPut('/v1/projecttracks/'+params['projecttrack[cpid]']+'?op=move', 'employeeid='+e.detail.value, function(data){
                        var data = JSON.parse(data);
                        if (data.errcode==='40010') {
                            app.alert(data.errmsg);
                        } else {
                            ptr=$$(page.container).find('.pull-to-refresh-content');
                            app.pullToRefreshTrigger(ptr);
                            showIndicator('项目已成功转移给'+e.detail.text, 1500, function(){
                                app.getCurrentView().router.back();
                            });
                        }
                    });
                });
                return;
            }
            //返回多个数据
            if (e.detail.fromurl.indexOf('corporation.html')>=0) {
                (o=$$(page.container).find('input[name="totalmax"]')).length>0 && o.val('');
                (o=$$(page.container).find('input[name="totalused"]')).length>0 && o.val('');
                (o=$$(page.container).find('input[name="totallimit"]')).length>0 && o.val('');
            }
            if (e.detail.fromurl.indexOf('fileuploader.html')>=0) {//page.name==='page-voucher-form'&&
                if ((v=(o=$$(page.container).find("input[name='"+e.detail.input+"']")).val())!=='') {
                    v+=','+e.detail.value;
                } else {
                    v=e.detail.value;
                }
                o.val(v).attr('data-value',v);
                loadUploader(page, true);
                loadSubmit(page);
                return;
            }
            //console.log(page.name+' handleListener : e.detail='+JSON.stringify(e.detail));
            //获取li的容器
            if (e.detail.fromurl!==undefined) {
                if ((li = $$(page.container).find('li[data-api="'+e.detail.fromurl+'"]')).length==0)
                    li = $$(page.container).find('a[href="'+e.detail.fromurl+'"]').parents('li');
                if (li.length==0)
                    li = $$(page.container).find('input[name="'+e.detail.input+'"]').parents('li');
            } else {
                li = $$(page.container).find('input[name="'+e.detail.input+'"]').parents('li');
            }
            // console.log(li[0].innerHTML);
            //更新li里的数据，如果此li是replaceAll，则同时更新除它之外的li数据
            fnReplaceLi(page, li, e.detail.input, e.detail);
            //更新完li里的数据后，再加载
            loadCheckboxOther(page, li);
            //重置textarea大小
            loadTextarea(page);
            loadSelect(page);
            //判断必填字段是否有值，有才可以提交
            loadSubmit(page);
            if (callback!==undefined) callback(page, e);
        });
    }
    /*var _old_handleListener = function(page) {
        $$(page.container).find('input[name="listener"]').on('change', function(e){
            var _fillvalue = function(e, input, page) {
                //获取li的容器
                if (e.detail.fromurl!==undefined) {
                    if ((container = $$(page.container).find('li[data-api="'+e.detail.fromurl+'"]')).length==0)
                        container = $$(page.container).find('a[href="'+e.detail.fromurl+'"]').parents('li');
                    if (container.length==0)
                        container = $$(page.container).find('input[name="'+input+'"]').parents('li');
                } else {
                    container = $$(page.container).find('input[name="'+input+'"]').parents('li');
                }
                value = e.detail.value!==undefined && e.detail.value!=='' ? e.detail.value : '';
                if ((url = container.find('a').attr('href'))!==undefined) {
                    container.find('a').attr('href', fnProcessUrl(url, value));
                }
                //设置input的值
                container.find('input[name="'+input+'"]').val(value).attr('data-value',value);
                // if (e.detail.input) {
                //     container.find('input[name="'+e.detail.input+'"]').val(value);
                // } else if (e.detail.fromurl!==undefined) {
                //     container.find('a[href="'+e.detail.fromurl+'"] input:hidden').val(value);
                // }
                //设置显示的内容
                container.find('.item-text').html(e.detail.text);
                value = e.detail.text;
                container.find('div.item-after').html(value?'<span class="badge bg-gray">'+value.toString().split(',').length+'</span>':'');
                if ((oText = container.find('.'+input)).length>0) {
                    $$.each( oText, function(i,element){
                        element.tagName=='INPUT' ? $$(element).val(e.detail.text).attr('data-value',e.detail.text) : $$(element).text(e.detail.text).val(e.detail.text).attr('data-value',e.detail.text);
                    });
                    // oText[0].tagName=='INPUT' ? oText.val(e.detail.text).attr('data-value',e.detail.text) : oText.text(e.detail.text).val(e.detail.text).attr('data-value',e.detail.text);

                // } else {
                //     container.find('div.item-after').html(value?'<span class="badge bg-gray">'+value.split(',').length+'</span>':'');
                }
                //设置checkbox的状态
                if ((o=container.find('input[name="'+input+'"]')).length>0 && o.val()!='') {
                	container.find('.checkbox').attr('checked', 'true');
                } else {
                    container.find('.checkbox').removeAttr('checked');
                }
            }
            if (e.detail.input.indexOf(',')>=0) {
                for(var i in (a=e.detail.input.split(','))) {
                    _fillvalue(e, a[i], page);
                }

            } else {
                _fillvalue(e, e.detail.input, page);
            }
            //重置textarea大小
            loadTextarea(page);
            //判断必填字段是否有值，有才可以提交
            loadSubmit(page);
        });
    }*/
    //导航事件
    var handleNavbar = function(page, callback) {
        //console.log($$(page.container).html());
        //console.log($$(page.container).find('.navbar').parent().length);
        //console.log($$(page.container).find('.navbar').parent().parent().length);
        if ((o=fnNavbarInnerContainer(page)).length==0) return;

        //@TODO Navbar改为编译模板看看，会不会出什么问题，编译时不能有半角百分号'%'
        var html = o.html(),
            template = Template7.compile(html);

        // @DONE 加 decodeURI 后，paymentrequest-80.html等页面出错，改为判断
        o.html( html.indexOf('_title')>=0 ? decodeURI(template(page)) : template(page));
        o.find('.button-all').on('click', function(){
            $$(this).parent().find('.button').removeClass('active');
            $$(this).addClass('active');
            var api = (ptr=$$(page.container).find('.pull-to-refresh-content')).attr('data-api').replace('/current?','?');
            ptr.attr('data-api',api);
            app.pullToRefreshTrigger(ptr);
        });
        o.find('.button-current').on('click', function(){
            $$(this).parent().find('.button').removeClass('active');
            $$(this).addClass('active');
            var api = (ptr=$$(page.container).find('.pull-to-refresh-content')).attr('data-api').replace('?','/current?');
            ptr.attr('data-api',api);
            app.pullToRefreshTrigger(ptr);
        });
        if (callback!==undefined) callback(o);
        // $$(document).off('click', o.find('.button-all')).on('click', o.find('.button-all'), function(){
        //
        // });
        /*.find('.create-popover').on('click', function(){
            var url = $$(this).attr('data-url');
            app.confirm('是否从最后一次中标预算导入？',
              function () {
                  ajaxGet('/v1/vouchers/SQ/current?sortby=voucherid&order=desc&limit=1', function(data){
                      console.log(data);
                  });
              },
              function () {
                app.getCurrentView().router.loadPage(url);
              }
            );

        });
        */

        // var navbarInnerHTML = fnReplaceFromQuery($$(page.navbarInnerContainer)[0].innerHTML, page.query);
        // if (page.query._backtext===undefined) {
        //     navbarInnerHTML = navbarInnerHTML.replace('{{query._backtext}}', '返回');
        // }
        // if (page.query._title===undefined) {
        //     navbarInnerHTML = navbarInnerHTML.replace('{{query._title}}', '');
        // }
        // $$(page.navbarInnerContainer).html(navbarInnerHTML);
        // $$(page.container).find('input[type="search"]').on('focus', function(){
        //     app.getCurrentView().hideNavbar();
        // }).on('blur', function(){
        //     app.getCurrentView().showNavbar();
        // });

    }
    var _handlerTimer = function (o) {
        // var wait=((new Date()).getTime()-parseInt($$(o).dataset().timestamp))/1000;
        var ds = $$(o).dataset();
        var timestamp = parseInt(ds.timestamp) + 24*60*60 * 3;
        // console.log(timestamp);
        var timestamp_now = parseInt((new Date()).getTime()/1000);
        // console.log(timestamp_now);
        var wait=(timestamp-timestamp_now)||'无效时间';
        // console.log(wait);
        var style = ['bg-orange','bg-green','bg-red'];
        var text = ['已过期',ds.passed,ds.denied];
        if (ds.status=='0') {
            if (wait <= 0) {
                $$(o).find('span').removeClass('color-red weight-bold small-text text-day bg-green bg-orange bg-red').addClass('badge '+style[ds.status]).html(text[ds.status]);
            } else {
                var s = fnFormatDate(fnToDate(wait));
                // $$(o).find('span.badge').removeClass('bg-green').addClass('bg-orange').html('还剩'+s);
                $$(o).html(s);
                // wait--;
                // $$(o).attr('data-wait', wait);
                // setTimeout(function() {
                //     _handlerTimer(o, '')
                // },500);
            }
        } else {
            $$(o).find('span').removeClass('color-red weight-bold small-text text-day bg-green bg-orange bg-red').addClass('badge '+style[ds.status]).html(text[ds.status]);
        }
    }
    var handleTimer = function(page) {
        $$.each( $$(page.container).find('.timer'), function(i,e) {
            _handlerTimer($$(e));
        });
    }
    var _triggerListener = function(page, pageRT, value, text, data) {
        //var fromPage = app.getCurrentView().container.children[0].firstElementChild.f7RelatedPage.f7PageData;
        // @todo shijunjun 修改 有时候返回不到上级页面提示
        var fromPage = (fPage = app.getCurrentView().container.children[0].firstElementChild.f7RelatedPage) != undefined ? fPage.f7PageData : app.getCurrentView();
        //解决甲方返回问题，注意其它影响
        //var fromPage = page.fromPage;
        $$(fromPage.container).find('input[name="listener"]').trigger('change', {
            input:page.query._inputname!==undefined?page.query._inputname:pageRT.inputName,
            value:value,
            text: text,
            data: data,
            fromurl:page.url
        });
    }
    var _handleItemChange = function(page, data, event){
        // if (!$$(event).hasClass('no-click-return')&&!$$(event).hasClass('no-click-select')&&(url=$$(event).attr('data-url'))!=null) {
        //     app.getCurrentView().router.loadPage(url);
        // }
        var value = $$(event).find('input[name="ks-media-radio"]').val();
        var index = $$(event).find('input[name="ks-media-radio"]').attr('data-index');
        var text = '';
        // var fromPage = app.getCurrentView().container.children[0].firstElementChild.f7RelatedPage.f7PageData;
        // @todo shijunjun 修改 有时候返回不到上级页面提示
        var fromPage = (fPage = app.getCurrentView().container.children[0].firstElementChild.f7RelatedPage) != undefined ? fPage.f7PageData : app.getCurrentView();
        // 改为可返回自定义文本，定义class为textfield的文本
        if ((textfield=page.query._textfield)!==undefined) {
            if ((textfield=decodeURIComponent(textfield)).indexOf(',')>=0) {
                for(var j=0;j<(v=textfield.split(',')).length;j++) {
                    text+=(text==''?'':' ')+eval('(data.list['+index+'].'+v[j]+')');
                }
            } else {
                text = eval('(data.list['+index+'].'+page.query._textfield+')');
            }
        } else {
            if ((o=$$(event).find('.'+pageRT.textField.replace('.','-'))).length>0) {
                text = o.text();
            } else if ((o=$$(event).find('.item-text')).length>0) {
                text = o.text();
            } else {
                text = value;
            }
        }
        if (page.name=='page-projecttrack') {
            ajaxPut('/v1/employees/current', 'currentprojectid=' + value, function (delta) {
                localStorage.setItem(hex_md5('/v1/projecttracks/current?limit=1'), JSON.stringify(data.list[index]));
            });
            //loadCheckbox(fromPage);
        } else if (page.name=='page-contract') {
            ajaxPut('/v1/employees/current','currentcontractid='+value, function(delta) {
                //localStorage.setItem(hex_md5('/v1/projecttracks/current?limit=1'), JSON.stringify(data.list[index]));
            });
            //loadCheckbox(fromPage);
        } else if (page.name=='page-mswitch') {
            ajaxGet("/v1/employees?setter=corp&coid="+value,function(data){
                data = JSON.parse(data);
                localStorage.setItem("token",data.token);
                window.location.reload();
                return;
            });
        } else if (page.name=='page-corporation') {
            if (page.query.type==='supplier') {
                ajaxPut('/v1/employees/current','currentsupplierid='+value, function(delta) {
                    localStorage.setItem(hex_md5('/v1/corporations/supplier/current?limit=1'), JSON.stringify(data.list[index]));
                });
            }
            //loadCheckbox(fromPage);
        }
        _triggerListener(page, pageRT, value, text, data.list[index]);
        if (page.query._click==='return')
            app.getCurrentView().router.back();
    }
    var handleChart = function(page) {
        if ((ptrContent = $$(page.container).find('.pull-to-refresh-chart'))===undefined ||
            (pageDS = ptrContent.dataset())===undefined ||
            (navbar=fnNavbarInnerContainer(page)).length==0
        ) return;
        var pageApi = fnReplaceFromQuery(pageDS.api, page.query, pageDS.joinParams===undefined ? true : false);
        var template = Template7.compile(pageApi);
        pageApi = template(page);
        var html = navbar.html(), template = Template7.compile(html);
        navbar.html( html.indexOf('_title')>=0 ? decodeURI(template(page)) : template(page));


        var _load = function(ptrContent, api) {
            ptrContent.find('.chart-container').html('<div class="content-block row ks-preloaders text-center"><div class="col-100"><span class="preloader"></span></div></div>');
            var _makechart = function(data, id) {
                ptrContent.find('.chart-container').append(
                    '<a href="chart-detail.html?type='+page.query.type+'&_title='+data.titles[0].text+'&by='+data.subtype+'"><div class="card">' +
                    '   <div class="card-content">' +
                    '       <div class="card-content-inner">' +
                    '           <div class="chart-box" style="' + data.style + '" id="'+id+'"></div>' +
                    '       </div>' +
                    '   </div>' +
                    '</div></a>');
                AmCharts.makeChart(id, data);
                if (page.query.by!==undefined && data.data!==undefined) {
                    ptrContent.find('.chart-container').parent().append(data.data);
                }
            }
            var _makecount = function(data) {
                ptrContent.find('.chart-container').html(data.html);
            }
            setTimeout(function () {
                ajaxGet(api, function (data) {
                    ptrContent.find('.chart-container').html('');
                    data = JSON.parse(data);
                    if (data.length > 0) {
                        if (data[0].dataProvider===undefined) {
                            _makecount(data);
                        } else {
                            for (var i in data) {
                                _makechart(data[i], 'chartdiv-'+i);
                            }
                        }
                    } else {
                        if (data.dataProvider===undefined) {
                            _makecount(data);
                        } else {
                            _makechart(data, 'chartdiv');
                        }
                    }

                });
            }, 500);
        }
        var _param = function() {
            return 'duration='+((v=navbar.find('.open-duration').attr('data-value'))===undefined?'':v)+
                    ((v=page.query.by)===undefined?'&by='+((v=navbar.find('.buttons-row a.active').attr('data-value'))===undefined?'':v):'')+
                   '&display='+((v=ptrContent.find('.buttons-display a.active').attr('data-value'))===undefined?'':v);
        }
        ptrContent.find('.buttons-display a').on('click', function(){
            $$(this).parents('.row').find('.item-link').removeClass('active');
            $$(this).addClass('active');
            ptrContent = $$(page.container).find('.pull-to-refresh-chart');
            _load(ptrContent, pageApi+(pageApi.indexOf('?')<0?'?':'&')+_param());
        });
        navbar.find('.buttons-row a').on('click', function(){
            $$(this).parent().find('.button').removeClass('active');
            $$(this).addClass('active');
            //hsj:解决进入统计明细后,返回,二级菜单点击无效的问题
            ptrContent = $$(page.container).find('.pull-to-refresh-chart');
            _load(ptrContent, pageApi+(pageApi.indexOf('?')<0?'?':'&')+_param());
        });
        navbar.find('.open-duration').on('click', function(){
            var self = this;
            var html = '<div class="popover popover-duration"><div class="popover-angle"></div>'+
                '<div class="popover-inner">'+
                '<div class="list-block">'+
                '<ul>'+
                '<li><a href="#" class="list-button item-link active" data-value="all">全部</a></li>'+
                '<!--<li><a href="#" class="list-button item-link">本月份</a></li>-->'+
                '<li><a href="#" class="list-button item-link" data-value="lastmonth">上个月</a></li>'+
                '<!--<li><a href="#" class="list-button item-link">本季度</a></li>-->'+
                '<!--<li><a href="#" class="list-button item-link">上季度</a></li>-->'+
                '<!--<li><a href="#" class="list-button item-link">本年度</a></li>-->'+
                '<li><a href="#" class="list-button item-link" data-value="lastyear">去年</a></li>'+
                '<li><a href="#" class="list-button item-link" data-value="custom">自定义</a></li>'+
                '</ul>'+
                '</div>'+
                '</div></div>';
            app.popover(html, self);
            $$('.popover-duration .list-button').on('click', function(){
                $$(self).find('.duration-name').html($$(this).html());
                $$(self).attr('data-value', $$(this).attr('data-value'));
                app.closeModal('.popover');
                _load(ptrContent, pageApi+(pageApi.indexOf('?')<0?'?':'&')+_param());
            });
        });
        _load(ptrContent, pageApi+(pageApi.indexOf('?')<0?'?':'&')+_param());
    }
    var handleSearch = function(page) {
        $$(page.container).find('input[type="search"]').on('keyup', function(){
            var value = $$(this).val();
            $$(page.container).find('.searchbar-overlay').removeClass('searchbar-overlay-active');
            $$(page.container).find('.page-content').addClass('searching');
            var pageApi = (e=$$(page.container).find('.page-content')).attr('data-api');
            pageApi = pageApi.replace(/(\&searchkey=.*)/g,'')+(pageApi.indexOf('?')<0?'?':'&')+'searchkey='+value;
            $$(e).on('refreshdone', function(){
                $$(page.container).find('.page-content').removeClass('searching');
                var s = value=='' ? 'searchbar-searching searchbar-not-empty' : 'searchbar-not-empty';
                $$(this).find('form.searchbar').removeClass(s);
            }).attr('data-api', pageApi).find('form.searchbar').addClass('searchbar-searching searchbar-not-empty');
            app.pullToRefreshTrigger($$(e));
        });
        function _reset() {
            var value = $$(page.container).find('input[type="search"]').val();
            $$(page.container).find('.searchbar-overlay').removeClass('searchbar-overlay-active');
            $$(page.container).find('.page-content').addClass('searching');
            var pageApi = (e=$$(page.container).find('.page-content')).attr('data-api');
                pageApi = pageApi.replace(/(\&searchkey=.*)/g,'');
            var s = value=='' ? 'searchbar-not-empty' : 'searchbar-searching searchbar-not-empty';
            $$(e).on('refreshdone', function(){
                $$(page.container).find('.page-content').removeClass('searching');
                $$(this).find('form.searchbar').removeClass('searchbar-searching searchbar-not-empty');
            }).attr('data-api', pageApi).find('form.searchbar').addClass(s);
            app.pullToRefreshTrigger($$(e));
        }
        $$(page.container).find('.searchbar-clear').on('click', _reset);
        $$(page.container).find('.searchbar-cancel').on('click', _reset);
    }
    //拉取刷新
    var _handleRefresh = function(page, ptrContent, content, itemcallback) {
        if (!(
            // (ptrContent = ptrContent===undefined ? $$(page.container).find('.pull-to-refresh-content'):ptrContent).length!=0 &&
            // (objContent = ptrContent.find('.content-list')).length!=0 &&
            // (content = content===undefined ? objContent[0].innerHTML : content).length!='' &&
            (pageDS = ptrContent.dataset()).length!=0 &&
            (pageDS.return!==undefined) &&
            (pageRT = JSON.parse(pageDS.return)).length!=0
        )) return;
        var pageApi = fnReplaceFromQuery(pageDS.api, page.query, pageDS.joinParams===undefined ? true : false);
        var template = Template7.compile(pageApi);
        pageApi = template(page);
        // var _query = Object.keys(page.query).map(function (key) {
        //     return encodeURIComponent(key) + "=" + encodeURIComponent(page.query[key]);
        // }).join(",");
        pageApi += (pageApi.indexOf('?')>=0 ? '&_query=' : '?_query=') + JSON.stringify(page.query);
        ptrContent.attr('data-api', (pageDS.api = pageApi));

        ajaxGet(pageApi, function(data){
            var template = Template7.compile(content),
            data = {list:JSON.parse(data),query:page.query},
            resultContent = template(data);
            ptrContent.find('.content-list').html(resultContent);
            if (pageDS===undefined || pageDS.noCounter===undefined) {
                fnCount(page, data.list.length?data.list.length:0, page.view.initialNavbars[0]);
            }
            fnRandomColor(page);
            fnUpdateImg(page);
            if (itemcallback!==undefined) {
                itemcallback(data.list);
                //@TODO: 改为只返回一条数据试试。不行太慢。改回来
                //for(var i in data.list) {
                //    itemcallback(data.list[i]);
                //}
            }
            //console.log(page.name+' handleRefresh refresh : pageApi='+pageApi+' count='+data.list.length+' return.list[0]=');//+JSON.stringify(data.list[0]));
            //console.log(data.list[0]);
            handleTimer(page);
            // 要求item-content里有a[href]且不等于#的，才可以触发点击事件。
            $(document).off('click', '.item-content[data-url]:has(a[href!="#"])').on('click', '.item-content[data-url]:has(a[href!="#"])', function(){
                app.getCurrentView().router.loadPage($(this).attr('data-url')==null?'#':$(this).attr('data-url'));
            });
            //绑定行点击事件
            $(document).off('change', '.label-radio').on('change', '.label-radio', function(){
                _handleItemChange(page, data, this);
            });
            // $$(page.container).find('.label-radio').on('change', function(){
            //     _handleItemChange(page, data, this);
            // });
            loadUploader(page);
            loadCheckbox(page);
            //绑定侧滑删除事件
            fnSwipeout(page, pageDS);
            app.pullToRefreshDone();
        },pageDS.async!==false,pageDS.cache===true);
    }
    //多个拉取刷新
    var handleRefresh = function(page, callback, itemcallback) {
        $$.each( $$(page.container).find('.pull-to-refresh-content:not(.infinite-scroll)'), function(i,e){
            if ((objContent=$$(e).find('.content-list')).length<=0) return;
            var content = objContent[0].innerHTML;
            objContent.html('');
            // @todo
            var template = Template7.compile($$(e).attr('class'));
            $$(e).attr('class', template(page));
            $(e).off('refresh').on('refresh', function () {
                setTimeout(function () {
                    _handleRefresh(page, $$(e), content, itemcallback);
                }, 500);
            });
            // app.pullToRefreshTrigger($$(e));
            if (callback===undefined) {
                app.pullToRefreshTrigger($$(e));
            } else {
                callback(i,e);
            }
        });
    }
    //无限滚动
    var handleScroll = function(page, callback, itemcallback) {
        $$.each( $$(page.container).find('.infinite-scroll.pull-to-refresh-content'), function(i,e){
            if ((objContent=$$(e).find('.content-list')).length<=0) return;
            var content = objContent[0].innerHTML;
            var objUL = objContent.find('ul');
            //console.log(objUL);
            // Loading trigger
            var loading = false;
            // Last loaded index, we need to pass it to script
            var thepage = 1;
            //var pageDS = $$(e).dataset();
            objContent.html('');

            $$(e).off('refresh').on('refresh', function () {
                setTimeout(function () {
                    thepage = 1;
                    _handleRefresh(page, $$(e), content, itemcallback);
                    //console.log($$(page.container).find('.infinite-scroll .list-block li').length);
                    if ($$(page.container).find('.infinite-scroll .list-block li').length<20) {
                    	app.detachInfiniteScroll($$(page.container).find('.infinite-scroll'));
                    } else {
                    	objContent.append('<div class="infinite-scroll-preloader"><div class="preloader"></div><span class="preloader-text">正在加载中...</span></div>');
                    	app.attachInfiniteScroll($$(e));
                        thepage++;
                    }
                }, 500);
            }).off('infinite').on('infinite', function () {
                // setTimeout(function () {
                    // Exit, if loading in progress
                    if (loading) return;
                    // Set loading trigger
                    loading = true;
                    // Request some file with data
                    var pageDS = $$(e).dataset();
                    var pageApi = fnReplaceFromQuery(pageDS.api, page.query, pageDS.joinParams===undefined ? true : false);
                    ajaxGet(pageApi+'&page='+thepage, function(data){
                        loading = false;
                        var data = {list:JSON.parse(data),query:page.query};
                        var template = Template7.compile(objUL[0].innerHTML);

                        $$(page.container).find('.infinite-scroll-preloader').remove();
                        if (data.list.errcode) {
                            // Nothing more to load, detach infinite scroll events to prevent unnecessary loadings
                            app.detachInfiniteScroll($$(page.container).find('.infinite-scroll'));
                            $$(page.container).find('.infinite-scroll-preloader').remove();
                            return;
                        } else {
                            // Append loaded elements to list block
                            $$(page.container).find('.infinite-scroll .content-list ul').append(template(data));
                            objContent.append('<div class="infinite-scroll-preloader"><div class="preloader"></div><span class="preloader-text">正在加载中...</span></div>');
                            // Update last loaded index
                            thepage++;
                        }
                        handleTimer(page);
                        fnRandomColor(page);

                        fnUpdateImg(page);
                        //绑定侧滑删除事件
                        fnSwipeout(page, pageDS);
                        //绑定行点击事件
                        $$(page.container).find('.label-radio').on('change', function(){
                            _handleItemChange(page, data, this);
                        });
                        if (itemcallback!==undefined) {
                            itemcallback(data.list);
                            //for(var i in data.list) {
                            //    itemcallback(data.list[i]);
                            //}
                        }
                    });//,pageDS.async!==false
                // }, 500);
            });
            handleListener(page);
            // app.pullToRefreshTrigger($$(e));
            if (callback===undefined) {
                app.pullToRefreshTrigger($$(e));
            } else {
                callback(i,e);
            }
        });
    }
    //虚拟列表
    var handleVirtual = function(page, callback) {
        if (!(
            (object = $$(page.container).find('.virtual-list')).length!=0 &&
            (content = object[0].innerHTML).length!='' &&
            (pageDS = object.dataset()).length!=0 &&
            (pageDS.return!==undefined) &&
            (pageRT = JSON.parse(pageDS.return)).length!=0
        )) return;

        // Generate array with 10000 demo items:
        var items = [];
        object.html('');
        app.showIndicator();
        setTimeout(function(){
            var result = 0;
            ajaxGet(pageDS.api, function(data){
                var data = JSON.parse(data);
                if (pageDS.noCounter===undefined) {
                    fnCount(page, data.length?data.length:0, page.view.initialNavbars[0]);
                }
                if (data.length>0)
                for (var i in data) {
                    // var searchName = pageRT.searchName.split('.');
                    // if (data[i][searchName[0]]===undefined || data[i][searchName[0]][searchName[1]]) continue;
                    var item = data[i];
                    if (item.unread!==undefined) {
                        result += parseInt(item.unread);//(item.unread==0 ? 1 : 0);
                    }
                    item.title = eval('item.'+pageRT.searchName);
                    items.push(item);
                }
                // Create virtual list
                var virtualList = app.virtualList($$(page.container).find('.virtual-list'), {
                    // Pass array with items
                    items: items,
                    // Custom search function for searchbar
                    searchAll: function (query, items) {
                        var found = [];
                        for (var i = 0; i < items.length; i++) {
                            if (items[i].title.indexOf(query) >= 0 || query.trim() === '') found.push(i);
                        }
                        return found; //return array with mathced indexes
                    },
                    onItemsAfterInsert: function(index, fragment) {
                        fnRandomColor(page);
                    },
                    // List item Template7 template
                    template: content,
                    // template: '<li class="swipeout" data-key="{{cpid}}">' +
                    //               '<div class="swipeout-content">' +
                    //                   '<a href="projecttrack-view.html?cpid={{cpid}}" class="item-link item-content">' +
                    //                       '<div class="item-inner">' +
                    //                           '<div class="item-title-row">' +
                    //                               '<div class="item-title">#{{cpid}}-{{projectid}}</div>' +
                    //                               '<div class="item-after"><span class="badge bg-green">{{expecttotal}}万</span></div>' +
                    //                           '</div>' +
                    //                           '<div class="item-subtitle color-blackgray">{{project.name}}</div>' +
                    //                           '<div class="item-text">{{project.address}}</div>' +
                    //                       '</div>' +
                    //                   '</a>' +
                    //               '</div>' +
                    //               '<div class="swipeout-actions-right">' +
                    //                   '<a href="#" class="action-process">受理</a>' +
                    //                   '<a href="#" class="demo-mark bg-orange">Mark</a>' +
                    //                   '<a href="#" data-confirm="真的删除？" class="action-delete bg-red">删除</a>' +
                    //               '</div>' +
                    //           '</li>',
                    // Item height
                    height: pageRT.height,
                });
                fnSwipeout(page, pageDS);
                app.hideIndicator();
                if (callback!==undefined) callback(result);
            },true);
        }, 500);
    }
    //绑定提交事件
    var handleSave = function (page) {
        (nic=fnNavbarInnerContainer(page)).find('.action-done').off('click').on('click', function(){
            fnSave(page, this);
        });
        nic.find('.action-select-switch').off('click').on('click',function(){
            if ($$(this).hasClass('on')) {
                $$(this).removeClass('on');
                $$(this).html('取消');
            } else {
                $$(this).addClass('on');
                $$(this).html('管理');
            }
            if ($$(this).hasClass('on')) {
                $$(page.container).find('.list-block.content-list').addClass('selectable');
            } else {
                $$(page.container).find('.list-block.content-list').removeClass('selectable');
            }

        });
        nic.find('.action-batch-create').off('click').on('click', function(){
            var id='';
            $$.each($$(page.container).find('li input:checked:not([disabled])'), function(i,e){
                id+=(id?',':'')+$$(e).val();
            });
            if (page.name==='page-employee') {
                var api='';
                if (page.query._groupid!==undefined) {
                    api = '/v1/groupusers?groupid='+page.query._groupid;
                } else if (page.query._departmentid!==undefined) {
                    api = '/v1/departmentemployees?departmentid='+page.query._departmentid;
                } else if (page.query._ugid!==undefined) {
                    api = '/v1/friends?ugid='+page.query._ugid;
                } else {
                    api = '/v1/employees';
                }
                fnBatchCreate(page, api, 'employeeid='+id);
            }
        });
        // nic.find('.action-select').off('click').on('click', function(){
        //     if ((o=$$(page.container).find('.content-list')).hasClass('selectable-opened')) {
        //         o.removeClass('selectable-opened');
        //         $$(this).html('<span>选择</span>');
        //     } else {
        //         o.addClass('selectable-opened');
        //         $$(this).html('<span>完成</span>');
        //     }
        // });
        if ((bar = $$(page.container).find('.button-bar')).length>0) {
            var template = Template7.compile(bar.html());
            bar.html(template(page));
            loadSubmit(page, 'handleSave');
        }
        $$(page.container).find('.button-submit').off('click').on('click', function(){
            fnSave(page);
        });
        $$(page.container).find('.button-process').off('click').on('click', function(){
            var btnDS = $$(this).dataset(),
                formDS = $$(page.container).find('form[data-api]').dataset(),
                formRT = JSON.parse(formDS.return),
                api = fnReplaceFromQuery(formDS.api, page.query),
                value = '',
                param = '',
                formData = $($$(page.container).find('form')).serialize();
            if (api.indexOf('?')>=0 && (a=api.split('?'))) {
                api = a[0];
                param = a[1];
            }
            api = api+(page.query.id!==undefined && parseInt(page.query.id) ? '/'+page.query.id : '')+'?'+param;
            if ((name=$$(this).prop('data-input'))!==undefined) {
            	value = '&'+name+'='+$$(page.container).find('input[name="'+name+'"]').val();
            }

            var actionSheetButtons = [
                // First buttons group
                [
                    // Group Label
                    {
                        text: '请选择受理操作的动作',
                        label: true
                    },
                    {
                        text: '<div class="list-block margin-tb-0 row" style="padding:5px 10px 0 10px;height:163px">' +
                        '<textarea class="reply-content" cols="100%" rows="5" placeholder="回复内容" style="border:1px solid #e8e8e8;padding:5px;"></textarea>' +
                        '<input name="media" type="hidden" data-type="file" data-value="" data-class="no-readonly"/>'+
                        '</div>',
                        label: true,
                    },
                    // First button
                    {
                        text: btnDS.accept ? btnDS.accept : '确定',
                        onClick: function () {
                            showIndicator('正在操作...');
                            var redirurl = page.url.replace(/(&_admin=yes)/g,'');
                            var msg = '<i class="f7-icons">check</i>';
                            var img = $$(document).find('.actions-modal input[name="media"]').attr('data-value');
                            ajaxPut(api+'&op=forward', formData+value+'&replymsg='+$$(document).find('.reply-content').val()+'&media='+img+'&redirurl='+encodeURIComponent(redirurl), function(data) {
                                app.pullToRefreshTrigger($$(page.fromPage).find('.pull-to-refresh-content'));
                                showIndicator(msg, 1500, function(){
                                    app.getCurrentView().router.back();
                                });
                            });
                        }
                    },
                    {
                        text: btnDS.accept ? btnDS.accept : '同意',
                        onClick: function () {
                            showIndicator('正在操作...');
                            var redirurl = page.url.replace(/(&_admin=yes)/g,'');
                            var msg = '<i class="f7-icons">check</i>';
                            var img = $$(document).find('.actions-modal input[name="media"]').attr('data-value');
                            ajaxPut(api+'&op=verify', formData+'&status=1'+value+'&replymsg='+$$(document).find('.reply-content').val()+'&media='+img+'&redirurl='+encodeURIComponent(redirurl), function(data) {
                                app.pullToRefreshTrigger($$(page.fromPage).find('.pull-to-refresh-content'));
                                showIndicator(msg, 1500, function(){
                                    app.getCurrentView().router.back();
                                });
                            });
                        }
                    },
                    {
                        color: 'red',
                        text: btnDS.denied ? btnDS.denied : '驳回',
                        onClick: function () {
                            showIndicator('正在操作...');
                            var redirurl = page.url.replace(/(&_readonly=yes|&_admin=yes)/g,'');
                            var msg = '<i class="f7-icons">check</i>';
                            var img = $$(document).find('.actions-modal input[name="media"]').attr('data-value');
                            ajaxPut(api+'&op=verify', formData+'&status=2&replymsg='+$$('.reply-content').val()+'&media='+img+'&redirurl='+encodeURIComponent(redirurl), function(data){
                                app.pullToRefreshTrigger($$(page.fromPage).find('.pull-to-refresh-content'));
                                showIndicator(msg, 1500, function(){
                                    app.getCurrentView().router.back();
                                });
                            });
                        }
                    },
                ],
                // Second group
                [
                    {
                        text: '取消',
                        bold: true
                    }
                ]
            ];
            // if ((parseInt($$(this).attr('data-opvalues').replace('0x',''),16) & 512) != 512) {
            //     //没有审核权，去掉两个审核按钮
            //     actionSheetButtons[0].splice(3,2);
            // } else {
            //     //有审核权，去掉回复
            //     actionSheetButtons[0].splice(2,1);
            // }
            //hsj:转发操作授权代码0x000000002000转为十进制: 8192
            if ((parseInt($$(this).attr('data-opvalues').replace('0x',''),16) & 8192) != 8192) {
                //没有转发权,去掉驳回按钮,去掉回复
                actionSheetButtons[0].pop();
                actionSheetButtons[0].splice(2,1);
            } else {
                //有转发权，去掉同意
                actionSheetButtons[0].splice(3,1);
            }
            var modal = app.actions(actionSheetButtons);
            $$(modal).on('opened', function(){
                loadUploader(page, false, '.actions-modal');
            })
            //$(document).off('click', '.actions-modal-button');
            //$$(document).find('.reply-content').parents('.actions-modal-button').off('click');
        });
    }
    //返回
    var handleBack = function (page) {
        var _formEmpty = function(formData) {
            var result = true;
            for (var key in formData) {
                // console.log(key+' = ' + formData[key]);
                result = result && (parseInt(formData[key])==0 || formData[key]=='');
            }
            return result;
        }
        var _delete = function(api, page, formRT) {
            ajaxDelete(api, function(data) {
                var data = JSON.parse(data);
                //console.log(page.name+' handleBack temp deleted : result=' + JSON.stringify(data));
            });
            $$(page.fromPage.container).find('input[name="listener"]').trigger('change', {
                input:page.query._inputname!==undefined?page.query._inputname:formRT.inputName,
                value:'',
                text:'',
                fromurl: page.url
            });
            // $$.each( $$(page.fromPage.container).find('.pull-to-refresh-content'), function(i,e){
            //     _handleRefresh(page, $$(e), $$(e).find('.content-list'));
            // });
            app.pullToRefreshTrigger($$(page.fromPage).find('.pull-to-refresh-content'));
        }
        fnNavbarInnerContainer(page).find('.action-back').on('click', function(e){
            if ((form = $$(page.container).find('form')).length==0) return;
            var formDS = form.dataset(),
                formRT = JSON.parse(formDS.return),
                formApi = fnReplaceFromQuery(formDS.api, page.query),
                newFormData = app.formToJSON(form),
                formChanged = JSON.stringify(newFormData)!==JSON.stringify(oldFormData);
            // console.log(page.name + ' newFormData=' + JSON.stringify(newFormData) + ' oldFormData='+JSON.stringify(oldFormData)+'  page.query.id='+page.query.id);
            newFormData.type=newFormData.type!==undefined?'':newFormData.type;
            if (newFormData.type!==undefined) newFormData.type='';
            if (newFormData.othercoid!==undefined) newFormData.othercoid='';
            if (newFormData.projectid!==undefined) newFormData.projectid='';
            if (newFormData.fromid!==undefined) newFormData.fromid='';
            if (formApi.indexOf('?')>=0) {
                formApi = (a=formApi.split('?'))[0]+(page.query.id!==undefined?'/'+page.query.id:'')+'?'+a[1];
            } else {
                formApi += (page.query.id!==undefined?'/'+page.query.id:'');
            }
            //注意！！！返回时，如果表单设置了createOnInit=true，那么page.query.id的值已经被改变
            if (formChanged) {// && page.query.id===undefined
                app.confirm('数据已更改，是否保存？', function() {
                    fnSave(page);
                }, function() {
                    if (formDS.createOnInit===true && form.find('input[name="oldid"]').val()==0) {
                        _delete(formApi, page, formRT);
                    }
                    app.getCurrentView().router.back();
                });
                return;
            } else if (_formEmpty(newFormData) && formDS.createOnInit===true) {
                _delete(formApi, page, formRT);
            }
            app.getCurrentView().router.back();
        });
    }
    //单个表单处理方式
    var _handleForm = function(page, form, formDS, callback) {
        if (formDS.createOnInit!==undefined) {
            var formid = form.attr('id');
            if (localStorage.getItem('f7form-'+formid)!=null) {
                fnReload(page);
                return;
            }
            loadForm(page, form, formDS, callback);
        } else {
            loadSelect(page);
            loadCheckbox(page);
        }
    }
    //多个表单处理方式判断
    var handleForm = function(page, callback) {
        //$$.each( $$(page.container).find('form'), function(i,e){
        //    _handleForm(page, $$(e), $$(e).dataset(), callback);
        //});
        if (
            (form = $$(page.container).find('form')).length!==0 &&
            (formDS = form.dataset()).length!==0 &&
            // (page.query._createoninit!==undefined)
            (formDS.createOnInit!==undefined)
        ) {
            var formid = $$(page.container).find('form[id]').attr('id');
        	if (localStorage.getItem('f7form-'+formid)!=null) {
                fnReload(page);
                return;
            }
            loadForm(page, form, formDS, callback);
        } else {
            loadSelect(page);
            loadCheckbox(page);
        }
    }
    var handleToolbar = function() {
        ajaxGet('/v1/senders/current', function(data){
            var data = JSON.parse(data), unread=0;
            for(var i in data) {
                unread += parseInt(data[i].unreadcount);
            }
            var s = unread>0?'<span class="badge bg-red">'+unread+'</span>':'';
            if ((o=$$('.toolbar-main').find('a[href="#chats"] .tabbar-label').prev('.badge')).length<=0) {
                $$(s).insertBefore($$('.toolbar-main').find('a[href="#chats"] .tabbar-label'));
            } else {
                unread>0 ? o.html(unread) : o.empty();
            }
            //$$('.toolbar-main').find('a[href="#chats"] .tabbar-label').insertBefore();
        });
    }
    var handleHome = function(page) {
        //把需要token的请求放在这里
        loadAd(page);
        loadNotification(page);
        loadCurrentProject();
        loadCount();
        loadUserchannel('/v1/userchannels?sortby=displayorder&order=asc&limit=8',function(html){
            $$('.view-work').find('.page[data-page="page-work"]').find('.content-list').html(html);
        },3,true);
        $$(document).find('.welcomescreen-container').hide();//find('.welcomescreen-closebtn').trigger('click');
        $$('.welcomecover-container').hide();
        handleToolbar();
        // StatusBar.backgroundColorByHexString('#f7f7f8');
        // StatusBar.styleDefault();
    }
    var handleApp = function(page) {
        handleNavbar(page);
        handleToolbar();
        var _delete = function() {
            $$(page.container).find('.app-del').on('click', function(){
                $$(page.container).find('.content-apps .f7-icons[data-key="'+$$(this).attr('data-key')+'"]').removeClass('app-added').addClass('app-add').html('add_round_fill');
                $$(this).parent().remove();
            });
        }
        $$(page.container).find('.content-list').html('<div class="content-block row ks-preloaders text-center"><div class="col-100"><span class="preloader"></span></div></div>');
        setTimeout(function(){
            loadUserchannel('/v1/userchannels?sortby=displayorder&order=asc',function(str,keys){
                loadMenu('/v1/categories?_child=yes',function(html){
                    html = '<div class="content-block-title">我的应用</div>'+str+html;
                    $$(page.container).find('.content-list').html(html);

                    $$(page.container).find('.app-add').on('click', function(){
                        var s = $$(this).removeClass('app-add').addClass('app-added').html('check_round_fill').parent()[0].outerHTML.replace('app-added','app-del').replace('check_round_fill','delete_round_fill');
                        $$(page.container).find('.content-myapp .no-spliter').append(s);
                        _delete();
                    });
                    _delete();
                    var nav = fnNavbarInnerContainer(page);
                    nav.find('.right > a.action-edit').on('click', function(){
                        $$(page.container).find('.list-menu').addClass('editable');
                        $('.action-over').show();
                        $$(this).hide().next().css('display','flex');
                    });
                    nav.find('.right > a.action-over').on('click', function(){
                        var self = this;
                        var sortkeys = [];
                        $$.each($$(page.container).find('.content-myapp .f7-icons'), function(i,e){
                            sortkeys.push($$(e).attr('data-key'));
                        });
                        if (keys.toString() !== sortkeys.toString()) {
                            showIndicator('保存中...');
                            ajaxPost('/v1/userchannels', 'channelids='+sortkeys.join(','), function(){
                                loadUserchannel('/v1/userchannels?sortby=displayorder&order=asc&limit=8',function(html){
                                    $$('.view-work').find('.page[data-page="page-work"]').find('.content-list').html(html);
                                },3,true);
                                app.hideIndicator();
                            });
                            keys = sortkeys;
                        }
                        $$(page.container).find('.list-menu').removeClass('editable');
                        $$(self).hide().prev().css('display','flex');
                    });
                },3,keys);
            },3);
        },500);
    }
    var handleWork = function(page) {
        //点击后关闭popover
        handleListener(page);
        // handlePopover();
        // 自定义菜单
        var ptrContent = $$(page.container).find('.content-list');
        ptrContent.on('refresh', function (e) {
            setTimeout(function () {
                //如果已登录，直接加载菜单，并关闭欢迎引导页(登录)
                if (localStorage.getItem('token')!==null) {
                    // $$('.welcomescreen-container').remove();
                    // document.getEventListeners(document).DOMContentLoaded[0].remove();
                    // var eventlistener = getEventListeners(window)["DOMContentLoaded"][index];
                    // window.removeEventListener("DOMContentLoaded",eventlistener.listener,eventlistener.useCapture);
                    handleHome(page);
                } else {
                    $$('.welcomecover-container').hide();
                    // StatusBar.backgroundColorByHexString('#f7f7f8');
                    // StatusBar.styleDefault();
                }
                app.pullToRefreshDone();
            }, 500);
        });
        app.pullToRefreshTrigger(ptrContent);

        // 工作页幻灯片，移到html中定义
        // var swiperBanner = app.swiper('page[data-page="page-work"] .swiper-container', {
        //     pagination:'page[data-page="page-work"] .swiper-container .swiper-pagination',
        //     spaceBetween: 0,
        //     direction: 'horizontal',
        //     loop: true,
        // });

        // // 加载左侧项目列表
        // var plContent = $$('.panel-left');
        // var content = plContent[0].innerHTML;
        // plContent.html('');
        // plContent.on('refresh', function (e) {
        //     console.log('panel-left refresh');
        //     setTimeout(function () {
        //         $$.get(apiHost+'/v1/protracks?limit=20&offset=10', function(data) {
        //             var template = Template7.compile(content);
        //             var resultContent = template(JSON.parse(data));
        //             plContent.html(resultContent);
        //             app.pullToRefreshDone();
        //         });
        //     }, 500);
        // });
        // app.pullToRefreshTrigger(plContent);
    }
    //外部调用返回
    return {
        init: function(aApp, aDom7) {
            app = aApp;
            $$ = aDom7;
            return this;
        },

        initPages: function(page, callback, unbind) {
        	// @TODO 异步可能有问题
        	var result = {};
            handleNavbar(page);
            handleListener(page, function(innerpage, event){
                result.handleListener = {'page':innerpage,'event':event};
                if (callback!==undefined) callback(result);
            });
            if (unbind===undefined || unbind.indexOf('refresh')<0) {
                // handleRefresh(page);
                handleRefresh(page, undefined, function(data){
                    result.handleRefresh = {'data':data};
                    if (callback!==undefined) callback(result);
                });
            }
            handleChart(page);
            handleVirtual(page);
            handleScroll(page);
            handleSearch(page);
            handleSave(page);
            handleBack(page);
            handleTakePhoto(page);
            //XX这里可能反加多个表单的回调返回值，所以用 innerPages
            handleForm(page, function(innerpage) {
                result.handleForm = {'page':innerpage};
                if (callback!==undefined) callback(result);
                loadNumber(innerpage, result.handleForm.loadNumber);
            });

            //if (page.name == 'page-statistic'){
            //    hsjInit(page);
            //}
        },

        reinitPages: function(page) {
            handleListener(page);
            handleForm(page);
            handleRefresh(page);
            handleSave(page);
        },

        initNavbar: handleNavbar,

        initWork: handleWork,

        initRefresh: handleRefresh,

        initVirtual: handleVirtual,

        initScroll: handleScroll,

        initHome: handleHome,

        initCounter: fnCount,

        initChart: loadChart,

        initUploader: loadUploader,

        initToolbar: handleToolbar,

        initSubmit: loadSubmit,

        initSave: handleSave,

        initApp: handleApp,

        initSelect: loadSelect,

        showIndicator: showIndicator,

        batchCreate: fnBatchCreate,
    }
}();
var binder = Binder.init(myApp, $$);